// InnerMessage.js
// Define the package

/*
 * when include InnMessages.jsp for error handling,the form style should be changed in IE.
 */
function setFormStyle(){
    var isWizard = document.getElementById(namespace_g +"myForm:isNext");
    var _outSize;
    var _height;
    
    if( isWizard != null){
    	// in wizard
     	_outerSize = "0px";
     	_height = "0%";
     	
	    if (document.all){//IE
	        var _myform = document.getElementById(namespace_g + "myForm");        
	        if( _myform != null){
	            _myform.style.margin = _outerSize;
	            _myform.style.padding = _outerSize;
	            _myform.style.height = _height;
	        }
	    }
    }
}

/*
 * initial InnerMessages 
 */
function initErrorMessage(){
	innerMessagesInstance.init();	
	setFormStyle();	
}


com.ibm.sysmgmt.scm.common.InnerMessages = function(){
	/*
	 * attributes from external
	 */
	var _contaxtRoot = document.global_context_path + '/faces';
	var _ajaxProxyURL ="";
	var _defaultAjaxProxyURL= _contaxtRoot+ "/page/rbce/common/IMessages.jsp";

	var _messagekey='';
	
	var _eventHandlers = {
		map : new Array(),
		
		set : function(key,value)
		{
			this.map[key] = value;
		},
		
		get : function(key)
		{
			return this.map[key];
		},
		
		remove : function(key)
		{
			delete this.map[key];
		}
	};

	/*
	 * internal page id related; 
	 */
	var _idPrefix="scmInnMessages";
	var _identityInput ="identityInput";
	var _innMsgForm= "innMessageForm";
	var _ajaxSubmitButton=_innMsgForm+":innerMessageAjaxBtn";
	var _ajaxSubmitPanel=_innMsgForm+":ajaxpanel_errMsg";
	var _msgKeyField=_innMsgForm+":msgKeyField";
	

	/*
	 * ajax configuraiton
	 */
	//waiting time : call ajax
	var _ajaxCallTime = 100;
	//times: main page trigger ajax call 
	var _requestMark=0;
	//times: innerMessage page ajax call complete
	var _handledRequestMark=0;


	/////////////////////////////////////////////////////////////////////////////////////////////
	//			Public  Method 
	//
	/////////////////////////////////////////////////////////////////////////////////////////////	
	/*
	 * init set error message key
	 */
	this.init = function(){
		_ajaxProxyURL = _defaultAjaxProxyURL;
		getPageIdPrefix();
		insertNewErrorMessage();
		initializeAjax();
	}
	
	/*
	 * init set error message key
	 */
	this.initSpec = function(ajaxProxyURL){
		_ajaxProxyURL = ajaxProxyURL;
		getPageIdPrefix();
		insertNewErrorMessage();
	}

	this.clearAllMessage = function() {
	
	}

	/*
	 * display error message
	 */
    this.display = function(callBackFunc,clearCriticalFlag){
		if(callBackFunc==undefined){
			callBackFunction = "";
		}else{
			callBackFunction = callBackFunc;
		}
		if("true" == clearCriticalFlag){
			clearTable(_criticalTableID);					
			displayTable(_criticalTableID);	
		}
		_requestMark++;
		setTimeout(show,_ajaxCallTime);	
		stopProgressIndicator();		 
	}
	
	
    /*
	 *  clear error message
	 */		
	this.clearMessage = function(_object){
		if( _object != null){
			while(_object.tagName != "TABLE"){
			 	  _object = _object.parentNode;
			}	
				
			if( _object.id != null){
				var tableID = _object.id;
				if( tableID != null && tableID != ""){
					clearTable(tableID);					
					displayTable(tableID);			
				}	
			}		
		}
		if (typeof(resizeFrameCall) == "function")
		{
			resizeFrameCall() //added by Hatteras;
		}
		
		eventHandlersCallBack(this.EVENTS.close);
	}
	
	this.clearAllInnerMessages = function(){
		var btnPrefix = new Array("criticalTable","warningTable","infoTable","normalTable");
		for(var i=0;i<btnPrefix.length;i++){
			var obj = document.getElementById(btnPrefix[i]+":innerMsgCloseBtn");
			if(obj)
				this.clearMessage(obj);		
		}
	}

	/*
	 * show info message 
	 */
	this.clearSpecialMessage = function(){
		clearTable(_infoTableID);
	}	
	
	/*
	 * show info message 
	 */
	this.showSpecialMessage = function(errorMessage){
	    var tableID = _infoTableID;
		var tableobj = document.getElementById(tableID);
		var tableTbodyobj = tableobj.getElementsByTagName("tbody")[0];
	
		if( tableTbodyobj != null){	
			clearTable(tableID);
			
			var trObj = document.createElement("tr");
			
			// left cell td
			var tdObj_img = document.createElement("td");
			tdObj_img.vAlign = "center";
			tdObj_img.align = "right";
			tdObj_img.width = "5%";

			// left img
			var imgObj = document.createElement("img");
			imgObj.className ="graphicImageEx";	
			imgObj.src= document.global_context_path + "/images/status/statusInformation_obj30.gif";
			imgObj.title = bundle.Image_Info;
			imgObj.alt = bundle.Image_Info;
			tdObj_img.appendChild(imgObj);
			
			// right cell td
			var tdObj_message = document.createElement("td");
			tdObj_message.vAlign="center";
			//tdObj_message.height="20";
			tdObj_message.width="100%"
			
			// right error message
			var spanObj_message = document.createElement("span");
			spanObj_message.className="dmc_outputText";
			spanObj_message.innerHTML = errorMessage;
			
			tdObj_message.appendChild(spanObj_message);

			trObj.appendChild(tdObj_img);
			trObj.appendChild(tdObj_message);	
	  
			tableTbodyobj.appendChild(trObj);
  	  
			addCloseButton(tableID);
			showImg(tableID);
			displayTable(tableID);	
		}	
	}


	this.doStart = function(){
		insertNewErrorMessage();
	}
		
	this.doComplete = function(){
		initializeAjax();  // added by hatteras
		insertNewErrorMessage();
		callBack();
		if (typeof(resizeFrameCall) == "function")
		{
			resizeFrameCall() //added by Hatteras;
		}
	}

	
	this.doError = function(){
		callBack();
	}
	
   	//enum type of EVENTS
	this.EVENTS = {
		close:"CLOSE",open:"OPEN",error:"ERROR"
	}
	
	this.registerEventHandler = function(eventType,func)
	{
		for(key in this.EVENTS)
		{
			if(eventType == this.EVENTS[key])
			{
				_eventHandlers.set(eventType,func);
				break;
			}
		}
	}
	
	this.unregisterEventHandler = function(eventType)
	{
		for(key in this.EVENTS)
		{
			if(eventType == this.EVENTS[key])
			{
				_eventHandlers.remove(eventType);
				break;
			}
		}
	}

	/////////////////////////////////////////////////////////////////////////////////////////////
	//			Private  Method 
	//
	/////////////////////////////////////////////////////////////////////////////////////////////
	/*
	 * callback event handlers.
	 */
	function eventHandlersCallBack(eventType)
	{
		var eventHandler = _eventHandlers.get(eventType);
		if(eventHandler!="undefined" && typeof eventHandler == "function")
		{
			eventHandler();
		}
	}
	
	/*
	 * Ajax is finished,the progress indicator should be cleared.
	 */
	function stopProgressIndicator(){
		var spinningDiv = document.getElementById('spinningDiv');
		if( spinningDiv){
		    spinningDiv.innerHTML = "";	
		}	
	}	
			
	/*
	 *  invoke innerMessage ajax call
	 */	
	function show(){
		//print('show');
		//revist display methods after '_ajaxCallTime' mills
		//setTimeout(show,_ajaxCallTime);
		
		if( _handledRequestMark!=_requestMark){
			var ajaxButton = document.getElementById(getClientID(_ajaxSubmitButton));		
			if( ajaxButton != null){
				sendAjaxSubmitCall();
				_handledRequestMark=_requestMark;	
			}	
		}
	}
	
	function getPageIdPrefix(){
		var identityInputCmp = getElementsByTagAndName('input',_identityInput)[0];
		if( identityInputCmp != null){
			_idPrefix = getIDPrefix(identityInputCmp.id);
		}
	}

	/*
	 * Get the elements in the document by tag and the name
	 * tag: the tag name of finding elments
	 * name: the name of finding elements
	 * @Note add this function as IE can not correctly support getElementsByName().
	 */
	function getElementsByTagAndName(tag,name){
		 var elem = document.getElementsByTagName(tag);
	     var arr = new Array();
	     for(i = 0,iarr = 0; i < elem.length; i++) {
	          nameAtt = elem[i].getAttribute("name") +"";
	         
	          if(nameAtt.lastIndexOf(name)>-1) {
	               arr[iarr] = elem[i];
	               iarr++;
	          }
	     }
	     return arr;
	}
	
	function getIDPrefix(id){
		var prefixIndex = id.lastIndexOf(':') ;
		return id.substring(0, prefixIndex);
	}

	function initializeAjax() {	
	    customAjaxSubmit();	
	}

	function getClientID(serverID){

		return _idPrefix+":"+ serverID;
	}


	var _onStart ="on-start:innerMessagesInstance.doStart();";
	var _onComplete ="on-complete:innerMessagesInstance.doComplete();";
	var _onError ="on-error:innerMessagesInstance.doError();";
	function customAjaxSubmit(){	
		hX_5.addBehavior(getClientID(_ajaxSubmitButton), "onclick", new hX_5.JSFBehaviorGeneric("action:get;stop;", "target:"+getClientID(_ajaxSubmitPanel), "function:"));
		hX_5.addBehavior(getClientID(_ajaxSubmitPanel), "onget", new hX_5.JSFBehaviorAjaxSubmit("href:"+_ajaxProxyURL+"?$$ajaxid="+getClientID(_ajaxSubmitPanel)+"&$$ajaxmode=axfull", "progress-actions:LOCKED",_onError,_onComplete,_onStart));
	}
	
	
	function sendAjaxSubmitCall(){
		document.getElementById(getClientID(_ajaxSubmitButton)).click();			
	}

	
	// message part 
	var _innerMsgTableID = _innMsgForm+":messageArea";	
	
	// record critical message 
	var _criticalTrArray = new Array();	
	// record warning message
	var _warningTrArray = new Array();
	// record critical message 
	var _successTrArray = new Array();	
	// record warning message
	var _infoTrArray = new Array();
	
	//outer table id
	var _messagesTableID = "messagesTable";	
		
	// critical message table id
	var _criticalTableID = "criticalTable";	
	// warning message table id
	var _warningTableID = "warningTable";
	// normal message table id
	var _successTableID = "normalTable";
	// info message table id
	var _infoTableID = "infoTable";
	
	// critical img for critical message
	var _criticalImg = "statusCritical_obj30.gif";
	// warning img for warning message
	var _warningImg = "statusWarning_obj30.gif";
	// normal img for normal message
	var _successImg = "statusSuccess_obj30.gif";
	// info img for info message
	var _infoImg = "statusInformation_obj30.gif";	
	
	// table id for close button 
	var _closeTableID =  "closeTable";	
		
	this.clearAllMessage = function() {
		clearTable(_criticalTableID);
		clearTable(_warningTableID);
		clearTable(_successTableID);
		clearTable(_infoTableID);
		displayTable(_criticalTableID);
		displayTable(_warningTableID);
		displayTable(_successTableID);
		displayTable(_infoTableID);
	}
	
	
		
	/////////////////////////////////////////////////////////////////////////////////////////////
	//			Internal  Methods
	/////////////////////////////////////////////////////////////////////////////////////////////		

	function insertNewErrorMessage() {
		separateMessage(getClientID(_innerMsgTableID));				
		showAllErrorMessage();	
	}
	
	/*
	 * call back Function after ajax request finished
	 */
   	function callBack(){
   		if(callBackFunction!=""){
   			callBackFunction.call(null);
   		}
	}
	
	/*
	 *  separate message into four categories(criticalMessage and warningMessage and successMessage and infoMessage)
	 */	
	function separateMessage(tableID){
		_warningTrArray = new Array();
		_criticalTrArray = new Array();
		_successTrArray = new Array();
		_infoTrArray = new Array();

		var msgTable = document.getElementById(tableID);	
		if( msgTable != null){	
			for( var i=0; i < msgTable.rows.length; i++){				
				 var trObj = msgTable.rows[i];
				 if( trObj != null){
				 	 var imgCollection = trObj.getElementsByTagName("img");				 	  	 	 
				 	 if( imgCollection != null && imgCollection.length > 0){
				 	 	 var imgObj = trObj.getElementsByTagName("img")[0];	
					 	 if( imgObj != null ){		 	  						 	
					 	 	 if( imgObj.src.indexOf(_criticalImg) > -1){ 				 	 					 	 	 		 		
						 	 	 _criticalTrArray.push(trObj.cloneNode(true));					 	 	  
							 }else if( imgObj.src.indexOf(_warningImg) > -1){ 					 	 		 
							 	 _warningTrArray.push(trObj.cloneNode(true));							 	 		 			
							 }else if( imgObj.src.indexOf(_successImg) > -1){ 					 	 		 
							 	 _successTrArray.push(trObj.cloneNode(true));							 	 		 			
							 }else if( imgObj.src.indexOf(_infoImg) > -1){ 					 	 		 
							 	 _infoTrArray.push(trObj.cloneNode(true));							 	 		 			
							 }
					 	 }
				 	 }		 				        			 	 
				 }				 
			}
			
			// clear total message table when separate message is complete.
			for ( var i = 0;i < msgTable.rows.length;i ++) {
				  msgTable.deleteRow(0);
			}											
		}		
	}
	
	/*
	 *  show all error message
	 */	
	function showAllErrorMessage(){	
		constructMessage(_criticalTableID, _criticalTrArray);
		constructMessage(_warningTableID, _warningTrArray);
		constructMessage(_successTableID, _successTrArray);
		constructMessage(_infoTableID, _infoTrArray);		
		document.getElementById(getClientID(_ajaxSubmitPanel)).innerHTML="";		
		displayTable(_criticalTableID);	
		displayTable(_warningTableID);
		displayTable(_successTableID);	
		displayTable(_infoTableID);
		
		new DialogUtil().autoPosition();
	}
	
	/*
	 *  construct error message for table
	 */
	function constructMessage(tableID, messageTrArray){	
		
		var tableobj = document.getElementById(tableID);
		var tableTbodyobj = null;
		if (tableobj){
			tableTbodyobj = tableobj.getElementsByTagName("tbody")[0];
		} 
		//append tr array to table		
		if( tableTbodyobj != null){
			if( messageTrArray.length > 0 ){						
				for ( var j = 0; j < messageTrArray.length; j++) {	     
				  	  tableTbodyobj.appendChild( messageTrArray[j]);		  	  
				}
								
				addCloseButton(tableID);
				showImg(tableID);	
			}		
		}	
		messageTrArray = new Array();			
	}
	
	/*
	 *  clear table rows
	 */	
	function clearTable(tableID) {
		var tableobj = document.getElementById(tableID);	
		var tableTbodyobj = tableobj.getElementsByTagName("tbody")[0];
		if( tableTbodyobj != null){			
			var rowlen = tableTbodyobj.rows.length;
			
			if (rowlen > 0) {
				// adjust dialog size
				new DialogUtil().autoAdjust(tableobj, false);
				
				for ( var i = 0;i < rowlen;i ++) {
					  tableTbodyobj.deleteRow(0);
				}
			}
			
			//if all messages are closed,the outer table should be invisible.
			if( document.getElementById(_criticalTableID).rows.length <= 0 &&
			    	document.getElementById(_warningTableID).rows.length <= 0 &&
			    		document.getElementById(_successTableID).rows.length <= 0 &&
			    			document.getElementById(_infoTableID).rows.length <= 0) {
	 			document.getElementById(_messagesTableID).style.display = "none";						
	 		}
		}								
	}
	
	/*
	 *  get div id from inner table id
	 */
	function getDivIDFromTableID(tableID){
		return tableID+"_div";
	}
	
	/*
	 *  add Close Button for message showing
	 */
	function addCloseButton(tableID){
		var tableobj =  document.getElementById(tableID);
		var tableTbodyobj = tableobj.getElementsByTagName("tbody")[0];	
		
		
		if( tableTbodyobj != null ){
		    if( tableTbodyobj.rows.length > 0){
			    if( tableTbodyobj.rows[0].cells.length < 3){	// haven't added close button
					var x = tableTbodyobj.rows[0].insertCell(2);
					x.align = "right";
					var imgId = tableobj.id+":innerMsgCloseBtn";
					x.innerHTML = "<IMG src='"+_contaxtRoot+"/images/status/title_close.gif' title='"+RSSM_Message_CloseBar_Title+"' alt='"+RSSM_Message_CloseBar_Title+"' id='"+imgId+"' class='graphicImageEx' onclick='return innerMessagesInstance.clearMessage(this);'/>";			
				}	
		    }
		}	
	}
		
	/*
	 * show img for message
	 */
	function showImg(tableID){
		var tableobj = document.getElementById(tableID);	
		if( tableobj != null){
			for( var i=0; i < tableobj.rows.length; i++){
				 var imgCollection = tableobj.rows[i].getElementsByTagName("img");				 	  	 	 
			 	 if( imgCollection != null && imgCollection.length > 0){			 	 		 	 
			 	 	 var imgObj = tableobj.rows[i].getElementsByTagName("img")[0];	
				 	 if( imgObj != null){			 	 				 	  		
				 	 	 imgObj.style.display = "";	
				 	 	 break;
				 	 }			 	
				 }				
			}
		}				 	 
	}
	
	/*
	 *  hidden table 
	 */
	function displayTable(tableID){
		var messagesTableobj = document.getElementById(_messagesTableID);
		var tableobj =  document.getElementById(tableID);
		var tablediv =  document.getElementById(getDivIDFromTableID(tableID));
		
		if( tableobj.rows.length > 0){				
			messagesTableobj.style.display = "";
			tablediv.style.display = "";
			
			// adjust dialog size
			new DialogUtil().autoAdjust(tableobj, true);	
		}else{	   
			tablediv.style.display = "none";
		}
	}
}

// ************************************************************************ 
//       Static Methods&Fields
// *********************************************************************** 
innerMessagesInstance = new com.ibm.sysmgmt.scm.common.InnerMessages();


//clear all inner messages when refreshBtn click
function clearAllInnMessages(){
	if(typeof innerMessagesInstance!='undefined' && innerMessagesInstance!=null){
		innerMessagesInstance.clearAllInnerMessages();
	}
}


/////////////////////////////////////////////////////////////////////////////////////////////
//			ADJUST DIALOG SIZE PART
/////////////////////////////////////////////////////////////////////////////////////////////	

DialogUtil = function() {
	var _panelIDs = new Array();
	_panelIDs[0] = parent.namespace_g + "myForm:util_subview:util_dialog";
	_panelIDs[1] = parent.namespace_g + "myForm:util_dialog_sec_level";
	_panelIDs[2] = parent.namespace_g + "myForm:discover_dialog";
	
	var _frameIDs = new Array();
	_frameIDs[0] = "templ_u_iframe";
 	_frameIDs[1] = "templ_u_iframe_sec_level";
 	_frameIDs[2] = "templ_u_iframe_discover_dialog";
 	
 	var _historyDialogHeightID = "historyDialogHeight";
 	var _historyFrameHeightID = "historyFrameHeight";

	var _defaultPanelID = _panelIDs[0];
	var _defaultFrameID = _frameIDs[0];
	
	// flag for pop-up dialog	
	var _enabledDialog = false;
	
	
	/////////////////////////////////////////////////////////////////////////////////////////////
	//			Public  Method 
	//
	/////////////////////////////////////////////////////////////////////////////////////////////		
	/*
	 * adjust the dialog position 
	 */
	this.autoPosition = function() {
		var activeFrameID = findCurrentPanel();
		var activeDialogID = findMatchDialogID(activeFrameID);
		var dialogobj = parent.document.getElementById(activeDialogID);
		var frameobj = parent.document.getElementById(activeFrameID);
		
		if (dialogobj && frameobj && _enabledDialog) {
		    // parent document height
			var documentHeight = parent.document.body.clientHeight;
			
			/* dialog property init */						
			// dialog original Y-Index 
			var originDialogTop = dialogobj.style.top;
			// dialog original Height
			var originDialogHeight = dialogobj.style.height;
			
			// remove the px for caculate
			originDialogTop = obtainDigitalValue(originDialogTop);			
			originDialogHeight = obtainDigitalValue(originDialogHeight);			
			/* end of dialog property init */
			
			
			/* if_object(frame) property init,this frame only exist in IE */
			// If frame original Y-Index
			var originIfTop = 0;
			var ifID = activeDialogID + "_if";
			var ifobj = parent.document.getElementById(ifID);
						
			if (ifobj) {
				// brower is IE
				originIfTop = ifobj.style.top;
				originIfTop = obtainDigitalValue(originIfTop);
			}
			/* end of if obj init */
			
			// dialog has scroll bar
			if (document.getElementById(_historyDialogHeightID).innerHTML != "") {
				
				//Set new position for dialog : Y-Index:25
				dialogobj.style.top = 25;
				
				if (ifobj) {
				    // the delta height between dialog and if_object(frame)
					var deltaTop = originDialogTop - originIfTop;
					// Set new Y-Index for if_object
					ifobj.style.top = 25 + deltaTop;
				}
			} else{ 
			    // dialog has no scroll bar
			    frameobj.style.overflowY = "hidden";
			    
			    // the dialog height larger than screen height,reset the dialog position(X-Index)
				if (originDialogHeight + originDialogTop >= documentHeight) {
				
					// if the height + top >= screen height, means the bottom line will lower than screen
					var newTop = Number(documentHeight - originDialogHeight) / 2;
					dialogobj.style.top = newTop;
					
					// reset the if_object position
					if (ifobj) {
						var deltaTop = originDialogTop - originIfTop;
						ifobj.style.top = newTop + deltaTop;
					}
				}
			}
		}
	}
	
	/*
	 * adjust the dialog size
	 * @ tableobj: error message table which will be displayed
	 * @ isIncrease: boolean
	 *		true : increase the dialog height
	 *  	false : decrease the dialog height
	 */	
	this.autoAdjust = function(tableobj , isIncrease) {
		var additionHeight = tableobj.clientHeight;
		
		// additionHeight > 0, increase dialog height
		// additionHeight < 0, decrease dialog height
		if (!isIncrease) {
			additionHeight = 0 - additionHeight;
		}
		
		
		// find frame
		var activeFrameID = findCurrentPanel();
		var frameobj = parent.document.getElementById(activeFrameID);

		// find dialog
		var activeDialogID = findMatchDialogID(activeFrameID);
		var dialogobj = parent.document.getElementById(activeDialogID);
		
		
		// find if_object(frame) in IE		
		var ifID = activeDialogID + "_if";
		var ifobj = parent.document.getElementById(ifID);
		
		if (dialogobj && frameobj && _enabledDialog) {
			// dialog has scroll bar or not
			var hasScrollBar = (document.getElementById(_historyDialogHeightID).innerHTML != "") ? true : false;
			var scrollBarStatus = "";
			
			var originDialogHeight = dialogobj.style.height;
			var originFrameHeight = frameobj.style.height;
						
			// remove the px for caculate
			originDialogHeight = obtainDigitalValue(originDialogHeight);
			originFrameHeight = obtainDigitalValue(originFrameHeight);
			
			if (hasScrollBar) {
				// reset dialog and frame height according to history height
				originDialogHeight = Number(document.getElementById(_historyDialogHeightID).innerHTML);
				originFrameHeight = Number(document.getElementById(_historyFrameHeightID).innerHTML);
				
				// clear the history height 
				document.getElementById(_historyDialogHeightID).innerHTML = "";
				document.getElementById(_historyFrameHeightID).innerHTML = "";
			}
			
			var documentHeight = parent.document.body.clientHeight;			
			var newDialogHeight = 0;
			var newFrameHeight = 0;
			
			// the delta height between dialog height and frame height
			var deltaHeight = originDialogHeight - originFrameHeight;
			
			
			if (originDialogHeight + additionHeight >= documentHeight) {				
			    // need to adjust the height and add scroll bar for frame
					    			    
			    // set new height
				newDialogHeight = documentHeight - 50;
				newFrameHeight = documentHeight - 50 - deltaHeight;		
						
				// visible scroll bar
				scrollBarStatus = "scroll";
								
				// record the history height
				document.getElementById(_historyDialogHeightID).innerHTML = (originDialogHeight + additionHeight);
				document.getElementById(_historyFrameHeightID).innerHTML = (originFrameHeight + additionHeight);
			} else {
			    // just adjust the height
				newDialogHeight = originDialogHeight + additionHeight;
				newFrameHeight = originFrameHeight + additionHeight;
				
				// invisible scroll bar
				scrollBarStatus = "hidden";
			}
			
			// adjusting ...
			dialogobj.style.height = newDialogHeight;
			frameobj.style.height = newFrameHeight;
			frameobj.style.overflowY = scrollBarStatus;
			if (ifobj) {
				ifobj.style.height = frameobj.style.height;
			}
		}
	}
	
	
	/////////////////////////////////////////////////////////////////////////////////////////////
	//			Internal  Methods
	/////////////////////////////////////////////////////////////////////////////////////////////		
	function findMatchDialogID(frameid) {
		var len = _frameIDs.length;
		
		for (var i = 0;i < len;i ++) {
			if (frameid == _frameIDs[i]) {
				return _panelIDs[i];
			}
		}
		
		return _defaultPanelID;
	}
	
	function findCurrentPanel() {
		var innerPath = document.location.pathname;
		var len = _frameIDs.length;
		for (var i = 0;i < len;i ++) {
			var frameobj = parent.document.getElementById(_frameIDs[i]);
			if (frameobj) {
				var documentobj = frameobj.contentDocument ? frameobj.contentDocument : frameobj.contentWindow.document;
				if (documentobj != null && documentobj.location != null) {				
					var framePath = documentobj.location.pathname;
					if (innerPath == framePath) {
						_enabledDialog = true;
						return _frameIDs[i];
					}
				}
			}
		}
		
		_enabledDialog = false;
		return _defaultFrameID;
	}
	
	/*
	 * remove the px 
	 */	
	function obtainDigitalValue(strValue){
	    var pxIndex = strValue.indexOf("px");	    
		if (pxIndex != -1) {
			strValue = Number(strValue.substring(0 , pxIndex));
		}
		
		if( Number(strValue) >=0 ){
		    return Number(strValue);
		}else{
		    return 0;
		}
	}
}


