<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<%	String path = request.getContextPath();
    	String contextPath = request.getContextPath();
%>

<f:subview id="scmInnMessages">
	<hx:scriptCollector id="scriptCollector1" preRender="#{pc_IMessages.onPageLoadBegin}">
		<hx:jspPanel id="innMessagesPanel"> 
		<h:inputHidden id="identityInput"/>
			<table cellpadding="0" cellspacing="0" border="0" width="100%" style="display:none" id="messagesTable">
				<tr id="criticalTable_div" style="display:none;">
					<td><TABLE id="criticalTable" width="90%" border="0" 
						cellpadding="5" cellspacing="0" align="center" background="<%=contextPath%>/images/status/bkg_message_critical.gif"
						style="display:block;
						 	background-position:center top;
							background-repeat:repeat-x;
							background-color:#FFB3B3;
							border-color:#FFACAC rgb(255, 172, 172) rgb(212, 135, 135);
							border-style:solid;
							border-width:1px;">
						<tbody>
						</tbody>
					</TABLE></td>
				</tr>			
				<tr id="warningTable_div" style="display:none;">
					<td><TABLE id="warningTable" width="90%" border="0" 
						cellpadding="5" cellspacing="0" align="center" background="<%=contextPath%>/images/status/bkg_message_warning.gif"
						style="display:block;
							background-position:center top;
						 	background-color: #FFFFC2;
						 	background-repeat:repeat-x;
							border-color:#FFFFAE rgb(255, 255, 174) rgb(212, 212, 135);
							border-style:solid;
							border-width:1px;">
						<tbody>
						</tbody>
					</TABLE></td>
				</tr>			
				<tr id="infoTable_div" style="display:none;">
					<td><TABLE id="infoTable" width="90%" border="0" 
						 cellpadding="5" cellspacing="0" align="center" background="<%=contextPath%>/images/status/bkg_message_info.gif"
						 style="display:block;
						 	background-position:center top;
						 	background-color: #D1F0FF;
						 	background-repeat:repeat-x;
							border-color:#CEEFFE rgb(206, 239, 254) rgb(165, 197, 212);
							border-style:solid;
							border-width:1px;">
						<tbody>
						</tbody>
					</TABLE></td>
				</tr>			
				<tr id="normalTable_div" style="display:none;">
					<td><TABLE id="normalTable" width="90%" border="0" 
						cellpadding="5" cellspacing="0" align="center" background="<%=contextPath%>/images/status/bkg_message_validation.gif"
						style="display:block;
						 	background-position:center top;
						 	background-color: #C2F0B3;
						 	background-repeat:repeat-x;
							border-color:#BDEFAC rgb(189, 239, 172) rgb(150, 197, 135);
							border-style:solid;
							border-width:1px;">
						<tbody>
						</tbody>
					</TABLE></td>
				</tr>
				<tr id="closeTable_div" style="display:none">
					<td><TABLE id="closeTable" border="0" style="display:none">
						<TBODY>
							<TR>
								<TD valign="bottom" align="left">
								<DIV id="closeButton_div" style="cursor: pointer; cursor: hand;" >
									<IMG src="<%=contextPath%>/images/status/title_close.gif"  id="innerMsgCloseBtn" 
										class="graphicImageEx" onclick="return innerMessagesInstance.clearMessage(this);"
										alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.RSSM_Message_CloseBar_Title, null)%>"/>
								</DIV>
								</TD>
							</TR>
						</TBODY>
					</TABLE></td>
				</tr>
				<tr style="display:none">
					<td><span id="historyDialogHeight" style="display:none"></span><span id="historyFrameHeight" style="display:none"></span><span id="synchronousMessages" style="display:none"></span></td>
				</tr>
			</table>
			<DIV id="myForm_div" style="display:none">
				<h:form id="innMessageForm">
					<hx:commandExButton type="button" style="display:none" id="onloadBehaviorBtnFake">
						<hx:behavior id="behaviorFake" event="onclick" />
					</hx:commandExButton>
					<h:panelGroup id="ajaxpanelSubmitFake">
						<hx:ajaxRefreshSubmit id="ajaxSubmitFake" />		
					</h:panelGroup>
			
					<hx:commandExButton type="button" style="display:none" id="innerMessageAjaxBtn"/>
		
					<h:panelGroup id="ajaxpanel_errMsg" >
						<hx:panelLayout id="messageArea" width="100%" style="display:none">
							<f:facet name="left"></f:facet>
							<f:facet name="top"></f:facet>
							<f:facet name="body">
								<hx:jspPanel id="jspPanel">
									<hx:dataIterator value="#{pc_IMessages.messagesPageBean.messages}" var="message" id="messageDi1">
										<scmc:scmJspPanel id="scmJspPanel">
											<TR>
												<TD width="5%" valign="top" align="center"><hx:graphicImageEx styleClass="graphicImageEx" id="imageEx1" style="display:none" value="#{message.iconSrc}" title="#{message.msgTitle}" alt="#{message.msgTitle}"/></TD>
												<TD valign="top" width="100%"><table cellpadding="0" cellspacing="0" border="0" width="100%" height="50">
													<tr>
														<td><h:outputText styleClass="dmc_outputTextTitle2" value="#{message.code}" rendered="#{message.code != 'NONE'}" id="text1" /></td>
													</tr>
													<tr>
														<td><h:outputText styleClass="dmc_outputText" value="#{message.description}" id="text2" escape="false"/></td>
													</tr>
												</table></TD>
											</TR>
										</scmc:scmJspPanel>
									</hx:dataIterator>
								</hx:jspPanel>
							</f:facet>
							<f:facet name="bottom"></f:facet>
							<f:facet name="right"></f:facet>
						</hx:panelLayout>					
					</h:panelGroup>
					<h:inputHidden id="msgKeyField" value="#{pc_IMessages.messagesPageBean.msgHolderKey}" immediate="true"/>
				</h:form>
			</DIV>			
		</hx:jspPanel>
	</hx:scriptCollector>
</f:subview>
