<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/domain/RetryConnection.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/domain/domain.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>	
<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
		<TITLE>RetryConnection</TITLE>
	<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
			<hx:scriptCollector id="collector" preRender="#{pc_RetryConnection.onPageLoadBegin}">
				<jsp:include page="/page/rbce/common/InnMessages.jsp">
					<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="RetryConnection" />
				</jsp:include><%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="button_submit" />
	</jsp:include>
		<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
							<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
							<div id="request_div"><h:panelGroup id="retryConnection_ajaxpanel">
								<hx:ajaxRefreshSubmit
									id="retryConnection_ajaxpanel_Submit_ID"
									onstart="retryStart();"
									onerror="disableRetryButtons(false);commonAjaxOnError();"
									oncomplete="innerMessagesInstance.display();retryFinished();" />
								<hx:jspPanel id="retryConnectionSwitchJspPanel" rendered="#{pc_RetryConnection.retryConnectionPageBean.retrySwitch}">
									<TABLE border="0" cellpadding="4" cellspacing="0" width="100%">
										<TBODY>
											<TR>
												<TD colspan="3"><h:outputText id="retrySwitchDescription"
													styleClass="dmc_outputText"
													value="#{bundle.Retry_Connection_Description_Switch}" ></h:outputText>
												</TD>
											</TR>
											<TR>
												<TD rowspan="3" width="12"></TD>
												<TD width="210" align="left" valign="top"><span
													style="color: red;">*</span>
												<h:outputLabel for="SASIP" id="label_SASIP" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText"
													id="IPLabelSwitch" value="#{bundle.AddSASSwitch_SwitchIPAddress}#{bundle.colon}"></h:outputText>
												</h:outputLabel>
												</TD>
												<TD width="228" align="left"><h:inputText styleClass="dmc_inputText"
													id="SASIP" maxlength="16" 
													value="#{pc_RetryConnection.retryConnectionPageBean.inputSASIP}">
												</h:inputText>
												<strong>
												<h:outputText style="display:none" styleClass="dmc_message"
													id="SASIPErrorMessage" value="#{bundle.AddSwitch_IPformatErrorMessage}"></h:outputText>
												</strong>
												</TD>
											</TR>
											<TR>
												<TD width="210" align="left"><span
													style="color: red;">*</span>
												<h:outputLabel for="sasUserid" id="label_sasUserid" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText"
													id="useidLabel" value="#{bundle.AddSASSwitch_UserID}"></h:outputText>
												</h:outputLabel>	
												</TD>
												<TD width="228" align="left"><h:inputText styleClass="dmc_inputText"
													id="sasUserid" maxlength="16" 
													value="#{pc_RetryConnection.retryConnectionPageBean.inputUserid}">
												</h:inputText>
												<strong>
												<h:outputText style="display:none"  styleClass="dmc_message"
													id="SASUserIDErrorMessage" value="#{bundle.AddSwitch_SASUserIDErrorMessage}"></h:outputText>
												</strong>
												</TD>
											</TR>
											<TR>
												<TD width="210" align="left"><span
													style="color: red;">*</span>
												<h:outputLabel for="SASPassword" id="label_SASPassword" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText"
													id="passwordLabel" value="#{bundle.AddSASSwitch_Password}"></h:outputText>
												</h:outputLabel>	
												</TD>
												<TD width="228" align="left"><h:inputSecret styleClass="dmc_inputText"
													id="SASPassword" 
													value="#{pc_RetryConnection.retryConnectionPageBean.inputSASPassword.rawPassword}">
												</h:inputSecret>
												<strong>
												<h:outputText style="display:none" styleClass="dmc_message"
													id="SASPasswordErrorMessage" value="#{bundle.UserAdministration_BlankPassword}"></h:outputText>
												</strong>
												
												
												</TD>
											</TR>
										</TBODY>
									</TABLE>
								</hx:jspPanel>
								<hx:jspPanel id="retryConnectionRAIDJspPanel" rendered="#{pc_RetryConnection.retryConnectionPageBean.retryRaidSubsystem}">
									<TABLE border="0" cellpadding="4" cellspacing="0" width="100%">
										<TBODY>
											<TR>
												<TD colspan="3">
													<h:outputText id="retryRaidDescription"
													styleClass="dmc_outputText"
													value="#{bundle.Retry_Connection_Description_RAID_Subsystem}"></h:outputText>
												</TD>
											</TR>
											<TR>
												<TD rowspan="5" width="12"></TD>
												<TD colspan="2">
													<h:outputText id="RaidIPs"
													styleClass="dmc_outputTextB"
													value="#{bundle.Retry_Connection_RAID_Subsystem_IP}"></h:outputText>
												</TD>
											</TR>
											<TR>
												<TD width="210" align="left" valign="top"><span
													style="color: red;">*</span>
												<h:outputLabel for="raidIP1" id="label_raidIP1" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText"
													id="IP1LabelRAID" value="#{bundle.ManageFabric_IOBay3}#{bundle.colon}"></h:outputText>
												</h:outputLabel>
												</TD>
												<TD width="228" align="left"><h:inputText styleClass="dmc_inputText"
													id="raidIP1" maxlength="16" 
													value="#{pc_RetryConnection.retryConnectionPageBean.inputRCIP1}">
												</h:inputText>
												<strong>
												<h:outputText style="display:none" styleClass="dmc_message"
													id="radiIP1ErrorMessage" value="#{bundle.AddSwitch_IPformatErrorMessage}"></h:outputText>
												</strong>
												</TD>
											</TR>
											<TR>
												<TD width="210" align="left" valign="top"><span
													style="color: red;">*</span>
												<h:outputLabel for="raidIP2" id="label_raidIP2" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText"
													id="IP2LabelRAID" value="#{bundle.ManageFabric_IOBay4}#{bundle.colon}"></h:outputText>
												</h:outputLabel>
												</TD>
												<TD width="228" align="left"><h:inputText styleClass="dmc_inputText"
													id="raidIP2" maxlength="16" 
													value="#{pc_RetryConnection.retryConnectionPageBean.inputRCIP2}">
												</h:inputText>
												<strong>
												<h:outputText style="display:none" styleClass="dmc_message"
													id="radiIP2ErrorMessage" value="#{bundle.AddSwitch_IPformatErrorMessage}"></h:outputText>
												</strong>
												</TD>
											</TR>
											<TR>
												<TD width="210" align="left"><h:outputText styleClass="dmc_outputText"
													id="raiduseidLabel" value="#{bundle.AddSASSwitch_UserID}"></h:outputText></TD>
												<TD width="228" align="left">
												<h:outputText styleClass="dmc_outputText"
													id="RaidUserid" value="#{pc_RetryConnection.retryConnectionPageBean.username}"></h:outputText>
												</TD>
											</TR>
											<TR>
												<TD width="210" align="left"><span
													style="color: red;">*</span>
												<h:outputLabel for="raidPassword" id="label_raidPassword" styleClass="dmc_outputText">
													<h:outputText styleClass="dmc_outputText"
													id="raidpasswordLabel" value="#{bundle.AddSASSwitch_Password}"></h:outputText>
												</h:outputLabel>
												</TD>
												<TD width="228" align="left"><h:inputSecret styleClass="dmc_inputText"
													id="raidPassword" maxlength="16" 
													value="#{pc_RetryConnection.retryConnectionPageBean.inputRCPassword.rawPassword}">
												</h:inputSecret>
												<strong>
												<h:outputText style="display:none" styleClass="dmc_message"
													id="raidPasswordErrorMessage" value="#{bundle.UserAdministration_BlankPassword}"></h:outputText>
												</strong>
												</TD>
											</TR>
										</TBODY>
									</TABLE>
								</hx:jspPanel>
								<h:outputText style="display:none"
													id="isErrorOccured" 
													value="#{pc_RetryConnection.retryConnectionPageBean.errorOccured}"></h:outputText>
								<h:inputHidden id="selectedType" value="#{pc_RetryConnection.retryConnectionPageBean.selectedType}"></h:inputHidden>
								<h:inputHidden id="selectedIP" value="#{pc_RetryConnection.retryConnectionPageBean.selectedIP}"></h:inputHidden>
								<h:inputHidden id="selectedSwitchNickName" value="#{pc_RetryConnection.retryConnectionPageBean.selectedSwitchNickName}"></h:inputHidden>
								<h:inputHidden id="selectedRCIP1" value="#{pc_RetryConnection.retryConnectionPageBean.selectedRCIP1}"></h:inputHidden>
								<h:inputHidden id="selectedRCIP2" value="#{pc_RetryConnection.retryConnectionPageBean.selectedRCIP2}"></h:inputHidden>
							</h:panelGroup></div>
							<div id="progress_div" style="height:145;display:none"><hx:graphicImageEx
								id="refreshing_img"
								value="/images/sort_of_slow_progress_bar.gif" 
								title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
								align="middle" hspace="10" vspace="10"></hx:graphicImageEx>
								<h:outputText styleClass="dmc_outputText"
													id="waitingText" value="#{bundle.Retry_Connection_Retrying_Connection}"></h:outputText>
								</div>
						<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
							<TD valign="bottom" colspan="2">
							<TABLE>
							<TR>
								<TD>
								<hx:commandExButton onclick="return checkReConnectInputs()"
									type="button" value="#{bundle.OK}" styleClass="dmc_commandExButton" id="button_submit">
								</hx:commandExButton>	
								<hx:commandExButton style="display:none"
									type="button" value="#{bundle.OK}" styleClass="dmc_commandExButton" id="button_submit_ajaxCall">
									<hx:behavior id="button_submit_behavior_ID" event="onclick" targetAction="retryConnection_ajaxpanel;"
										behaviorAction="get;stop;"
										onActionFunction=""></hx:behavior>
								</hx:commandExButton>&nbsp;
								
								<hx:commandExButton type="button"
									value="#{bundle.Cancel}" styleClass="dmc_commandExButton"
									id="cancel_button"
									onclick="parent.document.getElementById(parent.namespace_g + 'myForm:dialog_closer').click();"></hx:commandExButton>
								</TD>
								<TD><div id="spinningDiv" style="visibility:visible"></div></TD>
							</TR>
							</TABLE>
							
							
							</TD>
						<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
			</hx:scriptCollector>
		<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
