<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/errorcounters/ErrorCounters.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/HeaderPortlet.jsp"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"
	import="java.util.HashMap,pagecode.page.errorcounters.*,javax.faces.context.FacesContext,com.ibm.sysmgmt.scm.nbce.backing.errors.*,java.util.ResourceBundle"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">

<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css" href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/css/dmcsbstyle.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css" href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/css/dmcsbtables.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css" href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/css/stylesheet.css") %>' title="Style">
<LINK rel="stylesheet" type="text/css" href='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/errorcounters/ErrorCounters.css") %>' title="Style">
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/errorcounters/ErrorCounters.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/common/common.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/templates/template_common.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +  "/page/rbce/common/InnMessages.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>ErrorCounters</TITLE>


</HEAD>
<BODY onload="initErrorMessage();">
<f:view>
	
		<hx:scriptCollector id="error_counter_script_collector" preRender="#{pc_ErrorCounters.onPageLoadBegin}">
				<jsp:include page="/page/rbce/common/InnMessages.jsp">
					<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="ErrorCounter" />
				</jsp:include>
				<jsp:include page="/page/rbce/fabric/WaitHeaderPortlet.jsp" />
			<%
				// Get the bundle

				// If there is only one switch gray out external ports in the corresponding Bay
				FacesContext fc = FacesContext.getCurrentInstance();
				ResourceBundle bundle = ResourceBundle.getBundle("com.ibm.scm.gui.rbce.nls.GWMSBL",fc.getExternalContext().getRequestLocale());

				ErrorCounters errorCounters = (ErrorCounters) fc.getApplication()
						.createValueBinding("#{pc_ErrorCounters}").getValue(fc);
				//ErrorCountersBean errorCountersBean = errorCounters.getErrorCountersBean();
				ErrorCountersBean errorCountersBean = (ErrorCountersBean) fc.getApplication()
                    .createValueBinding("#{errorCountersBean}").getValue(fc);
				
				boolean disableBay3 = !errorCounters.existsSwitch(3);
				boolean disableBay4 = !errorCounters.existsSwitch(4);
			%>
			<!-- Hidden fields used to change the alt text when the user selects/deselects -->
		
			<h:inputHidden id="notSelected" value="#{bundle.ErrorCounters_NotSelected}"></h:inputHidden>
			<h:inputHidden id="selected" value="#{bundle.ErrorCounters_Selected}"></h:inputHidden>
			
			<TABLE width="100%" cellspacing="0" cellpadding="0">
				<TBODY>
					<TR>
						<!--<TD valign="top"><h:outputFormat
							id="error_counter_page_title" styleClass="dmc_outputTextTitle"
							value="#{bundle.ErrorCounters_ErrorCounters}"></h:outputFormat></TD>-->
						<TD align="right"><h:form id="currentDeviceForm">
						<hx:jspPanel id="panel_menu1">
						<h:outputLabel for="menu1" id="label_menu1" styleClass="dmc_outputText">
						<h:outputText styleClass="dmc_outputText"
								id="current_device_ID"
								value="#{bundle.Current_Device}"></h:outputText></h:outputLabel>
							<h:selectOneMenu styleClass="dmc_selectOneMenu" id="menu1"
								valueChangeListener="#{pc_ErrorCounters.errorCountersBean.changeCurrentChassis}"
								onchange="changeDeviceList(this.form)"
								value="#{pc_ErrorCounters.errorCountersBean.currentDeviceIdentifier}">
								<f:selectItems
									value="#{pc_ErrorCounters.errorCountersBean.chassisItems}" />
							</h:selectOneMenu>
						</hx:jspPanel>
						</h:form></TD>
					</TR>
				</TBODY>
			</TABLE>
			
			<h:outputFormat id="error_counter_page_instructions"
				styleClass="dmc_outputText"
				value='#{bundle.ErrorCounters_Instructions}'></h:outputFormat>
			<HR/>
			
			<TABLE width="100%" >
			<TBODY>
				<!-- ----------------------------- LABELS ----------------------------- -->
				<TR>
					<TD align="center" valign="top">
						<h:outputFormat id="error_counter_blade_bay_ports_title" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ErrorCounters_BladeBayPorts}"></h:outputFormat>
					</TD>
					
					<%
					if(errorCounters.existsController(3))
					{
					%>
					<TD align="center" valign="top">
						<h:outputFormat id="error_counter_storage_module_text1" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ErrorCounters_Controller1}"></h:outputFormat>
					</TD>
					<%
					}
					%>
					
					<TD align="center" valign="top">
						<TABLE border="0">
							<TBODY>
								<TR>
									<TD colspan="3" align="center" style="white-space:nowrap">
										<h:outputFormat id="error_counter_external_ports_text" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ErrorCounters_ExternalPorts}"></h:outputFormat>		
									</TD>
								</TR>
								<TR>
									<TD align="right">
										<%
										// See there is a switch in Bay3
										if(disableBay3)
										{
										%>
										<SPAN style="visibility: hidden">
										<%
										}
										else
										{
										%>
										<SPAN>
										<% 
										}
										%>
										<h:outputFormat id="error_counter_io_bay3" styleClass="dmc_outputTextSB" value="#{bundle.ErrorCounters_IOBay3}"></h:outputFormat>
										</SPAN>
									</TD>
									<TD width="10%">
										&nbsp; <!-- There is a number between the port images, accounting for it -->
									</TD>
									<TD align="left">
										<%
										// See top of the file for disableBay4 assignement
										if(disableBay4)
										{ 
										%>
										<SPAN style="visibility: hidden">
										<%
										}
										else
										{
										%>
										<SPAN>
										<%
										}
										%>
										<h:outputFormat id="error_counter_io_bay4" styleClass="dmc_outputTextSB" value="#{bundle.ErrorCounters_IOBay4}"></h:outputFormat>
										</SPAN>
									</TD>
								</TR>
							</TBODY>
						</TABLE>						
					</TD>
					
					<%
					if(errorCounters.existsController(4))
					{
					%>
					<TD align="center" valign="top">
						<h:outputFormat id="error_counter_storage_module_text2" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ErrorCounters_Controller2}"></h:outputFormat>
					</TD>
					<%
					}
					%>
				</TR>
				
				<!-- ----------------------------- RESOURCES ----------------------------- -->
				<TR>
					<TD align="center">
						<!-- -------------------------------- BLADES ------------------------------------ -->
						
						<TABLE align="center" border="0">
							<TBODY>
								<TR>
									<%
									for(int x = 0; x < 6; x++)
									{
									%>				
									<TD class="unSelectedResource" id="resourceCell<%=x%>" onClick="toggleResource(this, 'resourceImage<%=x%>', selectedBlades, <%=x%>); matchBladeNumberAlt('resourceImage<%=x%>', 'bladeNumber<%= x %>')">
										<TABLE cellspacing="0" cellpadding="0">
											<TBODY>
												<TR>
													<TD align="center" style="padding-bottom: 5;">
														<%
														if(errorCounters.isEnabled(x))
														{
														%>
														<IMG id="resourceImage<%=x%>" title="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1)%>" alt="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1) + " " +  bundle.getString("ErrorCounters_NotSelected")%>" border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/blade_150.gif")%>'>
														<%
														}
														else
														{
														%>
														<IMG id="resourceImage<%=x%>" title="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1)%>" alt="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1) + " " +  bundle.getString("ErrorCounters_NotSelected")%>" border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/blade_150_disabled.gif")%>'>
														<%
														}
														%>
													</TD>
												</TR>
												<TR>
													<TD align="center">
														<IMG id="bladeNumber<%= x %>" alt="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1) + " " +  bundle.getString("ErrorCounters_NotSelected")%>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/numberImages/numberImage" + (x + 1) + ".gif")%>'>
													</TD>
												</TR>							
											</TBODY>
										</TABLE>
									</TD>
									<%
									}
									%>
								</TR>
							</TBODY>
						</TABLE>
						
					</TD>
					
					<%
					if(errorCounters.existsController(3))
					{
					%>
					
					<TD align="center" valign="top">
						<!-- -------------------------------- Controller in IO Bay 3 ------------------------------------ -->
					
						<TABLE cellspacing="0" cellpadding="0" border="0">
							<TBODY>
								<TR>
									<TD>
										
										<TABLE>
											<TBODY>
												<TR>
													<TD id="resourceCell<%=ErrorCounters.SM1_RESOURCE_OFFSET%>" align="center" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%= ErrorCounters.SM1_RESOURCE_OFFSET %>', selectedController3, 0)" >
														<%
														if(errorCounters.isEnabled(ErrorCounters.SM1_RESOURCE_OFFSET))
														{
														%>
														<IMG id="resourceImage<%= errorCounters.SM1_RESOURCE_OFFSET %>" title="<%= bundle.getString("ErrorCounters_Controller1") %>" alt="<%= bundle.getString("ErrorCounters_Controller1")  + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/drivehostcontroller/controller_large.gif")%>'>
														<%
														}
														else
														{
														%>
														<IMG id="resourceImage<%= errorCounters.SM1_RESOURCE_OFFSET %>" title="<%= bundle.getString("ErrorCounters_Controller1") %>" alt="<%= bundle.getString("ErrorCounters_Controller1")  + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/drivehostcontroller/controller_disabled.gif")%>'>
														<%
														}
														%>								
													</TD>
												</TR>
											</TBODY>
										</TABLE>
										
									</TD>
								</TR>
							</TBODY>
						</TABLE>
					
					</TD>
					
					<%
					}
					%>
					
					<TD align="center">
						<!-- -------------------------------- EXTERNAL PORTS ------------------------------------ -->
						
						<TABLE border="0">
							<TBODY>
							<%
							for(int portNumber = 0; portNumber < 4; portNumber++)
							{	
								// See the constants at the top of the file for a resource offset explanation
								int bay3resourceNumber = ErrorCounters.BAY3_EXTERNAL_PORTS_RESOURCE_OFFSET + portNumber;
								
								int bay4resourceNumber = ErrorCounters.BAY4_EXTERNAL_PORTS_RESOURCE_OFFSET + portNumber;
							
							%>
								<TR>
									<%
									// See top of the file for disableBay3 assignment
									if(disableBay3)
									{
									%>
									
									<TD id="resourceCell<%=bay3resourceNumber%>" class="unSelectedResource">
										<IMG id="resourceImage<%= bay3resourceNumber %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/no_external_port_32.gif")%>' alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.ErrorCounters_IOBay3ExternalPort, null)%>" style="visibility: hidden">
									</TD>
									<%
									}
									else
									{
									%>
									<TD id="resourceCell<%=bay3resourceNumber%>" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%=bay3resourceNumber%>', selectedBay3ExternalPorts, <%=portNumber%>)">
										<%
										if(errorCounters.isEnabled(bay3resourceNumber))
										{
										%>
										<IMG id="resourceImage<%= bay3resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32.gif")%>'>
										<%
										}
										else
										{
										%>
										<IMG id="resourceImage<%= bay3resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32_disabled.gif")%>'>
										<%
										}
										%>
									</TD>
									<%
									}
									%>
									<!-- Middle column to display the port number -->
									<TD valign="middle" style="padding-left: 15; padding-right: 15;">
										<SPAN class="dmc_outputTextTitle2UL"><%=portNumber + 1%></SPAN>
									</TD>
									<%
									// See top of the file for disableBay4 assignment
									if(disableBay4)
									{
									%>
									
									<TD id="resourceCell<%=bay4resourceNumber%>" class="unSelectedResource">
										<IMG id="resourceImage<%= bay4resourceNumber %>"  src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/no_external_port_32.gif")%>' alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.ErrorCounters_IOBay4ExternalPort, null)%>" style="visibility: hidden">
									</TD>
									<%
									}
									else
									{
									%>
									<TD id="resourceCell<%=bay4resourceNumber%>" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%=bay4resourceNumber%>', selectedBay4ExternalPorts, <%=portNumber%>)">			
										<%
										if(errorCounters.isEnabled(bay4resourceNumber))
										{
										%>
										<IMG id="resourceImage<%= bay4resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32.gif")%>'>
										<%
										}
										else
										{
										%>
										<IMG id="resourceImage<%= bay4resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32_disabled.gif")%>'>
										<%
										}
										%>
									</TD>
									<%
									}
									%>
								</TR>
							<%
							}
							%>
							</TBODY>
						</TABLE>
						
					</TD>
					
					<%
					if(errorCounters.existsController(4))
					{
					%>
					
					<TD align="center" valign="top">
						<!-- -------------------------------- Controlller in IO Bay 4 ------------------------------------ -->
					
						<TABLE cellspacing="0" cellpadding="0" border="0">
							<TBODY>
								<TR>
									<TD >
										
										<TABLE border="0">
											<TBODY>
												
												<TR>
													<TD id="resourceCell<%=ErrorCounters.SM2_RESOURCE_OFFSET%>" align="center" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%= ErrorCounters.SM2_RESOURCE_OFFSET %>', selectedController4, 0)">
														<%
														if(errorCounters.isEnabled(ErrorCounters.SM2_RESOURCE_OFFSET))
														{
														%>
														<IMG id="resourceImage<%= errorCounters.SM2_RESOURCE_OFFSET %>" title="<%= bundle.getString("ErrorCounters_Controller2") %>" alt="<%= bundle.getString("ErrorCounters_Controller2")  + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/drivehostcontroller/controller_large.gif")%>'>
														<%
														}
														else
														{
														%>
														<IMG id="resourceImage<%= errorCounters.SM2_RESOURCE_OFFSET %>" title="<%= bundle.getString("ErrorCounters_Controller2") %>" alt="<%= bundle.getString("ErrorCounters_Controller2")  + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/drivehostcontroller/controller_disabled.gif")%>'>
														<%
														}
														%>			
													</TD>
												</TR>
											</TBODY>
										</TABLE>
										
									</TD>
								</TR>
							</TBODY>
						</TABLE>
					
					</TD>
					
					<%
					}
					%>
				
					</TR>
				</TBODY>
			</TABLE>

			<BR/>
		
			<!-- INPUT used because the JSF version does not deal well with disabled attributes (grayed out initially because no ress-->
			<INPUT disabled id="viewErrorCountersButton" type="button" class="dmc_commandExButton" value="<%= bundle.getString("ErrorCounters_ViewErrorCounters") %>"  onclick="viewErrorCounters()">
			<INPUT disabled id="resetSelectionsButton" type="button" class="dmc_commandExButton" value="<%= bundle.getString("ErrorCounters_ResetSelections") %>"  onclick="resetSelections()">
			
			<HR/>

			<DIV id="waitDiv" style="height: 300px;"><!-- height to make it the same size as the iframe -->
			<BR/>
			<!-- an extra new line to make this wait div and the wait div in the iframe appear in the same place -->
			<TABLE>
				<TBODY>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
					<TR>
						<TD><IMG border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/loading/busy.gif")%>' alt=''></TD>
						<TD>&nbsp;</TD>

						<TD align="left"><h:outputFormat
							id="error_counter_wait_message_text" styleClass="dmc_outputText"
							value="#{bundle.ErrorCounters_WaitMessage}"></h:outputFormat></TD>
					</TR>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
				</TBODY>
			</TABLE>
			</DIV>
					
			<IFRAME title="error counters table" width="100%" id="tableFrame" name="tableFrame" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/faces/page/rbce/errorcounters/ErrorCountersTable.jsp")%>'
		     onLoad="stopErrorCounterWait();resizeFrameHeight(this.id, this.name);" frameborder="0" style="display: none;" align="top" scrolling="no"></IFRAME>
	    	
	    	<jsp:include page="/page/rbce/fabric/WaitFooter.jsp" />
				
</hx:scriptCollector>
	</f:view>
	</BODY>

</HTML>
