<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/fabric/ManageFabricStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="java.util.*, pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<META name="GENERATOR" content="IBM Software Development Platform"/>
<META http-equiv="Content-Style-Type" content="text/css"/>
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style"/>
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style"/>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/fabric/ManageFabric.js"></SCRIPT>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>ManageFabricStaticLoadingView.jsp</TITLE>

</HEAD>
<f:view>
	<BODY>
	
	<hx:scriptCollector id="loadingViewScriptCollector">
	
	<TABLE width="100%" cellspacing="0" cellpadding="0">
	<TBODY>
	<TR>
	<!--<TD valign="top">
	<h:outputFormat id="manageFabricTitle" styleClass="dmc_outputTextTitle" value="#{bundle.ManageFabric_Title}"></h:outputFormat> 
	</TD>-->
	<TD align="right" style="white-space: nowrap">
		<h:form id="currentDeviceForm">
		<hx:jspPanel id="panel_menu1">
		<h:outputLabel for="menu1" id="label_menu1" styleClass="dmc_outputText">
			<h:outputText id="currentDeviceForm_Current_Device_ID" styleClass="dmc_outputText" value="#{bundle.Current_Device}"></h:outputText> 	
		</h:outputLabel>
			<h:selectOneMenu styleClass="dmc_selectOneMenu" id="menu1"  value="#{pc_ManageFabricShell.manageFabricBean.currentDeviceIdentifier}" disabled="true">
				<f:selectItems value="#{pc_ManageFabricShell.manageFabricBean.chassisItems}" />
			</h:selectOneMenu>	
		</hx:jspPanel>
		</h:form>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<h:outputFormat id="manageFabricInstructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Instructions}"></h:outputFormat>
	<HR/>
	
	<TABLE width="100%">
	<TR>
	<TD align="right">
	<h:outputText styleClass="dmc_outputText" id="manageFabricLastRefresh" value="#{bundle.Last_Refresh}"></h:outputText>
	<h:outputText styleClass="dmc_outputText" id="lastRefreshTimestamp" value="#{bundle.Refreshing_Data}"></h:outputText>
	<h:inputHidden id="hiddenNLSRefreshingData" value="#{bundle.Refreshing_Data}"></h:inputHidden>
	</TD>
	</TR>
	</TABLE>
	<!-- ------------------------------------------ ACTIVE CONFIGURATIONS ---------------------------------------------- -->
	<TABLE>
		<TR>
			<TD rowspan="3" valign="top">
			<scmc:scmJspPanel id="panel_active_configuration">
				<IMG src="<%=path%>/images/fabric/active_configuration.gif" alt="#{bundle.ManageFabric_ActiveConfiguration}"/>
			</scmc:scmJspPanel>
			</TD>
			<TD valign="top" style="white-space: nowrap">
				<h:outputFormat id="activeConfigLabel" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ManageFabric_ActiveConfiguration}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<TABLE>
					<TR>
						<TD valign="middle">
						<scmc:scmJspPanel id="panel_image_waiting1">
							<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}" />
						</scmc:scmJspPanel>
						</TD>
						<TD valign="middle">
							<h:outputText id="loadingActiveConfigurationMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR>
			<TD valign="top" style="white-space: nowrap">
				<h:outputFormat id="descriptionLabel" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ManageFabric_Description}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<TABLE>
					<TR>
						<TD valign="middle">
						<scmc:scmJspPanel id="panel_image_waiting2">
							<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
						</scmc:scmJspPanel>
						</TD>
						<TD valign="middle">
							<h:outputText id="loadingDescriptionMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR>
			<TD valign="top" style="white-space: nowrap">
				<h:outputFormat id="lastSaveLabel" styleClass="dmc_outputTextTitle2UL" value="#{bundle.ManageFabric_LastSaved}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<TABLE>
					<TR>
						<TD valign="middle">
						<scmc:scmJspPanel id="panel_image_waiting3">
							<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
						</scmc:scmJspPanel>
						</TD>
						<TD valign="middle">
							<h:outputText id="loadingLastSavedMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>		
	</TABLE>
	
	<TABLE class="dmc_domain_dataTable dmc_outputText" width="720px" height="40px" cellpadding="2" cellspacing="0">
	<TBODY>
	<TR class="rbceTableHeaderRow">
	<TD valign="bottom" style="padding-left: 10px;">
		<hx:commandExButton id="modifyButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Edit}" disabled="true"></hx:commandExButton>
	</TD>
	<TD valign="bottom" style="padding-left: 10px;">
		<hx:commandExButton id="activateButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Activate}" disabled="true"></hx:commandExButton>
	</TD>
	<TD valign="bottom" style="padding-left: 10px;">

	<TABLE class="scm_PanelGrid" border="1" width="300px" cellpadding="0" cellspacing="0">
	<TR>
		<TD class="menuHeaderLeftCol">
			<h:outputText id="ManageFabric_MoreActions_ID" styleClass="dmc_outputText" escape="false" value="#{bundle.ManageFabric_MoreActions}"></h:outputText>
		</TD>
		<TD class="menuHeaderRightCol">
			<h:graphicImage id="graphicImageEx_ID" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow_disabled.gif"></h:graphicImage>
		</TD>
	</TR>
	</TABLE>          
  
	
	</TD>
	<TD align="right" valign="bottom" width="100%" style="padding-right: 10px">
		<hx:commandExButton id="refreshButton" styleClass="dmc_commandExButton" value="#{bundle.Button_Refresh}" disabled="true"></hx:commandExButton>
	</TD>	
	</TR>
	</TBODY>	
	</TABLE>
	
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<!-- ---------------------------------------------- START TABLE --------------------------------------------------- -->
	
	<TABLE class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="720px">
		<TBODY>
			<TR class="rbceTableHeaderRow">
				<TD class="dmc_outputTextB" style="width:11%;border-right: 1px solid #C0C0C0" align="left">
					<h:outputFormat id="manageFabricTableSelect" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:21%;border-right: 1px solid #C0C0C0" align="left">
					<h:outputFormat id="manageFabricTableConfigurationStore" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:20%;border-right: 1px solid #C0C0C0">
					<h:outputFormat id="manageFabricTableNickname" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:23%;border-right: 1px solid #C0C0C0">
					<h:outputFormat id="manageFabricTableDescription" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description}"></h:outputFormat>
				</TD>
				<TD class="dmc_outputTextB" style="width:25%;border-right: 1px solid #C0C0C0" nowrap>
					<h:outputFormat id="manageFabricTableLastModified" styleClass="dmc_outputText" value="#{bundle.ManageFabric_LastModified}"></h:outputFormat>
				</TD>
			</TR>
			<TR>
				<TD colspan="6" class="rbceTableRow">
					<TABLE>
						<TR>
							<TD valign="middle">
							<scmc:scmJspPanel id="panel_image_waiting4">
								<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
							</scmc:scmJspPanel>
							</TD>
							<TD valign="middle">
								<h:outputText id="loadingTableMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
							</TD>							
						</TR>
					</TABLE>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
