<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/physical/PhysicalResourcesStaticLoadingView.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter, com.ibm.scm.gui.rbce.nls.GWMSBL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />

<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<SCRIPT src="<%=path%>/page/rbce/physical/PhysicalResources.js"></SCRIPT>

<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />

<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/PhysicalResources.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/notebookTabbedPanel.css" title="Style" />

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>PhysicalResourcesStaticLoadingView.jsp</TITLE>

</HEAD>
<f:view>
	<BODY>
		<TABLE width="100%" cellspacing="0" cellpadding="0">
				<TBODY>
					<TR>
						<TD valign="top">
							<!--<h:outputFormat id="pageTitle" styleClass="dmc_outputTextTitle" value="#{bundle.Physical_PhysicalView}"></h:outputFormat>--></TD>
						<TD align="right">
							<h:form id="currentDeviceForm">
							<hx:jspPanel id="panel_menu1">
								<h:outputLabel for="menu1" styleClass="dmc_outputText" id="label_menu1">
									<h:outputText id="currentDeviceLabel1" styleClass="dmc_outputText" value="#{bundle.Current_Device}"></h:outputText>
								</h:outputLabel>
								
								<h:selectOneMenu styleClass="dmc_selectOneMenu" id="menu1" value="#{pc_PhysicalResourcesShell.physicalResourcePageBean.currentDeviceIdentifier}" disabled="true">
									<f:selectItems value="#{pc_PhysicalResourcesShell.physicalResourcePageBean.chassisItems}" />
								</h:selectOneMenu>
							</hx:jspPanel>
								<BR/>
							</h:form>
							
							<h:outputText styleClass="dmc_outputText" id="manageFabricLastRefresh" value="#{bundle.Last_Refresh}"></h:outputText>
							<h:outputText styleClass="dmc_outputText" id="lastRefreshTimestamp" value="#{bundle.Refreshing_Data}"></h:outputText>
							<h:inputHidden id="hiddenNLSRefreshingData" value="#{bundle.Refreshing_Data}"></h:inputHidden>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			
			<HR/>
		<!-- --------------------------------------------- ACTION MENUs -------------------------------------------- -->
		<TABLE cellspacing="0" cellpadding="0" border="0" width="768px">
		<TR>
		<TD width="402px" align="right">
		
			<DIV id="loadingMenuDIV" style="margin-bottom: 5px;">  
			 	<h:panelGrid  styleClass="menuHeaderTable" id="loadingMenuHeader"  width="243px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
			    	<h:outputText id="physica_slv_lp" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
			        <h:graphicImage id="physical_slv_dm" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow_disabled.gif"></h:graphicImage>
				</h:panelGrid>  
			</DIV>
		
		</TD>
		<TD width="366px" align="right">
			<hx:commandExButton type="button" id="refreshButton" styleClass="dmc_commandExButton" value="#{bundle.Button_Refresh}" disabled="true"></hx:commandExButton>
		</TD>
		</TR>
		</TABLE>
		
		<TABLE cellspacing="0" cellpadding="0" border="0" width="768px" height="418px">
			<TR>
				<!-- --------------------------------------------------- RESOURCE AREA -------------------------------------------------------------------------- -->
				<TD width="402px" height="155px" align="right" style="border: 1px solid #7D95B3; border-left-width: 0px; border-top-width: 0px;">
					<odc:tabbedPanel 
						styleClass="scm_tabbedPanel_notebook" 
						variableTabLength="false" 
						showBackNextButton="false"
						showTabs="true" 
						slantActiveRight="4" 
						slantActiveLeft="4"
						slantInactiveRight="4" 
						slantInactiveLeft="4"
						id="resourceAreaLoadingTabs" 
						width="243" 
						height="155"
						layout="notebook">
						
						<!-- --------------------------------------------------- DRIVES TAB -------------------------------------------------------------------------- -->
						
						<odc:bfPanel id="drivesTab" name="#{bundle.Physical_Drives}" tabIcon="/images/status/status_space14.gif">
							<DIV id="loadingDrivesDiv">
								<TABLE>
									<TR>
										<TD valign="middle">
										<scmc:scmJspPanel id="panel_image_waiting1">
											<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
										</scmc:scmJspPanel>
										</TD>
										<TD valign="middle">
											<h:outputText id="loadingDrivesDivMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
										</TD>							
									</TR>
								</TABLE>
							</DIV>
						</odc:bfPanel>
						
						<!-- --------------------------------------------------- BBUs TAB -------------------------------------------------------------------------- -->
						
						<odc:bfPanel id="bbusTab" name="#{bundle.Physical_BBUs}" tabIcon="/images/status/status_space14.gif">
							<DIV id="loadingBBUsDiv">
								<TABLE>
									<TR>
										<TD valign="middle">
										<scmc:scmJspPanel id="panel_image_waiting2">
											<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
										</scmc:scmJspPanel>
										</TD>
										<TD valign="middle">
											<h:outputText id="loadingBBUsDivMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
										</TD>							
									</TR>
								</TABLE>
							</DIV>
						</odc:bfPanel>
						
						<!-- --------------------------------------------------- SWITCHES TAB -------------------------------------------------------------------------- -->
						
						<odc:bfPanel id="switchesTab" name="#{bundle.Physical_Switches}" tabIcon="/images/status/status_space14.gif">
							<DIV id="loadingSwitchesDiv">
								<TABLE>
									<TR>
										<TD valign="middle">
										<scmc:scmJspPanel id="panel_image_waiting3">
											<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
										</scmc:scmJspPanel>
										</TD>
										<TD valign="middle">
											<h:outputText id="loadingSwitchesDivMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
										</TD>							
									</TR>
								</TABLE>
							</DIV>
						</odc:bfPanel>
						
						<!-- --------------------------------------------------- CONTROLLERS TAB -------------------------------------------------------------------------- -->
						
						<odc:bfPanel id="controllersTab" name="#{bundle.Physical_Controllers}" tabIcon="/images/status/status_space14.gif">
							<DIV id="loadingControllersDiv">
								<TABLE>
									<TR>
										<TD valign="middle">
										<scmc:scmJspPanel id="panel_image_waiting4">
											<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
										</scmc:scmJspPanel>
										</TD>
										<TD valign="middle">
											<h:outputText id="loadingControllersDivMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
										</TD>							
									</TR>
								</TABLE>
							</DIV>
						</odc:bfPanel>
						
						<!-- --------------------------------------------------- STORAGE MODULES TAB -------------------------------------------------------------------------- -->
						
						<odc:bfPanel id="storageModulesTab" name="#{bundle.Physical_StorageModules}" tabIcon="/images/status/status_space14.gif">
							<DIV id="loadingStorageModulesDiv">
								<TABLE>
									<TR>
										<TD valign="middle">
										<scmc:scmJspPanel id="panel_image_waiting5">
											<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
										</scmc:scmJspPanel>
										</TD>
										<TD valign="middle">
											<h:outputText id="loadingStorageModulesDivMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
										</TD>							
									</TR>
								</TABLE>
							</DIV>
						</odc:bfPanel>
				
						<f:facet name="back">
							<hx:commandExButton type="submit" value="Back" id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="next">
							<hx:commandExButton type="submit" value="Next" id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="finish">
							<hx:commandExButton type="submit" value="Finish" id="tabbedPanel1_finish" style="display:none"></hx:commandExButton>
						</f:facet>
						<f:facet name="cancel">
							<hx:commandExButton type="submit" value="Cancel" id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
						</f:facet>
					</odc:tabbedPanel>
				</TD>
				
				<TD id="physicalGraphicArea" width="366px" height="418px" rowspan="2" align="center" valign="middle" bgcolor="#b2c6d5" style="border: 2px solid #7D95B3; border-left-width: 1px;">
					<TABLE id="frontBottomTable" cellspacing="0" cellpadding="0">
						<TR>
							<TD background="<%=path%>/images/physical/physical_front_splice_01.gif" width="23px" height="175px">
	
								
							</TD>
							<TD>
								<TABLE cellspacing="0" cellpadding="0">
									<TR>
										<TD background="<%=path%>/images/physical/physical_front_splice_02.gif" width="48px" height="17px">
								
										</TD>
									</TR>
									<TR>
										<!-- SM1 -->	
										<TD>
	
											<TABLE cellspacing="0" cellpadding="0" summary="<%=MessageFormatter.formatLabel(GWMSBL.StorageModule, null)%> 1">
												<TR>
													
														<!-- SM1 Disk1 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
														</TD>
													
														<!-- SM1 Disk2 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
	
														</TD>
													
														<!-- SM1 Disk3 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
														</TD>
													
												</TR>
												<TR>
													
														<!-- SM1 Disk4 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
	
															&nbsp;
														</TD>
													
														<!-- SM1 Disk5 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
														</TD>
													
														<!-- SM1 Disk6 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
	
														</TD>
													
												</TR>
											</TABLE>
										</TD>
									</TR>
									<TR>	
										<TD background="<%=path%>/images/physical/physical_front_splice_04.gif" width="48px" height="22px">
								
										</TD>
									</TR>
	
								</TABLE>
							</TD>
							<TD background="<%=path%>/images/physical/physical_front_splice_05.gif" width="17px" height="175px">
								
							</TD>
							<TD>
								<TABLE cellspacing="0" cellpadding="0">
									<TR>
										<TD background="<%=path%>/images/physical/physical_front_splice_06.gif" width="19px" height="17px">
								
										</TD>
	
									</TR>
									<TR>
										<!-- BBU1 -->
										
										<TD background="<%=path%>/images/physical/physical_front_splice_07_disabled.gif" width="19px" height="65px" align="center">
											&nbsp;
										</TD>
										
									</TR>
									<TR>
										<TD background="<%=path%>/images/physical/physical_front_splice_08.gif" width="19px" height="11px">
	
								
										</TD>
									</TR>
									<TR>
										<!-- BBU2 -->
										
											<TD background="<%=path%>/images/physical/physical_front_splice_07_disabled.gif" width="19px" height="64px" align="center">
												&nbsp;														
											</TD>
										
									</TR>
									<TR>
	
										<TD background="<%=path%>/images/physical/physical_front_splice_10.gif" width="19px" height="18px">
								
										</TD>
									</TR>
								</TABLE>
							</TD>
							<TD background="<%=path%>/images/physical/physical_front_splice_11.gif" width="111px" height="175px">
								
							</TD>
							<TD>
								<TABLE cellspacing="0" cellpadding="0">
	
									<TR>
										<TD background="<%=path%>/images/physical/physical_front_splice_12.gif" width="48px" height="17px">
								
										</TD>
									</TR>
									<TR>	
										<TD>
											<TABLE cellspacing="0" cellpadding="0" summary="<%=MessageFormatter.formatLabel(GWMSBL.StorageModule, null)%> 2">
												<TR>
													
														<!-- SM2 Disk1 -->
	
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
														</TD>
													
														<!-- SM2 Disk2 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
														</TD>
													
														<!-- SM2 Disk3 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
														</TD>
													
												</TR>
												<TR>
													
														<!-- SM2 Disk4 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;
														</TD>
													
														<!-- SM2 Disk5 -->
	
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
															&nbsp;																	
														</TD>
													
														<!-- SM2 Disk6 -->
														<TD background="<%=path%>/images/physical/physical_front_splice_03_disabled.gif" width="16px" height="68px" align="center">
																&nbsp;
														</TD>
													
												</TR>
											</TABLE>
	
										</TD>
									</TR>
									<TR>	
										<TD background="<%=path%>/images/physical/physical_front_splice_13.gif" width="48px" height="22px">
								
										</TD>
									</TR>
								</TABLE>
							</TD>
							<TD background="<%=path%>/images/physical/physical_front_splice_14.gif" width="13px" height="175px">
	
								
							</TD>
						</TR>
					</TABLE>
					
					<BR/>
					
					<TABLE id="backBottomTable" cellspacing="0" cellpadding="0">
						<TR>
							<TD background="<%=path%>/images/physical/physical_back_splice_01.gif" width="187px" height="178px">
								
							</TD>
	
							<TD>
								<TABLE cellspacing="0" cellpadding="0">
									<TR>
										<TD background="<%=path%>/images/physical/physical_back_splice_02.gif" width="18px" height="12px">
								
										</TD>
									</TR>
									<TR>
										<!-- I/O Bay 3 -->
										
											<TD background="<%=path%>/images/physical/physical_back_splice_03_disabled.gif" width="18px" height="65px" align="center">
												&nbsp;	
											</TD>
										
									</TR>
									<TR>
										<TD background="<%=path%>/images/physical/physical_back_splice_04.gif" width="18px" height="18px">
								
										</TD>
									</TR>
									<TR>
										<!-- I/O Bay 4 -->
	
										
											<TD background="<%=path%>/images/physical/physical_back_splice_03_disabled.gif" width="18px" height="65px" align="center">
												&nbsp;														
											</TD>
										
									</TR>
									<TR>
										<TD background="<%=path%>/images/physical/physical_back_splice_06.gif" width="18px" height="18px">
								
										</TD>
									</TR>
								</TABLE>
	
							</TD>
							<TD background="<%=path%>/images/physical/physical_back_splice_07.gif" width="75px" height="178px">
								
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
			<TR>
				<!-- --------------------------------------------------- INFORMATION AREA -------------------------------------------------------------------------- -->
				<TD id="informationAreaCell" width="402px" height="263px" valign="top" style="border: 1px solid #7D95B3; border-left-width: 2px; border-bottom-width: 2px;">
					<DIV id="loadingInformationAreaDiv">
						<TABLE>
							<TR>
								<TD valign="middle">
								<scmc:scmJspPanel id="panel_image_waiting6">
									<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
								</scmc:scmJspPanel>
								</TD>
								<TD valign="middle">
									<h:outputText id="loadingInformationAreaMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
								</TD>							
							</TR>
						</TABLE>
					</DIV>
				</TD>
			</TR>
		</TABLE>
		
		<!-- Disable all tabs -->
		<SCRIPT>
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[1].enabled = false;
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[2].enabled = false;
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[3].enabled = false;
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[4].enabled = false;
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[5].enabled = false;
		
		// Set all tab icons to the spacer
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[1].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[2].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[3].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[4].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
		ODCRegistry.getClientControl('resourceAreaLoadingTabs').Panes[5].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
		var tab=namespace_g + "resourceAreaLoadingTabs:drivesTab";		
	 	ODCTabPanelControlVar1.restoreUIState(tab);
		
		</SCRIPT>
		
	</BODY>
</f:view>
</HTML>
