<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/physical/SwitchInformationFrame.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="com.ibm.scm.gui.rbce.beans.physical.*, javax.faces.context.FacesContext, pagecode.page.rbce.physical.*"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />

<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/tabpanel.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/PhysicalResources.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/AlertsMenu.css" title="Style" />

<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/physical/PhysicalResources.js"></SCRIPT>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>SwitchInformationFrame.jsp</TITLE>
</HEAD>
<f:view>
	<BODY>
		<hx:scriptCollector id="scriptCollector">
		<h:form id="mainForm" onsubmit="parent.startInformationAreaWait()">
		
		<%
		FacesContext fc = FacesContext.getCurrentInstance();
		
		SwitchInformationFrame sif = (SwitchInformationFrame) fc.getApplication().createValueBinding("#{pc_SwitchInformationFrame}").getValue(fc);				
		PhysicalSwitchBean component = null;
		PhysicalBaseBean pb = sif.getComponent();
		boolean switchExisted = true;
		int slot = 3;
		if(pb==null || !(pb instanceof PhysicalSwitchBean)){
			switchExisted = false;
			if(pb!=null)
				slot = pb.getSlot();
		}
		if(switchExisted){
			component = (PhysicalSwitchBean)pb;
		}	
			
		%>
		
		<odc:tabbedPanel 
			styleClass="scm_tabbedPanel" 
			width="382"
			height="215"
			variableTabLength="false"
			showBackNextButton="false"
			showTabs="true" 
			slantActiveRight="4" 
			slantActiveLeft="4"
			slantInactiveRight="4" 
			slantInactiveLeft="4"
			id="informationTabbedPanel">
			
			<!-- --------------------------------------------------- PROPERTIES TAB -------------------------------------------------------------------------- -->
					
			<odc:bfPanel id="propertiesTab" name="#{bundle.Properties}" showFinishCancelButton="false">
			    <%
			     if(!switchExisted){
			     %>
				<TABLE width="100%" style="margin-bottom: 5px">
					<TR>
						<TD align="left" style="white-space: nowrap;">
						   <h:outputText id="noSwitchFound" styleClass="dmc_outputText" value="#{pc_SwitchInformationFrame.component.IOLocation} #{bundle.Physical_Switch_Not_Reachable}"></h:outputText>

						</TD>
					</TR>
				</TABLE>
			     <%}else{%>
				<TABLE width="100%" style="margin-bottom: 5px">
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="logicalIdentifierLabel" styleClass="dmc_outputText" value=" #{bundle.Physical_LogicalIdentifier}"></h:outputText>
							<SPAN class="dmc_outputText"> <%= component.getLogicalIdentifier() %> </SPAN>
						</TD>
						<TD align="right" style="white-space: nowrap;">
							<A href="javascript:{openHelpDialog('Switches');}"><IMG src="<%=path%>/images/alert/title_help.gif" border="0" alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Help, null)%>"/></A>
						</TD>
					</TR>
				</TABLE>
				
				<TABLE width="100%">
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="statusLabel" styleClass="dmc_outputText" value="#{bundle.Physical_Status}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<IMG src="<%= component.getLogicalStatusImage() %>" alt="" /> <SPAN class="dmc_outputText"> <%= component.getLogicalStatusText() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="ipAddressLabel" styleClass="dmc_outputText" value="#{bundle.Physical_IPAddress}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getIpAddress() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="nicknameLabel" styleClass="dmc_outputText" value="#{bundle.Physical_Nickname}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getNickname() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="physicalLocationLabel" styleClass="dmc_outputText" value="#{bundle.Physical_PhysicalLocation}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="chassisIdentifierLabel" styleClass="dmc_outputText" value="#{bundle.Physical_ChassisIdentifier}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getChassisIdentifier() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="ChassisMTM" styleClass="dmc_outputText" value="#{bundle.ChassisMTM}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getChassisMTM() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="ChassisSN" styleClass="dmc_outputText" value="#{bundle.ChassisSN}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getChassisSN() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="ioBayLabel" styleClass="dmc_outputText" value="#{bundle.Physical_IOBay}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getSlot() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="sasAddressLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SASAddress}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getSasAddress() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="zoningEnabledLabel" styleClass="dmc_outputText" value="#{bundle.Physical_ZoningEnabled}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getZoningEnabled() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="productIdentifierLabel" styleClass="dmc_outputText" value="#{bundle.Physical_ProductIdentifier}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getProductIdentifier() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="partNumberLabel" styleClass="dmc_outputText" value="#{bundle.Physical_PartNumber}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getPartNumber() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="serialNumberLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SerialNumber}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getSerialNumber() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="currentDateAndTimeLabel" styleClass="dmc_outputText" value="#{bundle.Physical_CurrentDateTime}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getCurrentDateAndTime() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="firmwareLevelLabel" styleClass="dmc_outputText" value="#{bundle.Physical_FirmwareLevel}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getFirmwareLevel() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="lastFirmwareUpdateTimeStampLabel" styleClass="dmc_outputText" value="#{bundle.Physical_LastFirmwareUpdate}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getLastFirmwareUpdateTimeStamp() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="tcpPortsLabel" styleClass="dmc_outputText" value="#{bundle.Physical_TCPPorts}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="administrationPortLabel" styleClass="dmc_outputText" value="#{bundle.Physical_AdministrationPort}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getAdministrationPort() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="eventsPortLabel" styleClass="dmc_outputText" value="#{bundle.Physical_EventsPort}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getEventsPort() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="firmwarePortLabel" styleClass="dmc_outputText" value="#{bundle.Physical_FirmwarePort}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getFirmwarePort() %> </SPAN>
						</TD>
					</TR>	
				</TABLE>
				<%}%>				
			</odc:bfPanel>
			
			
			<f:facet name="back">
				<hx:commandExButton type="submit" value="Back" id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
			</f:facet>
			<f:facet name="next">
				<hx:commandExButton type="submit" value="Next" id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
			</f:facet>
			<f:facet name="finish">
				<hx:commandExButton type="submit" value="Finish" id="tabbedPanel1_finish" style="display:none"></hx:commandExButton>
			</f:facet>
			<f:facet name="cancel">
				<hx:commandExButton type="submit" value="Cancel" id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
			</f:facet>
			
		</odc:tabbedPanel>
		
		</h:form>
		</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
