<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/ports/SASSwitchPorts.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.viewports.*, javax.swing.tree.DefaultMutableTreeNode, java.util.ArrayList, java.util.ResourceBundle"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />

<LINK href="<%=path%>/css/dmcsbstyle.css" rel="stylesheet" type="text/css" />
<LINK href="<%=path%>/css/dmcsbtables.css" rel="stylesheet" type="text/css" />
<LINK href="<%=path%>/page/rbce/ports/SASSwitchPorts.css" rel="stylesheet" type="text/css" />
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<TITLE>SASSwitchPorts.jsp</TITLE>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/ports/SASSwitchPorts.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%
// Making sure that this variable has global scope
ViewPortsBean vpb = null;

%>

</HEAD>
<f:view>
	<BODY onLoad="disableButtons(); document.getElementById('lastRefreshTimestamp').innerHTML = getLocalizedCurrentTimeStamp(); " >
	
	<jsp:include page="/page/rbce/fabric/WaitHeader.jsp"/>
	
	<hx:scriptCollector id="sasswitch_ports_script_collector" preRender="#{pc_SASSwitchPorts.onPageLoadBegin}">
	<h:form id="form1">
	
	<h:outputText id="expand_alt" style="display: none;" value="#{bundle.Expand}"></h:outputText>
	<h:outputText id="collapse_alt" style="display: none;" value="#{bundle.Collapse}"></h:outputText>
	<table width="630">
		<tr>
			<td align="right" colspan="2">
				<h:outputFormat id="sasswitch_ports_last_refresh_time_text" styleClass="dmc_outputText" value="#{bundle.Last_Refresh}"></h:outputFormat>
				<SPAN class="dmc_outputText" id="lastRefreshTimestamp"> </SPAN>	
			</td>
		</tr>
		<tr>
			<td align="left">
				<hx:commandExButton styleClass="dmc_commandExButton" id="enableButton" value="#{bundle.SASSwitchPorts_Enable}" type="button" onclick="clickedEnable()"></hx:commandExButton>			
				<hx:commandExButton styleClass="dmc_commandExButton" id="disableButton" value="#{bundle.SASSwitchPorts_Disable}" type="button" onclick="clickedDisable()"></hx:commandExButton>
				<hx:commandExButton styleClass="dmc_commandExButton" id="propertiesButton" value="#{bundle.SASSwitchPorts_Properties}"  type="button" onclick="viewProperties()"></hx:commandExButton>
			</td>
			<td align="right">
				<hx:commandExButton styleClass="dmc_commandExButton" id="refreshButton" value="#{bundle.Button_Refresh}"  type="button" onclick="parent.reloadCurrentTab()"></hx:commandExButton>
			</td>
		</tr>
	</table>
	
	<hx:commandExButton style="display: none;" id="enableLauncher" value="Enable" type="button"></hx:commandExButton>	
	<hx:commandExButton style="display: none;" id="disableLauncher" value="Disable" type="button"></hx:commandExButton>

	<hx:commandExButton style="display: none;" id="enableSubmit" value="Enable" type="submit" action="#{pc_SASSwitchPorts.enablePorts}">
		<hx:behavior id="showProgressIndicator_behavior_ID" event="onclick" onActionFunction="showProgressIndicator('spinningDiv_EnableModal');disableButton(namespace_g + 'sasswitch_ports_confirm_enable_port_ok_button',namespace_g + 'sasswitch_ports_confirm_enable_port_cancel_button');document.getElementById(namespace_g + 'form1').target='_self';"></hx:behavior>
	</hx:commandExButton>	
	<hx:commandExButton style="display: none;" id="disableSubmit" value="Disable" type="submit" action="#{pc_SASSwitchPorts.disablePorts}">
		<hx:behavior id="disableSubmit_behavior_ID" event="onclick" onActionFunction="showProgressIndicator('spinningDiv_DisableModal');disableButton(namespace_g + 'sasswitch_ports_confirm_disable_port_ok_button',namespace_g + 'sasswitch_ports_confirm_disable_port_cancel_button');document.getElementById(namespace_g + 'form1').target='_self';"></hx:behavior>
	</hx:commandExButton>
	
	<jsp:include page="/page/templates/UtilityModalDialog.jsp"></jsp:include>		
	<h:outputText	value="#{bundle.Ports_BladeBayPortProperties}"
						id="bladePropertiesTitle" style="display:none"></h:outputText> 
	<h:outputText	value="#{bundle.Ports_ExternalPortProperties}"
						id="externalPropertiesTitle" style="display:none"></h:outputText> 
	<h:outputText	value="#{bundle.Ports_RAIDControllerProperties}"
						id="controllerPropertiesTitle" style="display:none"></h:outputText> 
	<hx:commandExButton type="submit"
								style="display:none" 
								id="showBladePortProperties"
								action="#{pc_Ports.doShowBladePortPropertiesAction}">
								<hx:behavior event="onclick" targetAction="form1:util_subview:util_dialog"
											id="showBladePortProperties_behavior_ID"
											 behaviorAction="show;"										
											 onActionFunction="setFormTargetFromPort(520,280);setPortUtilDialogTitle(document.getElementById(namespace_g + 'form1:bladePropertiesTitle').innerHTML);"></hx:behavior>
	</hx:commandExButton> 						
	<hx:commandExButton type="submit"
						style="display:none" 
						id="showExternalPortProperties" action="#{pc_Ports.doShowExternalPortPropertiesAction}">
						<hx:behavior event="onclick" targetAction="form1:util_subview:util_dialog"
									id="showExternalPortProperties_behavior_ID"
									 behaviorAction="show;"										
									 onActionFunction="setFormTargetFromPort(520,330);setPortUtilDialogTitle(document.getElementById(namespace_g + 'form1:externalPropertiesTitle').innerHTML);"></hx:behavior>
	</hx:commandExButton>			        				       				
	<hx:commandExButton type="submit"
						style="display:none" 
						id="showControllerPortProperties"
						action="#{pc_Ports.doShowControllerPortPropertiesAction}">
						<hx:behavior event="onclick" targetAction="form1:util_subview:util_dialog"
									id="showControllerPortProperties_behavior_ID"
									 behaviorAction="show;"										
									 onActionFunction="setFormTargetFromPort(520,270);setPortUtilDialogTitle(document.getElementById(namespace_g + 'form1:controllerPropertiesTitle').innerHTML);"></hx:behavior>
	</hx:commandExButton>
	<hx:commandExButton type="button" style="display:none"
				id="dialog_closer">
				<hx:behavior event="onclick" id="dialog_closer_ID"
					targetAction="form1:util_subview:util_dialog"
					behaviorAction="hide;"></hx:behavior>
			</hx:commandExButton>
	<h:inputHidden id="selectedBladePortID" value="#{pc_BladePortProperties.bpb.selectedPortID}"></h:inputHidden> 	
	<h:inputHidden id="selectedExternalPortID" value="#{pc_ExternalPortProperties.epb.selectedPortID}"></h:inputHidden> 		
	<h:inputHidden id="selectedControllerPortID" value="#{pc_ControllerPortProperties.cpb.selectedPortID}"></h:inputHidden>

	<scmc:scmJspPanel id="SASSwitchPortTablePanel">
	<TABLE class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="630" summary="#{bundle.Table_Summary_SAS_Switch_Ports}">
	</scmc:scmJspPanel>
		<TBODY>
			<TR valign="top">
				<TD width="10%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_select_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_Select}"></h:outputFormat>
				</TD>
				<TD width="35%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_id_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_PortID}"></h:outputFormat>
				</TD>
				<TD width="25%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_address_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_AttachedAddress}"></h:outputFormat>
				</TD>
				<TD width="15%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_enabled_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_Enabled}"></h:outputFormat>
				</TD>
				<TD width="15%" class="nbceTableHeaderCell" style="border-right-width: 0">
					<h:outputFormat id="sasswitch_ports_status_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_Status}"></h:outputFormat>
				</TD>
			</TR>
			
		
				
					<%
						FacesContext fc = FacesContext.getCurrentInstance();
						
						vpb = new ViewPortsBean();        				
						
						DefaultMutableTreeNode dummyRoot = new DefaultMutableTreeNode();
						
						ResourceBundle nls = ResourceBundle.getBundle("com.ibm.scm.gui.rbce.nls.GWMSBL",fc.getExternalContext().getRequestLocale());
						
						// Blade Slot Connections
						DefaultMutableTreeNode bladeSlotConnectionsRoot = new DefaultMutableTreeNode(new String[] {nls.getString("SASSwitchPorts_BladeBayConnections"), nls.getString("SASSwitchPorts_BladeBayConnections"), "&nbsp;", "&nbsp;", "&nbsp;", "&nbsp;"});
						
						VPBladeSlotConnection[] bladeSlotConnections = vpb.getBladeSlotConnections();
						        				
						for(int x = 0; x < bladeSlotConnections.length; x++)
						{
							String[] properties = new String[5];
							
							properties[0] = "<INPUT id='" + bladeSlotConnections[x].getID() + "' type='checkbox' name='portList' value='" + bladeSlotConnections[x].getID() + "' onClick='portCheckBoxClicked(this)'>";
							properties[1] = "&nbsp;&nbsp;&nbsp;<IMG style='vertical-align: top;' src='" + path + "/images/entity/blade_16.gif'"+ " alt='' /><label for='" + bladeSlotConnections[x].getID() + "' class='dmc_outputText'><span class='dmc_outputText'>" + bladeSlotConnections[x].getDisplayName() + "</span></label>";
							properties[2] = bladeSlotConnections[x].getAttachedPortAddress();
							
							properties[3] = (bladeSlotConnections[x].isEnabled())?nls.getString("Yes"):nls.getString("No");
							
							properties[4] = "<IMG src='" + bladeSlotConnections[x].getStatusImage12() + "'"+" alt='' /> " + bladeSlotConnections[x].getStatusTextLink();
							
							bladeSlotConnectionsRoot.add(new DefaultMutableTreeNode(properties));
						}
						
						// Add blade connections to the dummy root
						dummyRoot.add(bladeSlotConnectionsRoot);
						
						// External Ports
						DefaultMutableTreeNode externalPortsRoot = new DefaultMutableTreeNode(new String[] {nls.getString("SASSwitchPorts_ExternalPorts"), nls.getString("SASSwitchPorts_ExternalPorts"), "&nbsp;", "&nbsp;", "&nbsp;", "&nbsp;"});
						
						VPExternalPort[] externalPorts = vpb.getExternalPorts();
						
						for(int x = 0; x < externalPorts.length; x++)
						{
							String[] properties = new String[5];
							
							properties[0] = "<INPUT id='" + externalPorts[x].getID() + "' type='checkbox' name='portList' value='" + externalPorts[x].getID() + "' onClick='portCheckBoxClicked(this)'>";
							properties[1] = "&nbsp;&nbsp;&nbsp;<IMG style='vertical-align: top;' src='" + path + "/images/common/components/external_port_16.gif'"+ " alt='' /><label for='" + externalPorts[x].getID() + "' class='dmc_outputText'><span class='dmc_outputText'>" + externalPorts[x].getDisplayName() + "</span></label>";
							properties[2] = externalPorts[x].getAttachedPortAddress();

							properties[3] = (externalPorts[x].isEnabled())?nls.getString("Yes"):nls.getString("No");;
							
							properties[4] = "<IMG src='" + externalPorts[x].getStatusImage12() + "'"+" alt='' /> " + externalPorts[x].getStatusTextLink();
							
							
							externalPortsRoot.add(new DefaultMutableTreeNode(properties));
						}
						
						// Add external ports to the dummy root
						dummyRoot.add(externalPortsRoot);
						        				
						// Expanders
						VPControllerPort[] controllerPorts = vpb.getControllerPorts();						
						
						for(int x = 0; x < controllerPorts.length; x++)
						{
							String[] properties = new String[5];
							
							if (controllerPorts[x] != null) {							
								properties[0] = "<INPUT id='" + controllerPorts[x].getID() + "' type='checkbox' name='expanderList' value='" + controllerPorts[x].getID() + "' onClick='expanderCheckBoxClicked(this)'>";
								
								properties[1] = "<label for='" + controllerPorts[x].getID() + "' class='dmc_outputText'><span class='dmc_outputText'>" + controllerPorts[x].getDisplayName() + "</span></label>";
								// If the expander is connected, make the name clickable (to bring up its tab)
								if(!controllerPorts[x].isConnected())
								{
									// Here its just a plain text name
									properties[1] = controllerPorts[x].getDisplayName();
								}
								
								// Adding the expander image before the nickname
								properties[1] = "<IMG src='" + path + "/images/drivehostcontroller/controller_icon.gif' style='vertical-align: top;' alt='' />&nbsp;" + properties[1];
								if(controllerPorts[x].isConnected()){
									properties[2] = controllerPorts[x].getAttachedSASAddress();
								 }else{
								 	properties[2] = nls.getString("Not_Available");
								 }
								
								properties[3] = "&nbsp";
								properties[4] = "<IMG src='" + controllerPorts[x].getStatusImage12() + "'" + " alt='' /> " + controllerPorts[x].getStatusTextLink();								
							}
							DefaultMutableTreeNode currentExpander = new DefaultMutableTreeNode(properties);
							
							// Add to dummy root
							dummyRoot.add(currentExpander);
						}        				
					
						StringBuffer sb = new StringBuffer();
						
						// Printing the tree
						printTrees(dummyRoot, "root", 0,  sb);
					%>
					
					<%= sb.toString() %>
								
						
		</TBODY>
	</TABLE>
	
	</h:form>
	
	<!-- ----------------------------------------------------------- CONFIRMATION MODALS ---------------------------------------------------------------------- -->
	
	<hx:panelDialog style="width: 400px" id="confirmEnableModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="enableLauncher" title="#{bundle.ConfirmationMessage}" onshow="focusDialog(this,event);">
				
		<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px" onkeydown="return submitUtilReference.submitHandler(event);">
			<TBODY>
			<TR height="10"><TD></TD></TR>
			<TR>
				<TD valign="top" align="left" width="10%">
					<scmc:scmJspPanel id="enable_confirm_image_panel">
						<IMG id="confirm_msg_img" src="<%=path %>/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
					</scmc:scmJspPanel>
				</TD>
				<TD width="90%">
					<SPAN style="width: 100%">
						<h:outputFormat id="sasswitch_ports_confirm_enable_port_question" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmEnablePortQuestion}">
							<f:param name="0" value="#{pc_Ports.viewPortsBean.switchDisplayName}"></f:param>
						</h:outputFormat>
					</SPAN>
					
					<UL id="enablePortList" class="dmc_outputText">
					</UL>
					
					<DIV id="enableDisclaimer">
					<h:outputFormat id="sasswitch_ports_confirm_enable_port_disclaimer" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmEnablePortDisclaimer}"></h:outputFormat>
					<BR/>
					<BR/>
					</DIV>		            
				</TD>
			</TR>
			<TR height="10"><TD></TD></TR>
			<TR>
				<TD colspan="2">
				<TABLE>
					<TR>
						<TD>
						<hx:commandExButton id="sasswitch_ports_confirm_enable_port_ok_button" styleClass="dmc_commandExButton" type="button" value="#{bundle.OK}" onclick="document.getElementById(namespace_g + 'form1:enableSubmit').click();">
						</hx:commandExButton>
						<hx:commandExButton id="sasswitch_ports_confirm_enable_port_cancel_button" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}">
							<hx:behavior id="sasswitch_ports_confirm_enable_port_cancel_button_behavior" event="onclick" targetAction="confirmEnableModal" behaviorAction="HIDE;STOP"/>
						</hx:commandExButton></TD>
						<TD><div id="spinningDiv_EnableModal" style="visibility:visible"></div></TD>
					</TR>
				</TABLE>		
				</TD>
			</TR>
			<TR height="10"><TD></TD></TR>
			</TBODY>
		</TABLE>    		
			
	</hx:panelDialog>
	
	<hx:panelDialog style="width: 400px;" id="confirmDisableModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="disableLauncher" title="#{bundle.ConfirmationMessage}" onshow="focusDialog(this,event);">
		
		<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;padding-right: 5px" onkeydown="return submitUtilReference.submitHandler(event);">
			<TBODY>
			<TR height="10"><TD></TD></TR>
			<TR>
				<TD valign="top" align="left" width="10%">
					<scmc:scmJspPanel id="confirm_disable_image_panel">
						<IMG id="confirm_msg_img2" src="<%=path %>/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}"  />
					</scmc:scmJspPanel>
				</TD>
				<TD width="90%">
					<SPAN style="width: 100%">
						<h:outputFormat id="sasswitch_ports_confirm_disable_port_question" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmDisablePortQuestion}">
							<f:param name="0" value="#{pc_Ports.viewPortsBean.switchDisplayName}"></f:param>
						</h:outputFormat>
					</SPAN>
					
					<UL id="disablePortList" class="dmc_outputText">
					</UL>
							
					<DIV id="disableDisclaimer">
					<h:outputFormat id="sasswitch_ports_confirm_disable_port_disclaimer" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmDisablePortDisclaimer}"></h:outputFormat>
					<BR/>
					<BR/>
					</DIV>	            
				</TD>
			</TR>
			<TR height="10"><TD></TD></TR>
			<TR>
				<TD colspan="2">
				<TABLE>
				<TR>
					<TD>
					<hx:commandExButton id="sasswitch_ports_confirm_disable_port_ok_button" styleClass="dmc_commandExButton" value="#{bundle.OK}" onclick="document.getElementById(namespace_g + 'form1:disableSubmit').click()">
					</hx:commandExButton>
		
					<hx:commandExButton id="sasswitch_ports_confirm_disable_port_cancel_button" styleClass="dmc_commandExButton" type="button" value="#{bundle.Cancel}">
						<hx:behavior id="sasswitch_ports_confirm_disable_port_cancel_button_behavior" event="onclick" targetAction="confirmDisableModal" behaviorAction="HIDE;STOP" />
					</hx:commandExButton></TD>
					<TD><div id="spinningDiv_DisableModal" style="visibility:visible"></div></TD>	
				</TR>	
				</TABLE>	
				</TD>
			</TR>
			<TR height="10"><TD></TD></TR>
			</TBODY>
		</TABLE>    		
				
	</hx:panelDialog>
	
	
	<!------------------------------------------------------------ PROPERTIES DATA -------------------------------------------------------------------------------->
	<%
	VPBladeSlotConnection[] bladeSlotConnections = vpb.getBladeSlotConnections();
	VPExternalPort[] externalPorts = vpb.getExternalPorts();
	VPControllerPort[] controllerPorts = vpb.getControllerPorts();
	%>
	<SCRIPT>
	properties = [
	<%        				
	for(int x = 0; x < bladeSlotConnections.length; x++)
	{
	%>
	['<%= bladeSlotConnections[x].getID() %>', 'BladeSlotConnection', '<%= bladeSlotConnections[x].getDisplayName() %>', '<%= bladeSlotConnections[x].getAttachedPortAddress() %>', '<%= bladeSlotConnections[x].getAttachedType() %>', '<%= bladeSlotConnections[x].isEnabled() %>', '<%= "<IMG src=\"" + bladeSlotConnections[x].getStatusImage16() + "\" alt=\"\"> " + bladeSlotConnections[x].getStatusTextLink() %>', 
		["PHY info"]
	], 	
	<%
	}
	%>
	
	<%        				
	for(int x = 0; x < externalPorts.length; x++)
	{
	%>
	['<%= externalPorts[x].getID() %>', 'ExternalPort', '<%= externalPorts[x].getDisplayName() %>', '<%= externalPorts[x].getAttachedPortAddress() %>', '<%= externalPorts[x].getAttachedType() %>', '<%= externalPorts[x].getRoutingSetting() %>', '<%= externalPorts[x].isEnabled() %>', '<%= "<IMG src=\"" + externalPorts[x].getStatusImage16() + "\" alt=\"\"> " + externalPorts[x].getStatusTextLink() %>',
		["PHY info"]
	],
	<%
	}
	%>
	
	<%        			
	for(int x = 0; x < controllerPorts.length; x++)
	{
		if (controllerPorts[x] != null) {
	%>
	['<%= controllerPorts[x].getID() %>', 'RAIDController', '<%= controllerPorts[x].getDisplayName() %>', '<%= controllerPorts[x].getPortAttachedSASAddress() %>', '<%= "<IMG src=\"" + controllerPorts[x].getStatusImage16() + "\" alt=\"\"> " + controllerPorts[x].getStatusTextLink() %>',
		["PHY info"]
	]
	<%
		}
	}
	%>
	]
	</SCRIPT>
		

	<!-- ------------------------------------------------------ TREE GENERATION ----------------------------------------------------------------------------- -->
	
	<%!
	final String contextPath = FacesContext.getCurrentInstance().getExternalContext().getRequestContextPath();
	final String EXPANDED_IMAGE = contextPath + "/images/common/tree/collapse_obj.gif";
	final String COLLAPSED_IMAGE = contextPath + "/images/common/tree/expand_obj.gif";
	final String NONCLICKABLE_IMAGE = contextPath + "/images/common/tree/clear.gif";
	
	// The number of &nbsp; that are added for each level of depth
	final int INDENTATIONS = 0;
	
	// This array will be added to by the recursive function
	// It will include all the div IDs
	ArrayList allIDs = new ArrayList();
	
	void printTrees(DefaultMutableTreeNode tree, String id, int depth, StringBuffer sb)
	{
		// Since we can have multiple "root" nodes, the actual tree root is a dummy
		// Here we print all the dummy roots children
			
		for(int x = 0; x < tree.getChildCount(); x++)
		{
			printTree((DefaultMutableTreeNode) tree.getChildAt(x), id  + x, 0, sb);
		}
	}
	
	void printTree(DefaultMutableTreeNode tree, String id, int depth, StringBuffer sb)
	{
		
		FacesContext fc = FacesContext.getCurrentInstance();
		ResourceBundle nls = ResourceBundle.getBundle("com.ibm.scm.gui.rbce.nls.GWMSBL",fc.getExternalContext().getRequestLocale());
		
		// Input checking
		if(tree == null)
		{
			// There is nothing to print for this node
			return;
		}
			
		String[] data = (String[]) tree.getUserObject();
		
		if(data == null || data.length < 2)
		{
			// There is nothing to print for this node
			return;
		}		
		
		// Print the node it self
		// Note: the first index it the string array will have the rows on click action
		sb.append("	<TR valign='middle' style='height:25px' id='TR_" + id + "'>");
		sb.append("		<TD style='height:25px' class='nbceTableRow treeTableColumn" + 0 + "'>");
		
		// Calculating the indentation
		StringBuffer spacing = new StringBuffer(depth * INDENTATIONS + "&nbsp;".length());
		for(int x = 0; x < depth * INDENTATIONS; x++)
			spacing.append("&nbsp;");	
		
		// Dont have expand/collapse on leaves
		if(tree.isLeaf())
			sb.append("			" + spacing.toString() + "<IMG border='0' alt='' src='" + NONCLICKABLE_IMAGE + "' style='visibility: hidden;'> " + data[0]);
		else
			sb.append("			" + spacing.toString() + "<IMG tabIndex='0' id='image_" + id + "' border='0' src='" + EXPANDED_IMAGE + "'"+" alt='"+nls.getString("Collapse")+" "+data[0]+"' title='"+nls.getString("Collapse")+" "+data[0]+"' value='"+data[0]+"' onClick=\"clickExpandImgBtn('" + id + "', this)\"> ");
		
		sb.append("		</TD>");
		
		// Printing the other data cells
		for(int x = 1; x < data.length && x<5; x++)
		{
			sb.append("		<TD class='nbceTableRow treeTableColumn" + x + "' style='height:25px;white-space: nowrap;'>");
			sb.append("			" + data[x]);
			sb.append("		</TD>");
		}
		
		
		sb.append(""); // Source readability
		sb.append("</TR>");
		
		
		if(!tree.isLeaf())
		{
			// Adding the id to the list of all IDs
			// That list will be used for expand and collapse all
			allIDs.add(id);
					
			// Printing the children div
			sb.append("<DIV id='" + id + "' style='display: block'>");
			
			for(int x = 0; x < tree.getChildCount(); x++)
			{
				// Recurse on the children
				// The child's id is determined by appending "-n" to this id, where n is the child number
				printTree((DefaultMutableTreeNode) tree.getChildAt(x), id + "-" + x, depth + 1, sb); 
			}
			
			sb.append("</DIV>");
		}
	}
	%>
		</hx:scriptCollector>
		
		<jsp:include page="/page/rbce/fabric/WaitFooter.jsp"/>
		
	</BODY>
</f:view>
</HTML>
