<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<%@ include file="/page/rbce/common/Header.jsp"%>
<f:subview id="treeTable">

	<scmc:scmJspPanel id="hostsTable_scmPanel_ID">
		<TABLE id="hostsTable" cellspacing="0" cellpadding="0" width="100%">
				<TBODY>
				<TR height="5">
					<TD width="100%">
					<Div id="headerTableDivId" class="scm_DataTableHeaderDiv">
					<Table width="100%" cellpadding="0" cellspacing="0" summary="#{bundle.Table_Summary_Hosts} #{bundle.Table_Summary_TreeTable_Navigation}" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
					<colgroup>
						<col width="5%"/>
						<col width="25%"/>
						<col width="15%"/>
						<col width="15%"/>
						<col width="15%"/>
						<col width="25%"/>
					</colgroup>
					<thead>
					 <TR width="100%" class="scm_flyaway_component">
					  <TH width="5%">&nbsp;</TH>
					  <TH width="25%"><h:outputText id="hidden_host_main_host_port_text_id" value="#{bundle.Host_Main_Host_Port}"></h:outputText></TH>
					  <TH width="15%"><h:outputText id="hidden_host_port_location_text_id" value="#{bundle.Host_Properties_Port_Location}"></h:outputText></TH>
					  <TH width="15%"><h:outputText id="hidden_host_mapped_gb_text_id" value="#{bundle.Host_Main_Mapped_GB}"></h:outputText></TD>
					  <TH width="15%"><h:outputText id="hidden_host_mapped_volume_text_id" value="#{bundle.Host_Main_Mapped_Volumes}"></h:outputText></TH>
					  <TH width="25%"><h:outputText id="hidden_host_address_text_id" value="#{bundle.Address}"></h:outputText></TH>
					 </TR>
					</thead>
					<tbody>
					<TR width="100%" class="dmc_headerClass">
					<TD width="5%" class="dmc_headerClass">
						<h:outputText id="empty_Text_ID" value="" styleClass="dmc_outputText">&nbsp;</h:outputText>
					</TD>
					<TD align="left" width="25%" class="dmc_headerClass">
					    <DIV style="overflow: -moz-scrollbars-none; overflow-x: hidden; width: 100%;" >
					        <a id="hostsTable:hosts_sort_name" href="javascript:;" class="sortHeader_sortbi" onclick="sortHostTable(1);">
					            <h:outputText id="Host_Main_Host_Port_Text_ID" value="#{bundle.Host_Main_Host_Port}" styleClass="dmc_outputText"></h:outputText>
					            <img id="hostsTable:hosts_sort_name_1" src="<%=path%>/images/sortbi.gif" class="sortHeader_sortbi-img" title="#{bundle.Common_SortHeaderTitle_sortInit}" alt="#{bundle.Common_SortHeaderTitle_sortInit}"/>
					        </a>
					    </DIV>
					</TD>	
					<TD align="left" width="15%" class="dmc_headerClass">
					    <DIV style="overflow: -moz-scrollbars-none; overflow-x: hidden; width: 100%;" >
					          	<h:outputText id="Host_Properties_Port_Location_Text_ID" value="#{bundle.Host_Properties_Port_Location}" styleClass="dmc_outputText"></h:outputText>
					    </DIV>
					</TD>
					<TD align="left" width="15%" class="dmc_headerClass">
					    <DIV style="overflow: -moz-scrollbars-none; overflow-x: hidden; width: 100%;" >
					        <a id="hostsTable:hosts_sort_mapped" href="javascript:;" class="sortHeader_sortbi" onclick="sortHostTable(2);">
					            <h:outputText id="Host_Main_Mapped_GB_Text_ID" value="#{bundle.Host_Main_Mapped_GB}" styleClass="dmc_outputText"></h:outputText>
					            <img id="hostsTable:hosts_sort_mapped_2" src="<%=path%>/images/sortbi.gif" class="sortHeader_sortbi-img" title="#{bundle.Common_SortHeaderTitle_sortInit}" alt="#{bundle.Common_SortHeaderTitle_sortInit}" />
					        </a>
					    </DIV>
					</TD>
					<TD align="left" width="15%" class="dmc_headerClass">
					    <DIV style="overflow: -moz-scrollbars-none; overflow-x: hidden; width: 100%;" >
					        <a id="hostsTable:hosts_sort_volumes" href="javascript:;" class="sortHeader_sortbi" onclick="sortHostTable(3);">
					            <h:outputText id="Host_Main_Mapped_Volumes_Text_ID" value="#{bundle.Host_Main_Mapped_Volumes}" styleClass="dmc_outputText"></h:outputText>
					            <img id="hostsTable:hosts_sort_volumes_3" src="<%=path%>/images/sortbi.gif" class="sortHeader_sortbi-img" title="#{bundle.Common_SortHeaderTitle_sortInit}"  alt="#{bundle.Common_SortHeaderTitle_sortInit}" />
					        </a>
					    </DIV>
					</TD>
					<TD align="left" width="25%" class="dmc_headerClass">
						<h:outputText id="Address_Text_ID" value="#{bundle.Address}" styleClass="dmc_outputText"></h:outputText>
					</TD>
					</TR>
					</tbody>
					</Table>
					</Div>
					</TD>
				</TR>
				<TR>
				<TD>
				<Div id="mainTableDiv" style="border-style:solid 1px;border-width: 0px; width: 100%; height:240;overflow-y: scroll;">
				<TABLE width="100%" id="hostMainTable">
				
				<TR class="dmc_rowClass1">
					<TD id="hosts_tree_table_td" colspan="6" bgcolor="#FFFFFF">
	</scmc:scmJspPanel> 
						<hx:dataIterator id="hostBeans_iterator_ID"
						value="#{pc_HostsTab.hostsTabPageBean.hostBeans}" var="hosts">
	<scmc:scmJspPanel id="hostBeans_scmPanel_ID">
							<DIV id="top_#{treeTableController.nextGroupId}">
							<h:outputText id="sort_name_hidden" style="display:none;" value="#{hosts.name}"></h:outputText>
							<h:outputText id="sort_capacity_hidden" style="display:none;" value="#{hosts.mappedCapacity}"></h:outputText>
							<h:outputText id="sort_volumes_hidden" style="display:none;" value="#{hosts.mappedVolumes}"></h:outputText>
							<h:outputText id="sort_location_hidden" style="display:none;" value="#{hosts.hostBladeLocation}"></h:outputText>
							<h:outputText id="expand_alt" style="display: none;" value="#{bundle.Expand}"></h:outputText>
							<h:outputText id="collapse_alt" style="display: none;" value="#{bundle.Collapse}"></h:outputText>
							<TABLE width="100%" id="#{treeTableController.nextNodeId}"
								cellspacing="0" cellpadding="1" border="0" class="rbceTableRow">
								<thead>
									<TR class="scm_flyaway_component">
										<TH>&nbsp;</TH>
										<TH><h:outputText id="hidden_mainhost_main_host_port_text_id" value="#{bundle.Host_Main_Host_Port}"></h:outputText></TH>
										<TH><h:outputText id="hidden_mainhost_port_location_text_id" value="#{bundle.Host_Properties_Port_Location}"></h:outputText></TH>
										<TH><h:outputText id="hidden_mainhost_mapped_gb_text_id" value="#{bundle.Host_Main_Mapped_GB}"></h:outputText></TH>
										<TH><h:outputText id="hidden_mainhost_mapped_volume_text_id" value="#{bundle.Host_Main_Mapped_Volumes}"></h:outputText></TH>
										<TH><h:outputText id="hidden_mainhost_address_text_id" value="#{bundle.Address}"></h:outputText></TH>
									</TR>
								</thead>
								<TBODY>
									<TR class="dmc_rowClass1">
										<TD align="left" width="5%">
											<input type="checkbox" id="selectedRadio_#{hosts.name}" title="#{hosts.name}" name="#{hosts.name}"  onclick="this.nextSibling.nextSibling.click();"/>
											<h:selectBooleanCheckbox style="display:none" id="rowSelectedStorageSystem" value="#{hosts.selected}"
												onclick="highLightingHosts(this,'#{treeTableController.nodeId}','#{hosts.name}')">
											</h:selectBooleanCheckbox>
											<h:selectBooleanCheckbox id="rowLinkSelectHidden" style="display:none;" value="#{hosts.linkSelected}">
											</h:selectBooleanCheckbox>
											<h:selectBooleanCheckbox id="rowLinkHidden" style="display:none;" value="#{hosts.link}">
											</h:selectBooleanCheckbox>
										</TD>
										<TD align="left" width="25%">
										</scmc:scmJspPanel> 
										<scmc:scmJspPanel id="folder_IMG_scmPanel_ID" rendered="#{hosts.portsAvailable}">
											<IMG name="#{treeTableController.folderName}_IMG"
												tabIndex="0"
												src="<%=path%>/images/common/tree/collapse_obj.gif" 
												alt="#{bundle.Collapse} #{hosts.name}"
												title="#{bundle.Collapse} #{hosts.name}"
												value="#{hosts.name}"
												style="vertical-align: middle;"
												onclick="com.ibm.sysmgmt.rbce.gui.storage.treetable.getInstance()._toggle('#{treeTableController.nodeId}', '#{treeTableController.childrenGroupId}',this, event)"></IMG>
										</scmc:scmJspPanel> 
											<h:outputText styleClass="dmc_outputText" id="assignment_host_img" escape="false" value="#{hosts.image}">
											</h:outputText>
										<scmc:scmJspPanel id="HostLink_scmPanel_ID">
											<a id="host_name_link_#{treeTableController.nodeId}" href="#" title="#{bundle.HostLinkTitle}" onclick="clickHostColumnLink(this, 'hostName')" style="text-decoration:none;">
										</scmc:scmJspPanel>	
												<h:outputText styleClass="dmc_outputText" id="assignment_host_name" escape="false" value="#{hosts.name}">
												</h:outputText>
										<scmc:scmJspPanel id="location_scmPanel_ID">		
											</a>
										</TD>
										<TD align="left" width="15%">
											<h:outputText id="location" styleClass="dmc_outputText" escape="false" value="#{hosts.hostBladeLocation}" rendered="#{hosts.locationLoaded}">
											</h:outputText>
									<hx:graphicImageEx id="sort_of_slow_progress_bar_image_ID"  title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
							        value="/images/sort_of_slow_progress_bar.gif" width="25" height="25" rendered="#{!hosts.locationLoaded}"
							        align="middle"></hx:graphicImageEx> <h:outputText id="Loading_component_Text_ID"
							         value="#{bundle.Loading_component}"  rendered="#{!hosts.locationLoaded}"
							        styleClass="dmc_outputText"></h:outputText> 											
										</TD>
										<TD align="left" width="15%">
											<h:outputText id="assignment_mapped" styleClass="dmc_outputText" escape="false" value="#{hosts.mappedCapacityStr}">
											</h:outputText>
										</TD>
										<TD align="left" width="15%">
											<a id="mapped_volumes_link_#{treeTableController.nodeId}" href="#" title="#{bundle.HostLinkTitle}" onclick="clickHostColumnLink(this, 'mappedVolumes')" style="text-decoration:none;">
												<h:outputText id="assignment_volumes" styleClass="dmc_outputText" escape="false" value="#{hosts.mappedVolumes}">
												</h:outputText>
											</a>	
										</TD>
										<TD align="left" width="25%"><h:outputText id="empty_Text_ID2"
											styleClass="dmc_outputText" value=""></h:outputText></TD>
										
									</TR>
									<script>
									var currentNodeId= '#{treeTableController.nodeId}';
									if(typeof setValue == "function"){
										setValue('#{treeTableController.nodeId}','#{hosts.name}','#{hosts.mappedCapacityStr}','#{hosts.mappedVolumes}',0);
									}else{
										parent.setValue('#{treeTableController.nodeId}','#{hosts.name}','#{hosts.mappedCapacityStr}','#{hosts.mappedVolumes}',0);
									}
									</script>
								</TBODY>
							</TABLE>
							<DIV id="#{treeTableController.groupId}"
								name="#{treeTableController.folderName}_DIV">
	</scmc:scmJspPanel>
						<hx:dataIterator id="ports_iterator_ID" value="#{hosts.hostports}" var="ports">
	<scmc:scmJspPanel id="nextNodeId_scmPanel_ID">
								<TABLE width="100%" id="#{treeTableController.nextNodeId}" class="rbceTableRow"
									cellspacing="0" cellpadding="1" border="0">
									<thead>
										<TR class="scm_flyaway_component">
											<TH>&nbsp;</TH>
											<TH><h:outputText id="hidden_hostport_main_host_port_text_id" value="#{bundle.Host_Main_Host_Port}"></h:outputText></TH>
											<TH><h:outputText id="hidden_hostport_port_location_text_id" value="#{bundle.Host_Properties_Port_Location}"></h:outputText></TH>
											<TH><h:outputText id="hidden_hostport_mapped_gb_text_id" value="#{bundle.Host_Main_Mapped_GB}"></h:outputText></TH>
											<TH><h:outputText id="hidden_hostport_mapped_volume_text_id" value="#{bundle.Host_Main_Mapped_Volumes}"></h:outputText></TH>
											<TH><h:outputText id="hidden_hostport_address_text_id" value="#{bundle.Address}"></h:outputText></TH>
										</TR>
									</thead>
									<TBODY>
										<TR class="dmc_rowClass1">
											<td align="center" width="5%">&nbsp;</td>
											<TD align="left" width="25%">
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<h:outputText id="portImageName_Text_ID"
												styleClass="dmc_outputText" escape="false"
												value="#{ports.portImageName}"></h:outputText></TD>
											<TD align="left" width="15%"><h:outputText id="portIOLocation_Text_ID"
												styleClass="dmc_outputText" value="#{ports.portIOLocation}" ></h:outputText>
												</TD>
											<TD align="left" width="15%"><h:outputText id="mappedCapacityStr_Text_ID"
												styleClass="dmc_outputText" escape="false" value="#{hosts.mappedCapacityStr}"></h:outputText></TD>
											<TD align="left" width="15%">
												<a id="mapped_volumes_link_branch_#{treeTableController.nodeId}" href="#" title="#{bundle.HostLinkTitle}" onclick="clickHostColumnLink(this, 'mappedVolumes','branch')" style="text-decoration:none;">
													<h:outputText id="mappedVolumes_Text_ID" styleClass="dmc_outputText" escape="false" value="#{hosts.mappedVolumes}"></h:outputText>
												</a>	
											</TD>
											<TD align="left" width="25%">
												<a href='javascript:clickHostAddressLink();' title='' style='text-decoration:none;'>
													<h:outputText id="wwn_Text_ID" styleClass="dmc_outputText" escape="false" value="#{ports.wwn}"></h:outputText>
												</a>
											</TD>
											
										</TR>
									</TBODY>
									<script>
									if(typeof setValue == "function"){
										setValue(currentNodeId,'&nbsp;&nbsp;#{ports.portName}','#{hosts.mappedCapacityStr}','#{hosts.mappedVolumes}',1);
									}else{
										parent.setValue(currentNodeId,'&nbsp;&nbsp;#{ports.portName}','#{hosts.mappedCapacityStr}','#{hosts.mappedVolumes}',1);
									}
									</script>
									
								</TABLE>
							#{treeTableController.groupEnded}
	</scmc:scmJspPanel>
						</hx:dataIterator>
	<scmc:scmJspPanel id="groupEnded_scmPanel_ID">
							</DIV>
						#{treeTableController.groupEnded}	
						</DIV>
	</scmc:scmJspPanel>
					</hx:dataIterator> 
	<scmc:scmJspPanel id="End_scmPanel_ID">

				
					</TD>
				</TR>
				
				</TABLE>
				</Div></TD></TR>

			</TBODY>
		</TABLE>
	</scmc:scmJspPanel>
</f:subview>
