<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/PoolProperties.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/tabpanel.css" title="Style"/>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT> 
	<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
		<TITLE>PoolProperties</TITLE>
	<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
			<hx:scriptCollector id="collector" preRender="#{pc_PoolProperties.onPageLoadBegin}">
				<jsp:include page="/page/rbce/common/InnMessages.jsp">
					<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="PoolProperties" />
				</jsp:include><%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
		<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
									<hx:panelDialog id="confirm_dialog" movable="true" onshow="focusDialog(this,event);"
										initiallyShow="false" saveState="false"
										style="width:350px; height:200px;" type="modal"
										showTitleCloseButton="false" styleClass="dmc_panelDialog">
										<TABLE width="100%" height="85%" style="margin-left: 8px" onkeydown="return submitUtilReference.submitHandler(event);">
											<TR>
												<TD colspan="2"><h:outputText id="poolNameDescription"
													value="#{bundle.PoolPropertiesNameHint}"
													styleClass="dmc_outputText" /><BR/> <h:outputText
													styleClass="dmc_outputText" id="poolNameOutput" value="" />
												<BR/>
												<h:outputText id="controllerIPText"
													value="#{bundle.PoolPropertiesCtrlIPHint}"
													styleClass="dmc_outputText" /> <BR/><h:outputText
													styleClass="dmc_outputText" id="ctrIp" value="" /></TD>
											</TR>
											<TR>
												<TD align="left" valign="bottom"><hx:commandExButton
													id="confirm_dialog_left" type="button"
													styleClass="dmc_commandExButton" value="#{bundle.OK}">
													<hx:behavior id="confirm_dialog_left_behavior_ID" event="onclick"
														targetAction="myForm:confirm_dialog"
														behaviorAction="hiden;"
														onActionFunction="doModifyPoolAction()">
													</hx:behavior>
												</hx:commandExButton></TD>
												<TD align="left" valign="bottom"><!-- Right button will always be either close or "no" -->
												<hx:commandExButton id="confirm_dialog_right" type="button"
													styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
													<hx:behavior id="confirm_dialog_right_behavior_ID" event="onclick" targetAction="confirm_dialog;"
														behaviorAction="hide;stop;"
														onActionFunction="return true;"></hx:behavior>
												</hx:commandExButton></TD>
											</TR>
										</TABLE>
									</hx:panelDialog>
									<TABLE width="100%">
										<TR>
											<TD valign="top" rowspan="2" width="35"><hx:graphicImageEx id="pool_large_image_ID"
												styleClass="graphicImageEx"
												value="/images/entity/pool_large.gif"
												title="#{bundle.Image_Pool}" alt="#{bundle.Image_Pool}"></hx:graphicImageEx></TD>
											<TD valign="top" align="left" width="20%"><h:outputText
												id="poolNameText" value="#{bundle.PoolNameDescription}"
												styleClass="dmc_outputText" /></TD>
											<TD valign="top" width="70%"  align="left"><h:outputText id="PoolName" styleClass="dmc_outputText"
												value="#{pc_PoolProperties.poolPropertiesPageBean.poolName}"
												></h:outputText></TD>
										</TR>
										<TR>
											<TD valign="top" align="left"><h:outputText id="poolStatusText"
												value="#{bundle.SwitchModule_Status}" styleClass="dmc_outputText" /></TD>
											<TD valign="top"  align="left"><h:outputText id="propertiesStatus_Text_ID" escape="false"
												styleClass="dmc_outputText"
												value="#{pc_PoolProperties.poolPropertiesPageBean.selectPool.propertiesStatus}"></h:outputText>
											</TD>
										</TR>
									</TABLE>
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								<A href="#" styleClass="commandLink" id="help_link" target="helpwin" 
									onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_rss_pool_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;">
									<h:outputText id="text1" styleClass="dmc_outputText"
										value="#{bundle.Help}"></h:outputText>
								</A>
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
								<TR>
									<TD valign="top">
									
									</TD>
								</TR>
							<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
							<odc:tabbedPanel styleClass="scm_tabbedPanel" width="100%"
								variableTabLength="false" showBackNextButton="false"
								showTabs="true" slantActiveRight="4" slantActiveLeft="4"
								slantInactiveRight="4" slantInactiveLeft="4"
								id="tabbedPanelPoolProperties" height="335">
								<odc:bfPanel id="generalTab" name="#{bundle.Volume_Property_General}"
									showFinishCancelButton="false">
									<scmc:scmJspPanel id="poolGeneralProperties_panel_iframe">
									<iframe id="poolGeneralProperties" frameborder="0"
										name="poolGeneralProperties" style="width:100%; height:100%"  scrolling="no" 
										src="" title="#{bundle.Pool_Property_Frame_Title}">
									</iframe>
									</scmc:scmJspPanel>
								</odc:bfPanel>
								<odc:bfPanel id="poolVolumesTab" name="#{bundle.Volumes}" onenter="return StorageTabOnEnter(this,event)"
									showFinishCancelButton="false">
									<scmc:scmJspPanel id="poolVolumesTab_panel_iframe">
									<iframe id="poolVolume" frameborder="0" name="poolVolume"  scrolling="no" 
										style="width:100%; height:100%"
										src="" title="#{bundle.Pool_Volume_Frame_Title}">
									</iframe>
									</scmc:scmJspPanel>
								</odc:bfPanel>
								<odc:bfPanel id="poolDisksTab" name="#{bundle.DiskDrive}" onenter="return StorageTabOnEnter(this,event)"
									showFinishCancelButton="false">
									<scmc:scmJspPanel id="poolDisksTab_panel_iframe">
									<iframe id="poolDisk" frameborder="0" name="poolDisk"  scrolling="no" 
										style="width:100%; height:100%"
										src="" title="#{bundle.Pool_Disk_Frame_Title}">
									</iframe>
									</scmc:scmJspPanel>
								</odc:bfPanel>
								<f:facet name="back">
									<hx:commandExButton type="submit" value="#{bundle.Back}"
										id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
								</f:facet>
								<f:facet name="next">
									<hx:commandExButton type="submit" value="#{bundle.Next}"
										id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
								</f:facet>
								<f:facet name="finish">
									<hx:commandExButton type="submit" value="#{bundle.Finish}"
										id="tabbedPanel1_finish" style="display:none">

									</hx:commandExButton>
								</f:facet>
								<f:facet name="cancel">
									<hx:commandExButton type="submit" value="#{bundle.Cancel}"
										id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
								</f:facet>
							</odc:tabbedPanel>
						<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
							<TD align="left" width="50%" height="30" valign="bottom">
							<TABLE cellspacing="0" width="100%">
								<tr>
									<td width="130" align="left"><hx:commandExButton id="closeButton"
										type="button" value="#{bundle.Close}"
										styleClass="dmc_commandExButton"
										onclick="parent.closeUtilDialog();"></hx:commandExButton></td>
									<td width="130">
									</td>
								</tr>
								<tr>
									<td width="130"><hx:commandExButton type="button" value="#{bundle.OK}"
										id="OkButton" styleClass="dmc_commandExButton"
										style="display:none">
										<hx:behavior id="OkButton_behavior_ID" event="onclick"
											targetAction="myForm:confirm_dialog"
											behaviorAction="show;stop;"
											onActionFunction="poolModifyConfiramation();">
										</hx:behavior>
									</hx:commandExButton></td>
									<td width="130"><hx:commandExButton type="reset"
										style="display:none" value="#{bundle.Cancel}"
										id="cancelButton" styleClass="dmc_commandExButton"
										onclick="disablePropertiesEditMode();">
									</hx:commandExButton></td>
									<td></td>
								</tr>

							</TABLE>


							<hx:commandExButton type="submit" id="propertiesUpdater"
								style="display:none" 
								action="#{pc_PoolProperties.updatePoolProperties}">
							</hx:commandExButton></TD>
							<h:inputHidden id="controllerIP"
								value="#{pc_PoolProperties.poolPropertiesPageBean.controllerIp}" />
							<h:inputHidden id="isNext"></h:inputHidden>
						<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
			</hx:scriptCollector>
		<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
