<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<TABLE id="RAIDLevelHelp_table" style="background-color:#9CAECE;empty-cells:show" width="600" cellspacing="1" cellpadding="0" border="0" summary="#{bundle.Table_Summary_RAID_Performance}">
	<TR style="background-color:#d6dbef">
		<TH style="white-space:nowrap" width="30%">&nbsp;</TH>
		<TH width="20%"><h:outputText id="RAIDLevelHelp_Read_Performance_Text_ID" styleClass="dmc_outputTextB" value="#{bundle.RAIDLevelHelp_Read_Performance}"></h:outputText></TH>
		<TH width="20%"><h:outputText id="RAIDLevelHelp_Write_Performance_Text_ID" styleClass="dmc_outputTextB" value="#{bundle.RAIDLevelHelp_Write_Performance}"></h:outputText></TH>
		<TH width="10%"><h:outputText id="RAIDLevelHelp_Availability_Text_ID" styleClass="dmc_outputTextB" value="#{bundle.RAIDLevelHelp_Availability}"></h:outputText></TH>
		<TH width="20%"><h:outputText id="RAIDLevelHelp_Cost_Text_ID" styleClass="dmc_outputTextB" value="#{bundle.RAIDLevelHelp_Cost}"></h:outputText></TH>
	</TR>
	<TR class="dmc_outputText" style="background-color:#FFFFFF;white-space:nowrap">
		<TD style="white-space:nowrap">
			<h:outputText id="raid0" styleClass="scm_outputText" value="#{bundle.RAIDLevelHelp_RAID0}" title="#{bundle.RAIDLevelHelp_RAID0}"></h:outputText>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars1" value="/images/Raids/5_stars.gif" title="#{bundle.RAIDLevelHelp_5stars}" alt="#{bundle.RAIDLevelHelp_5stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars2" value="/images/Raids/5_stars.gif" title="#{bundle.RAIDLevelHelp_5stars}" alt="#{bundle.RAIDLevelHelp_5stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars3" value="/images/Raids/1_star.gif" alt="#{bundle.RAIDLevelHelp_1stars}" title="#{bundle.RAIDLevelHelp_1stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid0stars4" value="/images/dollars/1_dollar.gif" alt="#{bundle.RAIDLevelHelp_1dollars}" title="#{bundle.RAIDLevelHelp_1dollars}"></h:graphicImage>
		</TD>
	</TR>
	<TR class="dmc_outputText" style="background-color:#FFFFFF;white-space:nowrap">
		<TD style="white-space:nowrap">
			<h:outputText id="raid1" styleClass="scm_outputText" value="#{bundle.RAIDLevelHelp_RAID1}" title="#{bundle.RAIDLevelHelp_RAID1}"></h:outputText>
			<BR>
			<h:outputText id="raid10" styleClass="scm_outputText" value="#{bundle.RAIDLevelHelp_RAID10}" title="#{bundle.RAIDLevelHelp_RAID10}"></h:outputText>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars1" value="/images/Raids/4_stars.gif" alt="#{bundle.RAIDLevelHelp_4stars}" title="#{bundle.RAIDLevelHelp_4stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars2" value="/images/Raids/3_stars.gif" alt="#{bundle.RAIDLevelHelp_3stars}" title="#{bundle.RAIDLevelHelp_3stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars3" value="/images/Raids/3_stars.gif" alt="#{bundle.RAIDLevelHelp_3stars}" title="#{bundle.RAIDLevelHelp_3stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid1stars4" value="/images/dollars/5_dollars.gif" alt="#{bundle.RAIDLevelHelp_5dollars}" title="#{bundle.RAIDLevelHelp_5dollars}"></h:graphicImage>
		</TD>
	</TR>
	<TR class="dmc_outputText" style="background-color:#FFFFFF;white-space:nowrap">
		<TD style="white-space:nowrap">
			<h:outputText id="raid5" styleClass="scm_outputText" value="#{bundle.RAIDLevelHelp_RAID5}" title="#{bundle.RAIDLevelHelp_RAID5}"></h:outputText>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars1" value="/images/Raids/5_stars.gif" alt="#{bundle.RAIDLevelHelp_5stars}" title="#{bundle.RAIDLevelHelp_5stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars2" value="/images/Raids/4_stars.gif" alt="#{bundle.RAIDLevelHelp_4stars}" title="#{bundle.RAIDLevelHelp_4stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars3" value="/images/Raids/3_stars.gif" alt="#{bundle.RAIDLevelHelp_3stars}" title="#{bundle.RAIDLevelHelp_3stars}"></h:graphicImage>
		</TD>
		<TD valign="middle" align="center">
			<h:graphicImage id="raid5stars4" value="/images/dollars/3_dollars.gif" alt="#{bundle.RAIDLevelHelp_3dollars}" title="#{bundle.RAIDLevelHelp_3dollars}"></h:graphicImage>
		</TD>
	</TR>

</TABLE>
