<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<%@ include file="/page/rbce/common/Header.jsp"%>

<f:subview id="treeTable">
	<scmc:scmJspPanel id="scmPanel1">
		<TABLE id="treetable" cellspacing="0" cellpadding="0" width="100%">
			<TBODY>
				<TR Class="rbceTableHeaderRow" height="15">
					<TD valign="middle"  colspan="6">
					<DIV><IMG name="img01"
						tabIndex="0"
						src="<%=path%>/images/common/tree/expand_obj.gif"
						title="#{bundle.Image_Expend}" alt = "#{bundle.Image_Expend}"
						onclick="com.ibm.sysmgmt.rbce.gui.storage.treetable.getInstance().setAllDisplays(true)"></IMG>
					<IMG name="img02"
						tabIndex="0"
						src="<%=path%>/images/common/tree/collapse_obj.gif" 
						title="#{bundle.Image_Collapse}" alt = "#{bundle.Image_Collapse}"
						onclick="com.ibm.sysmgmt.rbce.gui.storage.treetable.getInstance().setAllDisplays(false)"></IMG>
					<hx:commandExButton type="button" onclick="unmapHostBtnClick();"
						value="#{bundle.Volume_Unmap_Host}" disabled="true"
						styleClass="dmc_commandExButton" 
						id="unmapHostBtn"></hx:commandExButton></DIV>
					</TD>
				</TR>
			</TBODY>
			</TABLE>
		<TABLE cellspacing="0" cellpadding="0" width="100%" class="borderGray" id="mappedHostTable" summary="#{bundle.Table_Summary_Volume_Properties_Mapped_Hosts} #{bundle.Table_Summary_TreeTable_Navigation}">
			<TBODY>
				<TR height="5">
					<TD width="100%">
					<Div id="headerTableDivId" class="scm_DataTableHeaderDiv">
					<Table width="100%" id="headerTable" cellpadding="0" cellspacing="0" summary="#{bundle.Table_Summary_Volume_Properties_Mapped_Hosts} #{bundle.Table_Summary_TreeTable_Navigation}" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
					<colgroup>
						<col width="5%"/>
						<col width="30%"/>
						<col width="20%"/>
						<col width="10%"/>
						<col width="15%"/>
						<col width="20%"/>
					</colgroup>
					<thead>
					<TR class="scm_flyaway_component">
					<TD>&nbsp;</TD>
					<TD><h:outputText id="hidden_Host_Assignment_Text_ID" value="#{bundle.Host_Assignment}"></h:outputText></TD>
					<TD><h:outputText id="hidden_Status_Text_ID" value="#{bundle.Status}"></h:outputText></TD>
					<TD><h:outputText id="hidden_LUN_Text_ID" value="#{bundle.LUN}"></h:outputText></TD>
					<TD><h:outputText id="hidden_Permissions_Text_ID" value="#{bundle.Permissions}"></h:outputText></TD>
					<TD><h:outputText id="hidden_Address_Text_ID" value="#{bundle.Address}"></h:outputText></TD>
					</TR>
					</thead>
					<tbody>
					<TR Class="rbceTableHeaderRow">
					<TD align="left" width="5%" class ="dmc_headerClass"><h:outputText value="" styleClass="dmc_outputText" id="selectHead">&nbsp;</h:outputText></TD>
					<TD align="left" width="30%" class ="dmc_headerClass"><h:outputText id="Host_Assignment_Text_ID" value="#{bundle.Host_Assignment}"
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left" width="20%" class ="dmc_headerClass"><h:outputText id="Status_Text_ID" value="#{bundle.Status}"
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left" width="10%" class ="dmc_headerClass"><h:outputText id="LUN_Text_ID" value="#{bundle.LUN}"
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left" width="15%" class ="dmc_headerClass"><h:outputText id="Permissions_Text_ID" value="#{bundle.Permissions}"
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left"  style="white-spacing:nowarp;" width="20%" class ="dmc_headerClass"><h:outputText id="Address_Text_ID" value="#{bundle.Address}"
						styleClass="dmc_outputText"></h:outputText></TD>
					</TR>
					</tbody>
					</Table>
					</Div>
					</TD>
				</TR>
				<TR>
				<TD>
				<Div id="hostMainTableDiv" style="border-style:solid 1px;border-width: 0px; width: 100%; height:160;overflow-y: scroll;">
				<h:outputText id="expand_alt" style="display: none;" value="#{bundle.Expand}"></h:outputText>
				<h:outputText id="collapse_alt" style="display: none;" value="#{bundle.Collapse}"></h:outputText>
				<TABLE width="100%" id="hostMainTable" cellspacing="0" cellpadding="0" >
				
				<TR>
					<TD></scmc:scmJspPanel> <hx:dataIterator id="iterator_1"
						value="#{pc_MappedHosts.volumePropertiesPageBean.hostsTableData}"
						var="hosts">
						<scmc:scmJspPanel id="iterator_1_scmPanel_ID">
							<TABLE width="100%" id="#{treeTableController.nextNodeId}"  class="rbceTableRow"  cellspacing="0" cellpadding="0">
								<colgroup>
								<col width="5%"/>
								<col width="30%"/>
								<col width="20%"/>
								<col width="10%"/>
								<col width="15%"/>
								<col width="20%"/>
								</colgroup>
								<thead>
									<TR class="scm_flyaway_component">
										<TH>&nbsp;</TH>
										<TH><h:outputText id="hidden_Host_Assignment_Text_ID1" value="#{bundle.Host_Assignment}"></h:outputText></TH>
										<TH><h:outputText id="hidden_Status_Text_ID1" value="#{bundle.Status}"></h:outputText></TH>
										<TH><h:outputText id="hidden_LUN_Text_ID1" value="#{bundle.LUN}"></h:outputText></TH>
										<TH><h:outputText id="hidden_Permissions_Text_ID1" value="#{bundle.Permissions}"></h:outputText></TH>
										<TH><h:outputText id="hidden_Address_Text_ID1" value="#{bundle.Address}"></h:outputText></TH>
									</TR>
								</thead>
								<TBODY>
									<TR>
										<TD align="left" width="5%"><h:selectBooleanCheckbox id="rowSelectedHost"  title="#{hosts.name}" onclick="highLightingHosts(this,'#{treeTableController.nodeId}'); "
											value="#{hosts.selected}"></h:selectBooleanCheckbox> </TD>									
										<TD align="left" width="30%"></scmc:scmJspPanel>
										<scmc:scmJspPanel id="collapse_obj_scmPanel_ID" rendered="#{hosts.hasHostPort}">
											<IMG name="#{treeTableController.folderName}_IMG"
												tabIndex="0"
												src="<%=path%>/images/common/tree/collapse_obj.gif"
												alt="#{bundle.Collapse} #{hosts.name}"
												title="#{bundle.Collapse} #{hosts.name}"
												value="#{hosts.name}"
												style="vertical-align: middle;"
												onclick="com.ibm.sysmgmt.rbce.gui.storage.treetable.getInstance()._toggle('#{treeTableController.nodeId}', '#{treeTableController.childrenGroupId}',this, event)"></IMG>
										</scmc:scmJspPanel> <h:outputText styleClass="dmc_outputText"
											id="assignment" escape="false" value="#{hosts.assignment}"></h:outputText>
										<scmc:scmJspPanel id="scmPanel2"></TD>
										<TD align="left" width="20%"><h:outputText id="status_Text_ID2"
											styleClass="dmc_outputText" escape="false"
											value="#{hosts.status}"></h:outputText></TD>
										<TD align="left" width="10%"><h:outputText id="LUN_Text_ID2"
											styleClass="dmc_outputText" value="#{hosts.LUN}"></h:outputText>
										</TD>
										<TD align="left" width="15%"><h:outputText id="permission_Text_ID"
											styleClass="dmc_outputText" value="#{hosts.permission}"></h:outputText>
										</TD>
										<TD align="left" width="20%">&nbsp;</TD>
									</TR>
								</TBODY>
							</TABLE>
							<DIV id="#{treeTableController.groupId}"
								name="#{treeTableController.folderName}_DIV">
						</scmc:scmJspPanel>
						<hx:dataIterator id="ports_iterator" value="#{hosts.hostports}" var="ports">
							<scmc:scmJspPanel id="ports_iterator_scmPanel_ID">
								<TABLE width="100%" id="#{treeTableController.nextNodeId}"  class="rbceTableRow"  cellspacing="0" cellpadding="0">
									<colgroup>
									<col width="5%"/>
									<col width="30%"/>
									<col width="20%"/>
									<col width="10%"/>
									<col width="15%"/>
									<col width="20%"/>
									</colgroup>
									<thead>
										<TR class="scm_flyaway_component">
											<TH>&nbsp;</TH>
											<TH><h:outputText id="hidden_Host_Assignment_Text_ID2" value="#{bundle.Host_Assignment}"></h:outputText></TH>
											<TH><h:outputText id="hidden_Status_Text_ID2" value="#{bundle.Status}"></h:outputText></TH>
											<TH><h:outputText id="hidden_LUN_Text_ID2" value="#{bundle.LUN}"></h:outputText></TH>
											<TH><h:outputText id="hidden_Permissions_Text_ID2" value="#{bundle.Permissions}"></h:outputText></TH>
											<TH><h:outputText id="hidden_Address_Text_ID2" value="#{bundle.Address}"></h:outputText></TH>
										</TR>
									</thead>
									<TBODY>
										<TR>
											<TD align="left" width="5%">&nbsp;</TD>
											<TD style="white-space:nowrap" align="left" width="30%">
											<h:outputText id="assignment_Text_ID"
												styleClass="dmc_outputText" escape="false"
												value="#{ports.assignment}"></h:outputText></TD>
											<TD align="left" width="20%">&nbsp;</TD>
											<TD align="left" width="10%">&nbsp;</TD>
											<TD align="left" width="15%">&nbsp;</TD>
											<TD align="left" width="20%"><h:outputText id="wwn_Text_ID"
												styleClass="dmc_outputText" value="#{ports.wwn}"></h:outputText>
											</TD>
										</TR>
									</TBODY>
								</TABLE>
							#{treeTableController.groupEnded}
</scmc:scmJspPanel>
						</hx:dataIterator>
						
						<scmc:scmJspPanel id="groupEnded_scmPanel_ID">
							</DIV>
						#{treeTableController.groupEnded}	
</scmc:scmJspPanel>
					</hx:dataIterator> <scmc:scmJspPanel id="end_scmPanel_ID"></TD>
				</TR>
				
				</TABLE>
				</Div></TD></TR>

			</TBODY>
		</TABLE>
	</scmc:scmJspPanel>
	
</f:subview>
