// wizard.js

function setWizardButtonClicked(clicked){
	document.getElementById("wizardButtonClicked").innerHTML = clicked;
}
// newFunction
function onLoad_Wizard() {
	// Load the iframe url
	var hiddenURL = document.getElementById(namespace_g + "myForm:hidden_StepURL").innerHTML;
	var iframeobj = document.getElementById("step_iframe");
	iframeobj.src = hiddenURL;
	iframeobj.focus();
	
	refreshStepList();
}

function onLoad_InitialSetup() {
	document.getElementById(namespace_g + "myForm:launchBtn").click();
	
	// initial error message	
	initErrorMessage();	
}

function onLoad_Summary() {
	document.getElementsByTagName("body")[0].className = "wizardFrameBody";
	parent.document.getElementById("myForm:hidden_isSummary").value = "true";
	/*if(parent.document.getElementById(namespace_g + "myForm:wizard_name").value.indexOf("Create") >= 0){
		parent.document.getElementById(namespace_g + "myForm:btnFinish").value = parent.document.getElementById(namespace_g + "myForm:summaryCreateName").innerHTML;
	} else {
		parent.document.getElementById(parent.namespace_g + "myForm:btnFinish").value = parent.document.getElementById(namespace_g + "myForm:summaryFinishName").innerHTML;
	}*/
	parent.refreshNext();
	checkSummary();
	parent.setWizardButtonClicked("false");
}

function onLoad_Completion() {
	document.getElementsByTagName("body")[0].className = "wizardFrameBody";
	setTimeout(lazyLoad , 5);
	
	// initial error message	
	initErrorMessage();	
}

function lazyLoad() {
	document.getElementById(namespace_g + "myForm:clickbtn").click();
}

function refreshStepList() {
	var tbobj = document.getElementById("stepListTable");
	var spanobjs = tbobj.getElementsByTagName("span");
	var currentValue = document.getElementById(namespace_g + "myForm:hidCurrentStepName").innerHTML;
	var spanlen = spanobjs.length;
	var indentString = "&nbsp;&nbsp;&nbsp;&nbsp;";
	for (var i = 0;i < spanlen;i ++) {
		if (spanobjs[i].innerHTML == currentValue) {
			if( currentValue.indexOf(indentString) != -1){			
				spanobjs[i-1].innerHTML = indentString; 
			    spanobjs[i].innerHTML = removeSpace(spanobjs[i].innerHTML);
			}
			
			spanobjs[i].className = "wizardSelected";
			var spanLabelObj = document.createElement("span");
			spanLabelObj.innerHTML = document.getElementById(namespace_g + "myForm:hidden_selected_text").innerHTML;
			spanLabelObj.className = "scm_flyaway_component";

			spanobjs[i].appendChild(spanLabelObj);
		}
	}
}

function removeSpace(str) {
	if( str != null && str.length > 0){
		while(str.indexOf("&nbsp;") > -1) {
			str = str.replace("&nbsp;","");
		} 
		str = str.replace(/^\s*/, "").replace(/\s*$/, "");
	}
	return str;
}

function getFrame(iframename) {
	return eval("self." + iframename);
}

function refreshNext() {
	// set button status
	var nextStatus = document.getElementById(namespace_g + "myForm:hidden_showNext");
	var prevStatus = document.getElementById(namespace_g + "myForm:hidden_showPrev");
	var finishStatus = document.getElementById(namespace_g + "myForm:hidden_showFinish");
	
	var nextButtonobj = document.getElementById(namespace_g + "myForm:btnNext");
	var prevButtonobj = document.getElementById(namespace_g + "myForm:btnPrev");
	var finishButtonobj = document.getElementById(namespace_g + "myForm:btnFinish");
	var cancelButtonobj = document.getElementById(namespace_g + "myForm:btnCancel");
	
	var isSummaryobj = document.getElementById("myForm:hidden_isSummary");
	
	var stepFrame = getFrame("step_iframe");
	var isNext = stepFrame.document.getElementById(namespace_g + "myForm:isNext");

	if (isNext) {
		if (isNext.value == "true") {
			nextButtonobj.disabled = false;
			if (finishStatus.value == "true") {
				finishButtonobj.disabled = false;
			}
		} else {
			nextButtonobj.disabled = true;
			if (finishStatus.value == "true") {
				finishButtonobj.disabled = false;
			}else{
				finishButtonobj.disabled = true;
			}
		}
	} else {
		nextButtonobj.disabled = true;
		if (isSummaryobj.value == "true") {
			finishButtonobj.disabled = false;
		} else {
			finishButtonobj.disabled = true;
		}
	}
	
	if (prevStatus.value == "true") {
		prevButtonobj.disabled = false;
	}else{
	    prevButtonobj.disabled = true;
	}
	
	cancelButtonobj.disabled = false;
	
	//special case for disable all button
	var isAllDisable = stepFrame.document.getElementById(namespace_g + "myForm:isWaiting");
	if (isAllDisable && isAllDisable.value == "true") {
		nextButtonobj.disabled = true;
		prevButtonobj.disabled = true;
		finishButtonobj.disabled = true;
		cancelButtonobj.disabled = true;
	}
}

function refreshIsClose() {
	disableWizardButtons();
	var stepFrame = getFrame("step_iframe");
	var isToBeClosed = stepFrame.document.getElementById(namespace_g + "myForm:toBeClosed");
	var localToBeClosed = document.getElementById(namespace_g + "myForm:hidden_toBeClosed");
	if (isToBeClosed) {
		localToBeClosed.value = isToBeClosed.value;
		//document.getElementById(namespace_g + "myForm:finishSubmit").click();
		if(parent.document.getElementById(parent.namespace_g + 'myForm:closeWizard')){
			parent.document.getElementById(parent.namespace_g + 'myForm:closeWizard').click();
		}
	} else {
		if (document.getElementById("myForm:hidden_isSummary").value == "true") {
			document.getElementById(namespace_g + "myForm:finishSubmit").click();
		} else {
			document.getElementById(namespace_g + "myForm:hidden_finishFlag").value = "true";
			document.getElementById(namespace_g + "myForm:ajaxbutton").click();
		}
	}
}

/** clear the iframe's session **/
function clearInnerSession() {
	disableWizardButtons();
	var stepFrame = getFrame("step_iframe");
	var cleanSessionBtn = stepFrame.document.getElementById(namespace_g + "myForm:cleanSessionBtn");
	if(cleanSessionBtn!=null)
	{
		cleanSessionBtn.click();
	}else{
		var btnCancel = document.getElementById(namespace_g + "myForm:cancelSubmit");
		btnCancel.click();
	}
}

function nextStep(btnType) {
	disableWizardButtons();
	var stepFrame = getFrame("step_iframe");
	var nextButtonid =stepFrame.namespace_g + stepFrame.document.getElementById("NextButtonID").value;
	var nextButtonobj = stepFrame.document.getElementById(nextButtonid);
	var setFinishobj = document.getElementById(namespace_g + "myForm:hidden_finishFlag");
	if (nextButtonobj) {
		if (btnType == "next" && setFinishobj.value == "true") {
			// Finish click but not submit
			setFinishobj.value = "false";
			document.getElementById(namespace_g + "myForm:ajaxbutton").click();
		} else {
			nextButtonobj.click();
		}
	}
}

function prevStep() {
	disableWizardButtons();
	var prevButton = document.getElementById(namespace_g + "myForm:prevSubmit");
	if (prevButton) {
		prevButton.click();
	}
}

function checkTask() {
	var statusObj = document.getElementById(namespace_g + "myForm:batchStatus");
	if (statusObj && statusObj.value == "false") {
		setTimeout(lazyLoad , 2500);
	} else {
		var imgobjs = document.getElementsByTagName("img");
		for (var i = 0;i < imgobjs.length;i ++) {
			if (imgobjs[i].id.indexOf("expand_IMG")>=0) {
				var hidnode = imgobjs[i].parentNode.getElementsByTagName("input")[0];
				if (hidnode.value == "false") {
					var spannode = hidnode.nextSibling;
					var divname = "DIV_" + spannode.innerHTML;
					clickExpend(divname , imgobjs[i]);
				}
			}
		}
	}
}

function checkSummary() {
	var imgobjs = document.getElementsByTagName("img");
	for (var i = 0;i < imgobjs.length;i ++) {
		if (imgobjs[i].id.indexOf("expand_IMG")>=0) {
			var hidnode = imgobjs[i].parentNode.getElementsByTagName("input")[0];
			if (hidnode.value == "true") {
				var spannode = hidnode.nextSibling;
				var divname = "DIV_" + spannode.innerHTML;
				clickExpend(divname , imgobjs[i]);
			}
		}
	}
}

function clickExpend(divID , imgobj){
	var thisDIV = document.getElementById(divID);
	
	if( thisDIV.style.display=='block' ||thisDIV.style.display == ""){
		thisDIV.style.display='none';
		imgobj.src = document.global_context_path + "/images/right.gif";
		imgobj.title = bundle.Image_Expend;
		imgobj.alt = bundle.Image_Expend;
	}else{
		thisDIV.style.display='block';		
		imgobj.src = document.global_context_path + "/images/down.gif";
		imgobj.title = bundle.Image_Collapse;
		imgobj.alt = bundle.Image_Collapse;
	}		
}

function disableWizardButtons() {
	var prevButton = document.getElementById(namespace_g + "myForm:btnPrev");
	var nextButton = document.getElementById(namespace_g + "myForm:btnNext");
	var cancelButton = document.getElementById(namespace_g + "myForm:btnCancel");
	var finishButton = document.getElementById(namespace_g + "myForm:btnFinish");
	var closeButton = document.getElementById(namespace_g + "myForm:btnClose");
	
	if (prevButton) {
		prevButton.disabled = true;
	}
	
	if (nextButton) {
		nextButton.disabled = true;
	}
	
	if (cancelButton) {
		cancelButton.disabled = true;
	}
	
	if (finishButton) {
		finishButton.disabled = true;
	}
	
	if (closeButton) {
		closeButton.disabled = true;
	}
}

function clickStepDataTitle(thisObj){
	var parentTDObj = thisObj.parentNode;
	while(parentTDObj.tagName.toLowerCase() != "td"){
		parentTDObj = parentTDObj.parentNode;
	}
	var imgObjs = parentTDObj.getElementsByTagName("IMG");
	for(var i=0;i<imgObjs.length;i++){
		if(imgObjs[i].id.indexOf("expand_IMG")>-1 || imgObjs[i].name =="expandAll_IMG"){
			imgObjs[i].onclick();
		}
	}
	
}


