<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<f:subview id="messagesSubview">
	<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/common/InnerMessages.java" --%><%-- /jsf:pagecode --%>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{pc_InnerMessages.onPageLoadBegin}" postRender="#{pc_InnerMessages.onPageLoadFinished}">

		<hx:panelLayout id="messageArea" width="100%" 
			rendered="#{pc_InnerMessages.innerMessagesPageBean.display}">
			<f:facet name="left"></f:facet>
			<f:facet name="top"></f:facet>
			<f:facet name="body">
				<hx:jspPanel id="messageJp">
					<TABLE width="100%">
						<TBODY>
							<TR>
								<TD align="center">
								<TABLE width="80%" border="0" cellpadding="0" cellspacing="10" style="background-color: #e6e6e6"
									class="borderMessageBlue">
									<TBODY>
										<TR>
											<TD width="42" valign="top" align="center"><BR/>
											<hx:graphicImageEx
												styleClass="graphicImageEx" id="imageEx1"
												value="#{pc_InnerMessages.innerMessagesPageBean.iconSrc}" 
												title="#{pc_InnerMessages.innerMessagesPageBean.iconAltTxt}" 
												alt="#{pc_InnerMessages.innerMessagesPageBean.iconAltTxt}"></hx:graphicImageEx></TD>
											<TD valign="top"><h:outputText styleClass="dmc_outputTextTitle2"
												value="#{pc_InnerMessages.innerMessagesPageBean.messageCode}"
												rendered="#{pc_InnerMessages.innerMessagesPageBean.messageCode != 'NONE'}"
												id="text1"></h:outputText><BR/>
												<h:outputText styleClass="dmc_outputText"
												value="#{pc_InnerMessages.innerMessagesPageBean.message}"
												id="text2"
												escape="false"></h:outputText></TD>
										</TR>
										<TR>
											<TD width="42"></TD>
											<TD valign="bottom"><hx:requestLink onclick="doClose()" id="button1"
												rendered="#{pc_InnerMessages.innerMessagesPageBean.showstatusbutton}"
												action="#{pc_InnerMessages.doButton1Action}">
												<h:outputText id="button1_text"
													value="#{bundle.View_Status}"></h:outputText>
											</hx:requestLink> 
											<hx:requestLink onclick="return doClose();" id="close_link" styleClass="dmc_requestLink"
												rendered="#{pc_InnerMessages.innerMessagesPageBean.display}">
												<strong>
												<h:outputText styleClass="dmc_requestLink"
													id="close_link_text" value="#{bundle.Close_Message}">
												</h:outputText>
												</strong>
											</hx:requestLink>
											</TD>
										</TR>
									</TBODY>
								</TABLE>

								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</hx:jspPanel>
			</f:facet>
			<f:facet name="bottom"></f:facet>
			<f:facet name="right"></f:facet>

		</hx:panelLayout>
		<h:inputHidden id="isdisplay"
			value="#{pc_InnerMessages.innerMessagesPageBean.display}"></h:inputHidden>
	</hx:scriptCollector>
</f:subview>
