<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/zone/ManageFabric.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" 
import="javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*, java.util.*, com.ibm.scm.gui.rbce.beans.fabric.*, com.ibm.sysmgmt.scm.nbce.backing.fabric.*,com.ibm.scm.gui.rbce.nls.GWMSBL"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<LINK href="<%=path%>/page/rbce/fabric/ManageFabricEditor.css" rel="stylesheet" type="text/css" />

<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<SCRIPT src="<%=path%>/page/rbce/fabric/ManageFabricEditor.js"></SCRIPT>
	
<TITLE>ManageFabricEditor.jsp</TITLE>


<%
// Constants
final int NUM_BLADES = 6;

String bladeImage = path +  "/images/entity/blade_32.gif";
String controllerImage = path +  "/images/entity/controller_medium.gif";
String externalPortImage = path +  "/images/entity/external_port_16.gif";

String emptyBlock = path +  "/images/fabric/no_number.gif";
%>

<SCRIPT>
var editorServletPath = '<%=path%>/faces/ManageFabricEditorServlet';
</SCRIPT>

</HEAD>
<f:view>
	<BODY>
	
	<SCRIPT>
	
	<%	
	FacesContext fc = FacesContext.getCurrentInstance();

	ResourceBundle bundle = ResourceBundle.getBundle("com.ibm.scm.gui.rbce.nls.GWMSBL",fc.getExternalContext().getRequestLocale());	
						
	ManageFabricBean mfb = (ManageFabricBean) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.MANAGE_FABRIC_BEAN);
	
	
	MFSASSwitch[] switches = mfb.getSwitches();
	
	// To map switch objects to bay numbers, so we can check with bay numbers are present
	HashMap switchMap = new HashMap();
	
	// Holds mappings between blade port IDs and blade numbers
	HashMap bladeIndexMap = new HashMap();
	
	// To map controllers to bay numbers
	HashMap controllerMap = new HashMap();
	
	// bladeIDs[x] holds an Array List of blade port IDs for the switches
	ArrayList bladeIDs = new ArrayList(NUM_BLADES);
	for(int x = 0; x < NUM_BLADES; x++)
		bladeIDs.add(new ArrayList());
	
	// Getting a list of blade ports
	for(int x = 0; x < switches.length; x++)
	{
		switchMap.put("" + switches[x].getBayNumber(), switches[x]);
		
		try
		{
			controllerMap.put("" + switches[x].getBayNumber(), switches[x].getControllerPorts()[0]);
		}
		catch(Throwable e)
		{
			// Just dont include this controller
		}
	
		MFSASPort[] ports = switches[x].getBladeSlots();
		
		for(int y = 0; y < ports.length; y++)
		{
			String portID = ports[y].getPortID();
			
			// Put the ID and index in the map
			bladeIndexMap.put(portID, "" + ports[y].getPortIndex());
		
			// Get the array list of port id for this blade index
			ArrayList indexIDs = (ArrayList) bladeIDs.get(y);
			
			indexIDs.add(portID);
	
			bladeIDs.set(y, indexIDs);
		}
	}
	%>
	
	bladeIDs = [<%
	for(int x = 0; x < bladeIDs.size(); x++)
	{
		// Get the array list of port id for this blade index
		ArrayList indexIDs = (ArrayList) bladeIDs.get(x);
	%>
		[
	<%
			
		for(int y = 0; y < indexIDs.size(); y++)
		{
			String item = "new Array()";
			
			if(y != indexIDs.size() - 1)
			{
				item += ", ";
			}
	%>
			<%= item %>
	<%
		}
		
		String endBracket = "]";
		
		if(x != bladeIDs.size() - 1)
		{
			endBracket += ", ";
		}
	%>
		<%= endBracket %>
	<%	
	}
	%>
	]
	
	bladePortNames = [
	<%
	for(int x = 0; x < bladeIDs.size(); x++)
	{
		// Get the array list of port id for this blade index
		ArrayList indexIDs = (ArrayList) bladeIDs.get(x);
	%>
		[
	<%
			
		for(int y = 0; y < indexIDs.size(); y++)
		{
			String item = "'" + (String) indexIDs.get(y) + "'";
			
			if(y != indexIDs.size() - 1)
			{
				item += ", ";
			}
	%>
			<%= item %>
	<%
		}
		
		String endBracket = "]";
		
		if(x != bladeIDs.size() - 1)
		{
			endBracket += ", ";
		}
	%>
		<%= endBracket %>
	<%	
	}
	%>
	]
	
</SCRIPT>
	<!-- ----------------------------------------Hidden Message--------------------------------- -->
	<span id="manageFabricRAIDSubsystemHiddenMsg" style="display:none"><%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_RAIDSubsystem_Msg, new Object[]{"BLADE_BAY_NUM","SELECT_STATE"})%></span>
	<span id="manageFabricIOBayHiddenMsg" style="display:none"><%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_IOBay_Msg, new Object[]{"BLADE_BAY_NUM","EXTERNAL_PORT_NUM","IO_PORT_NUM","SELECT_STATE"})%></span>
	<span id="manageFabricIOBayHiddenLabel" style="display:none"><%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_IOBay_Label, new Object[]{"EXTERNAL_PORT_NUM","IO_PORT_NUM"})%></span>
	<span id="manageFabricEnabledHiddenMsg" style="display:none"><%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_State_Enabled,null)%></span>
	<span id="manageFabricDisabledHiddenMsg" style="display:none"><%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_State_Disabled,null)%></span>

	
	<!-- ------------------------------------- BLADES ----------------------------------------------------------- -->
	<CENTER>
	
	<FIELDSET style="width: 190px;">
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_BladeBays}" id="bladeBays_outputFormat"></h:outputFormat>
	</LEGEND>
	
	<TABLE align="center">
		<TBODY>
			<TR>
				<%
				for(int x = 0; x < NUM_BLADES; x++)
				{
				
					// Get the blade IDs
					ArrayList indexIDs = (ArrayList) bladeIDs.get(x);
					
				%>				
				<TD class="unmappedStorage" align="center" id="bladeCell<%=x%>" onClick="changeSelectedBlades(<%= x %>)" onMouseOver="selectMapped(<%= x %>)" onMouseOut="deselectMapped(<%= x %>)">
					<TABLE>
						<TBODY>
							<TR>
								<TD align="center">
									<IMG id="bladeImage<%=x%>" border="0" src="<%= bladeImage %>" title="<%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_BladeBay_Msg, new Object[]{x+1})%>" alt="<%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_BladeBay_Msg, new Object[]{x+1})%>" />
								</TD>
							</TR>
							<TR>
								<TD align="center">
									<IMG style="border: 0; margin: 0; padding: 0" id="bladeLabel<%=x%>" src="<%=basePath%>images/numberImages/numberImage<%=x + 1%>.gif" title="<%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_BladeBay_Msg, new Object[]{x+1})%>" alt="<%=MessageFormatter.formatLabel(GWMSBL.ManageFabric_BladeBay_Msg, new Object[]{x+1})%>" />
								</TD>
							</TR>							
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	</CENTER>
	
	<BR/>
		
	<%
	MFSASPort controller1 = (MFSASPort) controllerMap.get("3");
	MFSASPort controller2 = (MFSASPort) controllerMap.get("4");	
	%>
	
	<!--  ----------------------------- Table for formatting port groups -----------------------------  -->
	<TABLE align="center" border="0" cellpadding="0px" cellspacing="10px">
	<TBODY>
	
	<!--  LABELS ROW -->
	<TR>
	
	<%
	// The RAID subsystem will not have a label at this level
	// but if there is a RAID subsystem, we need to have an empty cell
	if(controller1 != null || controller2 != null)
	{
		// Show ports label if we have at least one switch
	%>
	<TD>
		&nbsp;
	</TD>
	
	<%
	}
	%>
		
	<%
	// If we have any external ports, make sure to have a cell with an External Ports label
	// The cell may span one or two columns, depending on how many switches we have
	if(switchMap.get("3") != null || switchMap.get("4") != null)
	{
		// Show ports label if we have at least one switch
	%>
		<TD align="center" colspan="<%= switchMap.size() %>">
			<h:outputFormat styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_ExternalPorts}" id="externalPorts_outputFormat"></h:outputFormat>
		</TD>
			
	<%
	}
	%>
	</TR>
	
	<!--  PORTS ROW -->
	<TR>
	
	<%
	ArrayList controllerPortIDs = new ArrayList();
	
	if(controller1 != null)
	{
		controllerPortIDs.add(controller1.getPortID());
	}
	
	if(controller2 != null)
	{
		controllerPortIDs.add(controller2.getPortID());
	}
	
	// If the list of port IDs is not empty we have at least one controller
	if(!controllerPortIDs.isEmpty())
	{
		// We are going to have at least one port ID
		String portID1 = (String) controllerPortIDs.get(0);	
		
		String portID2 = "";
		
		// Since we may not have two port IDs
		if(controllerPortIDs.size() > 1)
		{
			portID2 = (String) controllerPortIDs.get(1);
		}		
	%>
	<TD valign=top align="center" width="190px">
	
	<!--  ----------------------------------------------  RAID Subsystem  ---------------------------------------------- -->	
	<FIELDSET>
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextB" value="#{bundle.ViewAllBladeCenter_StorageSystemType}" id="storageModule1_outputFormat"></h:outputFormat>
	</LEGEND>
	
		<TABLE id="<%= portID1 %>" class="unmappedStorage">
			<TBODY>
				
				<!-- Controller icon-->
				<TR>
					<TD align="center">
						<%
						if(controllerPortIDs.size() == 2) 
						{
							// If we only have two controllers
						%>
							<IMG onClick="changeMapping('<%= portID1 %>'); changeMapping('<%= portID2 %>');" border="0" src="<%= controllerImage %>" alt="<%=bundle.getString("ViewAllBladeCenter_StorageSystemType") %>" title="<%=bundle.getString("ViewAllBladeCenter_StorageSystemType") %>"/>
						<%
						}
						else
						{ 
							// If we only have one controller
						%>
							<IMG onClick="changeMapping('<%= portID1 %>')" border="0" src="<%= controllerImage %>" alt="<%=bundle.getString("ViewAllBladeCenter_StorageSystemType") %>" title="<%=bundle.getString("ViewAllBladeCenter_StorageSystemType") %>"/>
						<%
						}
						%>
					</TD>							
				</TR>
				
				<!--  Disk mappings -->
				<TR>
					<TD  align="center">
						<TABLE cellspacing="0" cellpadding="0" border="1">
							<TBODY>
							<%
							if(controllerPortIDs.size() == 2) 
							{
								// If we only have two controllers
							%>
								<!-- First row of mappings -->
								<TR>

									<TD><IMG id="<%= portID1 %>0" onClick="toggleMapping(0, '<%= portID1 %>'); toggleMapping(0, '<%= portID2 %>');" onLoad="loadMapTitle(0, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>1" onClick="toggleMapping(1, '<%= portID1 %>'); toggleMapping(1, '<%= portID2 %>');" onLoad="loadMapTitle(1, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>2" onClick="toggleMapping(2, '<%= portID1 %>'); toggleMapping(2, '<%= portID2 %>');" onLoad="loadMapTitle(2, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

								</TR>
								
								<!-- Second row of mappings -->
								<TR>

									<TD><IMG id="<%= portID1 %>3" onClick="toggleMapping(3, '<%= portID1 %>'); toggleMapping(3, '<%= portID2 %>');" onLoad="loadMapTitle(3, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>4" onClick="toggleMapping(4, '<%= portID1 %>'); toggleMapping(4, '<%= portID2 %>');" onLoad="loadMapTitle(4, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>5" onClick="toggleMapping(5, '<%= portID1 %>'); toggleMapping(5, '<%= portID2 %>');" onLoad="loadMapTitle(5, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

								</TR>
							<%
							}
							else
							{ 
								// If we only have one controller
							%>
							<!-- First row of mappings -->
								<TR>

									<TD><IMG id="<%= portID1 %>0" onClick="toggleMapping(0, '<%= portID1 %>')" onLoad="loadMapTitle(0, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>1" onClick="toggleMapping(1, '<%= portID1 %>')" onLoad="loadMapTitle(1, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>2" onClick="toggleMapping(2, '<%= portID1 %>')" onLoad="loadMapTitle(2, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

								</TR>
								
								<!-- Second row of mappings -->
								<TR>

									<TD><IMG id="<%= portID1 %>3" onClick="toggleMapping(3, '<%= portID1 %>')" onLoad="loadMapTitle(3, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>4" onClick="toggleMapping(4, '<%= portID1 %>')" onLoad="loadMapTitle(4, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

									<TD><IMG id="<%= portID1 %>5" onClick="toggleMapping(5, '<%= portID1 %>')" onLoad="loadMapTitle(5, '<%= portID1 %>');" border="0" src="<%= emptyBlock %>" /></TD>

								</TR>
							<%} %>
							</TBODY>
						</TABLE>
					</TD>
				</TR>
			</TBODY>
		</TABLE>
	
	</FIELDSET>
	
	</TD>
	
	<%
	}
	%>
	
	
	<!-- ----------------------------------------------  EXTERNAL PORTS -------------------------------- -->
	<%
	if(switchMap.get("3") != null)
	{
		// Show ports label if we have at least one switch 
	%>
	<TD valign=top align="center" width="190px">
	<!--  ----------------------------------------------  I/O BAY 3 EXTERNAL PORTS  ---------------------------------------------- -->	
	<%
		MFSASSwitch currentSwitch = (MFSASSwitch) switchMap.get("3");
		
		MFSASPort[] ports = currentSwitch.getExternalPorts();
		
		ArrayList selectAllIDList = new ArrayList();
		
		// Setting up the list for the select all button
		for(int portIndex = 0; portIndex < ports.length; portIndex++)
		{
			selectAllIDList.add("'" + ports[portIndex].getPortID() + "'");
		}
	%>
	
	<FIELDSET>
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_IOBay3}" id="ioBay3_outputFormat"></h:outputFormat>
		<INPUT type="button" class="dmc_commandExButton" onClick="selectAll(<%= selectAllIDList.toString() %>)" value="<%= bundle.getString("ManageFabric_SelectAll") %>"/>
	</LEGEND>
	
	<TABLE cellspacing="3" border="0">
		<TBODY>
			<%
			// Table of external ports
			for(int portIndex = 0; portIndex < ports.length; portIndex++)
			{
				String portID = ports[portIndex].getPortID();
			%>
			<TR>
				<TD id="<%= portID %>" class="unmappedStorage">
					<!-- The table for one port -->
					<TABLE>
						<TBODY>
							<TR>
							
								<!-- External Port label -->
								<TD align="center">
									<SPAN class="dmc_outputText" id="span<%= portID %>_3"><%= portIndex + 1 %></SPAN>
								</TD>
								<!-- External Port icon -->
									
								<TD align="center">
									<IMG onClick="changeMapping('<%= portID %>')" border="0" src="<%= externalPortImage %>" style="vertical-align: bottom;" onLoad="loadImgTitle(this,'<%= portID %>')" />
								</TD>
							
								<!--  External Port mappings -->
								<TD  align="center">
									<TABLE cellspacing="0" cellpadding="0" border="1">
										<TBODY>
											<TR>

												<TD><IMG id="<%= portID %>0" onClick="toggleMapping(0, '<%= portID %>')" onLoad="loadMapTitle(0, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>1" onClick="toggleMapping(1, '<%= portID %>')" onLoad="loadMapTitle(1, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>2" onClick="toggleMapping(2, '<%= portID %>')" onLoad="loadMapTitle(2, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>3" onClick="toggleMapping(3, '<%= portID %>')" onLoad="loadMapTitle(3, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>4" onClick="toggleMapping(4, '<%= portID %>')" onLoad="loadMapTitle(4, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>5" onClick="toggleMapping(5, '<%= portID %>')" onLoad="loadMapTitle(5, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	</TD>
	<%
	}
	%>
	
	
	<!--  ----------------------------------------------  I/O BAY 4 EXTERNAL PORTS  ---------------------------------------------- -->	
	<%
	if(switchMap.get("4") != null)
	{
		// Show ports label if we have at least one switch 
	%>
	<TD valign=top align="center" width="190px">
	<%
		MFSASSwitch currentSwitch = (MFSASSwitch) switchMap.get("4");
		
		MFSASPort[] ports = currentSwitch.getExternalPorts();
		
		ArrayList selectAllIDList = new ArrayList();
		
		// Setting up the list for the select all button
		for(int portIndex = 0; portIndex < ports.length; portIndex++)
		{
			selectAllIDList.add("'" + ports[portIndex].getPortID() + "'");
		}
	%>
	
	<FIELDSET>
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_IOBay4}" id="ioBay4_outputFormat"></h:outputFormat>
		<INPUT type="button" class="dmc_commandExButton"  onClick="selectAll(<%= selectAllIDList.toString() %>)" value="<%= bundle.getString("ManageFabric_SelectAll") %>"/>
	</LEGEND>
	
	<TABLE cellspacing="3" border="0">
		<TBODY>
			<%
			// Table of external ports
			for(int portIndex = 0; portIndex < ports.length; portIndex++)
			{
				String portID = ports[portIndex].getPortID();
			%>
			<TR>
				<TD id="<%= portID %>" class="unmappedStorage">
					<!-- The table for one port -->
					<TABLE>
						<TBODY>
							<TR>
							
								<!-- External Port label -->
								<TD align="center">
									<SPAN class="dmc_outputText" id="span<%= portID %>_4"><%= portIndex + 1 %></SPAN>
								</TD>
								<!-- External Port icon -->
									
								<TD align="center">
									<IMG onClick="changeMapping('<%= portID %>')" border="0" src="<%= externalPortImage %>" style="vertical-align: bottom;" onLoad="loadImgTitle(this,'<%= portID %>')"/>
								</TD>
							
								<!--  External Port mappings -->
								<TD  align="center">
									<TABLE cellspacing="0" cellpadding="0" border="1">
										<TBODY>
											<TR>

												<TD><IMG id="<%= portID %>0" onClick="toggleMapping(0, '<%= portID %>')" onLoad="loadMapTitle(0, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>1" onClick="toggleMapping(1, '<%= portID %>')" onLoad="loadMapTitle(1, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>2" onClick="toggleMapping(2, '<%= portID %>')" onLoad="loadMapTitle(2, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>3" onClick="toggleMapping(3, '<%= portID %>')" onLoad="loadMapTitle(3, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>4" onClick="toggleMapping(4, '<%= portID %>')" onLoad="loadMapTitle(4, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

												<TD><IMG id="<%= portID %>5" onClick="toggleMapping(5, '<%= portID %>')" onLoad="loadMapTitle(5, '<%= portID %>');" border="0" src="<%= emptyBlock %>" /></TD>

											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	</TD>	
	<%
	}
	%>
	
	</TR>
	</TBODY>
	</TABLE>
	<!-- hidden place for mapping component title -->
	<h:form id="myForm">
		<h:outputText id="ManageFabric_BladeBay_Title" value="#{bundle.ManageFabric_BladeBay_Title}" style="display:none"></h:outputText>
		<h:outputText id="ManageFabric_ExternalPort_Title" value="#{bundle.ManageFabric_ExternalPort_Title}" style="display:none"></h:outputText>
		<h:outputText id="ManageFabric_IOBay_Title" value="#{bundle.ManageFabric_IOBay_Title}" style="display:none"></h:outputText>
		<h:outputText id="ManageFabric_RAIDSubsystem_Title" value="#{bundle.ManageFabric_RAIDSubsystem_Title}" style="display:none"></h:outputText>
		<h:outputText id="ManageFabric_ExternalPort_Label" value="#{bundle.ManageFabric_ExternalPort_Label}" style="display:none"></h:outputText>
	</h:form>
	<!-- Setting the initial mappings -->
	<SCRIPT>
	init();
	<%
	Map mappings = mfb.getPortMappings();
	Object[] keys = mappings.keySet().toArray();
	
	for(int x = 0; x < keys.length; x++)
	{
		// Make sure to proceed only for blade port IDs
		if(bladeIndexMap.get(keys[x]) == null)
			continue;
				
		String[] mappedPorts = (String[]) mappings.get(keys[x]);
		 
		for(int y = 0; y < mappedPorts.length; y++)
		{
		%>
			map(<%= bladeIndexMap.get(keys[x]) %>, '<%= mappedPorts[y] %>');
		<%
		}
	}
	%>
	</SCRIPT>
	</BODY>
</f:view>
</HTML>
