<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/RestoreAllConfigurations.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter,com.ibm.scm.gui.rbce.nls.GWMSBL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/HeaderPortlet.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" import="pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/css/dmcsbstyle.css")%>" title="Style">
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/css/dmcsbtables.css")%>" title="Style">
<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/rbce/common/common.js")%>"></SCRIPT>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>RestoreAllConfigurations.jsp</TITLE>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabricBean mfb = (ManageFabricBean) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.MANAGE_FABRIC_BEAN);
RestoreAllConfigurations rac = (RestoreAllConfigurations) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.RESTORE_CONFIGURATION_PAGE_CODE);
%>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector_ID">
		
	<!--<h:outputFormat id="title" styleClass="dmc_outputTextTitle" value="#{bundle.ManageFabric_RestoreAllConfigurationsTitle}"></h:outputFormat>--> 
	<BR/>
	<h:outputFormat id="instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreAllConfigurationsInstructions}"></h:outputFormat>
	<HR/>
	
	<h:outputFormat id="ManageFabric_Confirm_ID" styleClass="dmc_outputTextTitle" value="#{bundle.ManageFabric_Confirm}"></h:outputFormat>
	
	<BR/>
	<BR/>
	
	<h:form id="form1">
	<jsp:include page="/page/rbce/common/InnerMessages.jsp"></jsp:include>
	<h:outputFormat id="ManageFabric_RestoreAllInstructions_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreAllInstructions}">
		<f:param name="0" value="#{pc_RestoreAllConfigurations.selectedSwitchName}"></f:param>
		<f:param name="0" value="#{pc_RestoreAllConfigurations.filePath}"></f:param>
	</h:outputFormat>
	
	<BR/>
	<BR/>
	
	<h:outputFormat id="ManageFabric_ConfigurationsOnSwitch_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationsOnSwitch}">
		<f:param name="0" value="#{pc_RestoreAllConfigurations.selectedSwitchName}"></f:param>
	</h:outputFormat>
	
	<TABLE class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="500px"
	summary="<%=MessageFormatter.formatLabel(GWMSBL.Table_Summary_SAS_Restore_All_Device_Configurations,null)%>">
	<thead>
		<TR class="rbceTableHeaderRow">
			<TD class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0"><h:outputFormat id="ManageFabric_ConfigurationStore_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TD>
			<TD class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0" width="300px"><h:outputFormat id="ManageFabric_Nickname_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TD>
		</TR>
	</thead>
	<tbody>
	<%
	// Restored configurations
	MFZoneConfiguration[] configurations = mfb.getSwtich(rac.getSelectedSwitchID()).getNonCannedZoneDescriptors();
	
	for(int x = 0; x < configurations.length; x++)
	{	
	%>
			<TR>
				<TD class="rbceTableRow"><SPAN class="dmc_outputText"><%= configurations[x].getIndex() %></SPAN></TD>
				<TD class="rbceTableRow"><SPAN class="dmc_outputText"><%= configurations[x].getName() %></SPAN></TD>
			</TR>
	<%
	} 
	%>
	</tbody>
	</TABLE>
	
	<BR/>
	<BR/>
	
	
	<h:outputFormat id="ManageFabric_ConfigurationsInFile_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationsInFile}">
		<f:param name="0" value="#{pc_RestoreAllConfigurations.filePath}"></f:param>
	</h:outputFormat>
	
	<BR/>

	<TABLE class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="500px" summary="<%=MessageFormatter.formatLabel(GWMSBL.Table_Summary_SAS_Restore_All_Device_Configurations_From,null)%>">
	<thead>
			<TR class="rbceTableHeaderRow">
				<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0"><h:outputFormat id="ManageFabric_ConfigurationStore_ID2" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TH>
				<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0" width="300px"><h:outputFormat id="ManageFabric_Nickname_ID11" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TH>
			</TR>
	</thead>
	<tbody>
	<%
	// Restored configurations
	MFRestoredZoneConfiguration[] restored = mfb.getRestoredNonCannedZoneConfigurations(rac.getSelectedSwitchID());
	
	for(int x = 0; x < restored.length; x++)
	{	
	%>
			<TR>
				<TD class="rbceTableRow"><SPAN class="dmc_outputText"><%= restored[x].getIndex() %></SPAN></TD>
				<TD class="rbceTableRow"><SPAN class="dmc_outputText"><%= restored[x].getName() %></SPAN></TD>
			</TR>
	<%
	} 
	%>
	</tbody>
	</TABLE>
	
	<BR/>
	
	<hx:commandExButton id="backButton" styleClass="dmc_commandExButton" value="#{bundle.OK}" action="#{pc_RestoreAllConfigurations.ok}"></hx:commandExButton>
	
	<hx:commandExButton id="cancelButton" styleClass="dmc_commandExButton" value="#{bundle.Cancel}" action="#{pc_RestoreAllConfigurations.cancel}"></hx:commandExButton>
	
	<!-- Passing the selected switch ID in the request -->
	<INPUT type="hidden" name="selectedSwitchID" value="<%= request.getParameter("selectedSwitchID") %>"/>
	<INPUT type="hidden" name="filePath" value="<%= request.getParameter("filePath") %>"/>
	
	</h:form>
	
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
