<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/RestoreOneConfiguration.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter,com.ibm.scm.gui.rbce.nls.GWMSBL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/HeaderPortlet.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" import="pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*, java.util.*"%>
	
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/css/dmcsbstyle.css")%>" title="Style">
<LINK rel="stylesheet" type="text/css" href="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/css/dmcsbtables.css")%>" title="Style">

<TITLE>RestoreOneConfiguration.jsp</TITLE>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<SCRIPT type="text/javascript" src="<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/rbce/fabric/RestoreOneConfiguration.js")%>"></SCRIPT>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabricBean mfb = (ManageFabricBean) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.MANAGE_FABRIC_BEAN);
RestoreOneConfiguration roc = (RestoreOneConfiguration) com.ibm.scm.gui.ifs.session.util.FacesUtil.getFacesManagedBean(pagecode.ManagedBean.RESTORE_SINGLE_CONFIGURATION_PAGE_CODE);
%>
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="scriptCollector_ID">
	
	<!--<h:outputFormat id="title" styleClass="dmc_outputTextTitle" value="#{bundle.ManageFabric_RestoreConfigurationTitle}"></h:outputFormat>--> 
	<BR/>
	<h:outputFormat id="instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreConfigurationInstructions}"></h:outputFormat>
	<HR/>

	<h:form id="form1">
	
 	<h:outputFormat id="ManageFabric_Step3_ID" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_Step3}"></h:outputFormat>

	
	<BR/>
	<h:outputFormat id="ManageFabric_SelectSwitchIndex_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SelectSwitchIndex}">
		<f:param name="0" value="#{pc_RestoreOneConfiguration.filePath}"></f:param>
	</h:outputFormat>
	
	<BR/>
	<BR/>
	
	<TABLE class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="500px"
	summary="<%=MessageFormatter.formatLabel(GWMSBL.Table_Summary_SAS_Restore_One_Archived_Configurations,null)%>">
	<thead>
		<TR class="rbceTableHeaderRow">
			<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0"><h:outputFormat id="ManageFabric_Select_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat></TH>
			<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0"><h:outputFormat id="ManageFabric_ConfigurationStore_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TH>
			<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0" width="300px"><h:outputFormat id="ManageFabric_Nickname_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TH>
		</TR>
	</thead>
	<tbody>
	<%
	// Restored configurations
	MFRestoredZoneConfiguration[] restored = mfb.getRestoredNonCannedZoneConfigurations(roc.getSelectedSwitchID());
	
	for(int x = 0; x < restored.length; x++)
	{	
	%>
			<TR>
				<TD align="center" class="rbceTableRow"> <INPUT onclick="updateFinish()" type="radio" name="restoredIndex" id="restoredIndex_<%=x%>" value="<%= restored[x].getIndex() %>"/> </TD>
				<TD class="rbceTableRow"><SPAN class="dmc_outputText"><%= restored[x].getIndex() %></SPAN></TD>
				<TD class="rbceTableRow"><label for="restoredIndex_<%=x%>"><SPAN class="dmc_outputText"><%= restored[x].getName() %></SPAN></label></TD>
			</TR>
	<%
	} 
	%>
	</tbody>
	</TABLE>
	
	<BR/>
	<BR/>
	
	<h:outputFormat id="ManageFabric_Step4_ID" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_Step4}"></h:outputFormat>
	
	<BR/>

	<h:outputFormat id="ManageFabric_SelectConfigurationStore_ID" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SelectConfigurationStore}">
		<f:param name="0" value="#{pc_RestoreOneConfiguration.selectedSwitchName}"></f:param>
	</h:outputFormat>
	<BR/>
	<BR/>
	
	<TABLE class="dmc_domain_dataTable dmc_outputText" cellspacing="0" cellpadding="0" width="500px" summary="<%=MessageFormatter.formatLabel(GWMSBL.Table_Summary_SAS_Restore_One_Archived_Configurations_Save_To,null)%>">
	<thead>
		<TR class="rbceTableHeaderRow">
			<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0"><h:outputFormat id="ManageFabric_Select_ID11" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat></TH>
			<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0"><h:outputFormat id="ManageFabric_ConfigurationStore_ID11" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TH>
			<TH class="dmc_outputTextB" style="border-right: 1px solid #C0C0C0" width="300px"><h:outputFormat id="ManageFabric_Nickname_ID11" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TH>
		</TR>
	</thead>
	<tbody>
	<%
	// Restored configurations
	MFZoneConfiguration[] configurations = mfb.getSwtich(roc.getSelectedSwitchID()).getNonCannedZoneDescriptors();
	
	for(int x = 0; x < configurations.length; x++)
	{	
	%>
			<TR>
				<TD align="center" class="rbceTableRow"> <INPUT onclick="updateFinish()" type="radio" name="switchIndex" id="switchIndex_<%=x%>" value="<%= configurations[x].getIndex() %>"/> </TD>
				<TD class="rbceTableRow"><SPAN class="dmc_outputText"><%= configurations[x].getIndex() %></SPAN></TD>
				<TD class="rbceTableRow"><label for="switchIndex_<%=x%>"><SPAN class="dmc_outputText"><%= configurations[x].getName() %></SPAN></label></TD>
			</TR>
	<%
	} 
	%>
	</tbody>
	</TABLE>
	
	<BR/>
	
	<hx:commandExButton id="backButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Back}" action="#{pc_RestoreOneConfiguration.back}"></hx:commandExButton>
	
	<hx:commandExButton id="finishButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Finish}" action="#{pc_RestoreOneConfiguration.finish}"></hx:commandExButton>
	
	<hx:commandExButton id="cancelButton" styleClass="dmc_commandExButton" value="#{bundle.Cancel}" action="#{pc_RestoreOneConfiguration.cancel}"></hx:commandExButton>
	
	<!-- Passing the selected switch ID in the request -->
	<INPUT type="hidden" name="selectedSwitchID" value="<%= request.getParameter("selectedSwitchID") %>">
	
	<!-- Also pass the restore type, in case back is clicked -->
	<INPUT type="hidden" name="restoreType" value="<%= request.getParameter("restoreType") %>"/>
	
	</h:form>

	</hx:scriptCollector>
	</BODY>
</f:view>
<script type="text/javascript">
updateFinish();
</script>
</HTML>
