<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/physical/ControllerInformationFrame.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter,com.ibm.scm.gui.rbce.nls.GWMSBL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="com.ibm.scm.gui.rbce.beans.physical.*, javax.faces.context.FacesContext, pagecode.page.rbce.physical.*"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />

<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/tabpanel.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/PhysicalResources.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/AlertsMenu.css" title="Style" />

<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/physical/PhysicalResources.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/physical/AlertsMenu.js"></SCRIPT>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>ControllerInformationFrame.jsp</TITLE>
</HEAD>
<f:view>
	<BODY onLoad="initializeMenu();registerEventHandler('click',document.body,bodyClicked,false);">
		<hx:scriptCollector id="scriptCollector">
		<h:form id="mainForm" onsubmit="parent.startInformationAreaWait()">
		
		<%
		FacesContext fc = FacesContext.getCurrentInstance();
		
		ControllerInformationFrame bif = (ControllerInformationFrame) fc.getApplication().createValueBinding("#{pc_ControllerInformationFrame}").getValue(fc);				
	
		PhysicalControllerBean component = bif.getComponent();
		
		PhysicalAlertBean[] alerts = component.getAlerts();		
		%>
		
		<odc:tabbedPanel 
			styleClass="scm_tabbedPanel" 
			width="382"
			height="215"
			variableTabLength="false"
			showBackNextButton="false"
			showTabs="true" 
			slantActiveRight="4" 
			slantActiveLeft="4"
			slantInactiveRight="4" 
			slantInactiveLeft="4"
			id="informationTabbedPanel">
			
			<!-- --------------------------------------------------- PROPERTIES TAB -------------------------------------------------------------------------- -->
					
			<odc:bfPanel id="propertiesTab" name="#{bundle.Properties}" showFinishCancelButton="false">
				<TABLE width="100%" style="margin-bottom: 5px">
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="logicalIdentifierLabel" styleClass="dmc_outputText" value="#{bundle.Physical_LogicalIdentifier}"></h:outputText>
							<SPAN class="dmc_outputText"> <%= component.getLogicalIdentifier() %> </SPAN>
						</TD>
						<TD align="right" style="white-space: nowrap;">
							<A href="javascript:{openHelpDialog('Controllers');}"><IMG src="<%=path%>/images/alert/title_help.gif" border="0" alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Help, null)%>"/></A>
						</TD>
					</TR>
				</TABLE>
				
				<TABLE width="100%">
					<TR>
						<TD align="left">
							<h:outputText id="statusLabel" styleClass="dmc_outputText" value="#{bundle.Physical_Status}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<IMG src="<%= component.getLogicalStatusImage() %>" alt="" /> <SPAN class="dmc_outputText"> <%= component.getLogicalStatusText() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="ipAddressLabel" styleClass="dmc_outputText" value="#{bundle.Physical_IPAddress}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getIpAddress() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="macAddressLabel" styleClass="dmc_outputText" value="#{bundle.Physical_MACAddress}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getMacAddress() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
						<h:outputText id="sasAddressLabel" styleClass="dmc_outputText" value="#{bundle.Agent_Target_SASAddress}"></h:outputText>
					</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getSasAddress() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="sasPortSpeedLabel" styleClass="dmc_outputText" value="#{bundle.RAIDController_SASPortSpeed}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN id="sasPortSpeedUnit" class="dmc_outputText"><%= MessageFormatter.formatLabel(GWMSBL.RAIDController_Gbps, new Object[]{component.getSasPortSpeed()})%></SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="physicalLocationLabel" styleClass="dmc_outputText" value="#{bundle.Physical_PhysicalLocation}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="chassisIdentifierLabel" styleClass="dmc_outputText" value="#{bundle.Physical_ChassisIdentifier}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getChassisIdentifier() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="ChassisMTM" styleClass="dmc_outputText" value="#{bundle.ChassisMTM}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getChassisMTM() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="ChassisSN" styleClass="dmc_outputText" value="#{bundle.ChassisSN}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getChassisSN() %> </SPAN>
						</TD>
					</TR>					
					<TR>
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="ioBayLabel" styleClass="dmc_outputText" value="#{bundle.Physical_IOBay}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getSlot() %> </SPAN>
						</TD>
					</TR>
					<!-- temperature is degreed in RSSM R1 -->
					<TR style="display:none">
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="currentTemperatureLabel" styleClass="dmc_outputText" value="#{bundle.Physical_CurrentTemperature}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getCurrentTemperature() %> </SPAN>
						</TD>
					</TR>
					<!-- Remove voltage field according to CQ10567 -->
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="currentDateAndTimeLabel" styleClass="dmc_outputText" value="#{bundle.Physical_CurrentDateTime}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getCurrentDateAndTime() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="controllerFirmwareLevelLabel" styleClass="dmc_outputText" value="#{bundle.Physical_ControllerFirmwareLevel}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getControllerFirmwareLevel() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="bmcFirmwareLevelLabel" styleClass="dmc_outputText" value="#{bundle.Physical_BMCFirmwareLevel}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getBmcFirmwareLevel() %> </SPAN>
						</TD>
					</TR>
					<!-- Memory module information is not required CMVC 12802-->
					<TR style="display:none">
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="memoryModuleLabel" styleClass="dmc_outputText" value="#{bundle.Physical_MemoryModule}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							&nbsp;
						</TD>
					</TR>
					<TR style="display:none">
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="memoryModulePartNumberLabel" styleClass="dmc_outputText" value="#{bundle.Physical_PartNumber}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getMemoryModulePartNumber() %> </SPAN>
						</TD>
					</TR>
					<TR style="display:none">
						<TD align="left" style="white-space: nowrap;" class="indentedCell">
							<h:outputText id="memoryModuleSerialNumberLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SerialNumber}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getMemoryModuleSerialNumber() %> </SPAN>
						</TD>
					</TR>
					<TR style="display:none">
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="typeLabel" styleClass="dmc_outputText" value="#{bundle.Physical_MachineType}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getType() %> </SPAN>
						</TD>
					</TR>
					<TR style="display:none">
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="modelLabel" styleClass="dmc_outputText" value="#{bundle.Physical_MachineModel}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getModel() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="partNumberLabel" styleClass="dmc_outputText" value="#{bundle.Physical_PartNumber}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getPartNumber() %> </SPAN>
						</TD>
					</TR>
					<TR>
						<TD align="left" style="white-space: nowrap;">
							<h:outputText id="serialNumberLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SerialNumber}"></h:outputText>
						</TD>
						<TD align="left" style="white-space: nowrap;">
							<SPAN class="dmc_outputText"> <%= component.getSerialNumber() %> </SPAN>
						</TD>
					</TR>
				</TABLE>
									
			</odc:bfPanel>
			
			<!-- --------------------------------------------------- ALERTS TAB -------------------------------------------------------------------------- -->
									
			<odc:bfPanel id="alertsTab" name="#{bundle.Physical_Properties_Alerts_Tab}" showFinishCancelButton="false">
			
				<TABLE width="100%" style="margin-bottom: 5px">
					<TR>
						<TD align="left">
							<h:outputText id="logicalIdentifierLabel_alerts" styleClass="dmc_outputText" value="#{bundle.Physical_LogicalIdentifier}"></h:outputText>
							<SPAN class="dmc_outputText"> <%= component.getLogicalIdentifier() %> </SPAN>
						</TD>
						<TD align="right">
							<A href="javascript:{openHelpDialog('Controllers');}"><IMG src="<%=path%>/images/alert/title_help.gif" border="0" alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Help, null)%>"/></A>
						</TD>
					</TR>
				</TABLE>
				
				<%
				if(component.getAlerts().length == 0)
				{
				%>
					<!-- In a table for consistant spacing with the logical identifier label -->
					<TABLE>
						<TR>
							<TD>
								<h:outputText id="noAlertsMessage" value="#{bundle.Physical_NoAlerts}" styleClass="dmc_outputText"></h:outputText>
							</TD>
						</TR>
					</TABLE>
				<%
				}
				else
				{
				%>
				
				<hx:jspPanel id="alertsPanel">
					
					<!-- Table to make sure that the label and the drop down appear in the same row -->
					<TABLE>
					<TR>
					<TD>					
					
					<h:outputText id="alertNumberLabel" value="#{bundle.Physical_ViewAlert}" styleClass="dmc_outputText"></h:outputText>
					
					</TD>
					<TD>
					<div role="application">
					<label id="comboboxDivLabel" for="comboboxDiv" style="display:none">
						<h:outputFormat id="comboboxDivLabelContent" styleClass="dmc_outputText"
							value="#{bundle.Physical_ViewAlertLabel}">
							<f:param name="0" value="#{pc_ControllerInformationFrame.component.alerts[0].statusText}"></f:param>
							<f:param name="1" value="#{pc_ControllerInformationFrame.component.alerts[0].alertCode}"></f:param>
						</h:outputFormat>
					</label>
					<div id="comboboxDiv" role="combobox" tabindex="0" aria-owns="menuDiv" onkeydown="focusCombo(event,'menuDiv','comboboxDiv');" onclick="arrowClicked(event);">
					<TABLE id="menuHeaderTable" class="menuHeaderTable" cellspacing="0" cellpadding="0">
						<TR>
							<TD id="menuHeaderTableValueCell">								
								<SPAN id="menuHeaderTableValueSpan"  role="textfield" aria-readonly="true" aria-haspopup="true"  class="dmc_outputText">
									<h:graphicImage id="initialImage" value="#{pc_ControllerInformationFrame.component.alerts[0].statusImage}" alt="#{pc_ControllerInformationFrame.component.alerts[0].statusText}" style="vertical-align: bottom;"></h:graphicImage> 
									<h:outputText id="initialAlertCode" value="#{pc_ControllerInformationFrame.component.alerts[0].alertCode}" styleClass="dmc_outputText"></h:outputText>
								</SPAN>
							</TD>
							<TD>
								<IMG id="arrowImage" role="button"  border="0" src="<%=path%>/images/common/tree/down_arrow.gif" alt="<%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Image_Expend, null)%>" style="display: block" />
							</TD>
						</TR>
					</TABLE>
					</div>
					</div>
					
					</TD>
					</TR>
					</TABLE>
					
					<DIV style="margin-bottom: 7px; margin-top: 7px">			
						<hx:commandExButton id="clearBtn" value="#{bundle.Physical_Clear}" styleClass="dmc_commandExButton" action="#{pc_ControllerInformationFrame.clearAlert}"></hx:commandExButton>
						<hx:commandExButton id="disLightPathBtn" style="display:none" value="#{bundle.Alert_Action_Mask}" styleClass="dmc_commandExButton" action="#{pc_ControllerInformationFrame.disableAlertLightpath}"></hx:commandExButton>
						<hx:commandExButton id="lightPathBtn" value="#{bundle.Alert_Action_Unmask}" styleClass="dmc_commandExButton" action="#{pc_ControllerInformationFrame.enableAlertLightpath}"></hx:commandExButton>
					</DIV>
					
					
					<DIV style="border: 1px solid #A2A2B2; background-color: #F1F2F7; width: 370px; height: 110px; overflow: auto; margin-left: 2px">

					<TABLE>
						<TR>
							<TD valign="top">
								<h:outputText id="alertCodeLabel" value="#{bundle.Physical_AlertCode}" styleClass="dmc_outputText"></h:outputText>
							</TD>
							<TD valign="top">
								<A href="javascript: {openHelpDialog('Controllers');}">	
									<h:outputText id="alertCode" value="#{pc_ControllerInformationFrame.component.alerts[0].alertCode}" styleClass="dmc_outputText"></h:outputText>
								</A>
							</TD>
						</TR>
						<TR>
							<TD valign="top">
								<h:outputText id="descriptionLabel" value="#{bundle.Physical_Description}" styleClass="dmc_outputText"></h:outputText>
							</TD>
							<TD valign="top">
								<h:outputText id="description" value="#{pc_ControllerInformationFrame.component.alerts[0].alertDescription}" styleClass="dmc_outputText"></h:outputText>
							</TD>
						</TR>
						<TR>
							<TD valign="top">
								<h:outputText id="timestampLabel" value="#{bundle.Physical_DateTime}" styleClass="dmc_outputText"></h:outputText>
							</TD>
							<TD valign="top">
								<h:outputText id="alertTimeStamp" value="#{pc_ControllerInformationFrame.component.alerts[0].timeStamp}" styleClass="dmc_outputText"></h:outputText>
							</TD>
						</TR>
						<TR>
							<TD colspan="2">
								<BR/>
								<h:outputText id="staticInstructions" value="#{bundle.Physical_AlertTabInstructions}" styleClass="dmc_outputText"></h:outputText>
							</TD>
						</TR>
					</TABLE>
					
					</DIV>
					
				</hx:jspPanel>
				
				<%
				}
				%>
												
			</odc:bfPanel>
			
			<f:facet name="back">
				<hx:commandExButton type="submit" value="Back" id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
			</f:facet>
			<f:facet name="next">
				<hx:commandExButton type="submit" value="Next" id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
			</f:facet>
			<f:facet name="finish">
				<hx:commandExButton type="submit" value="Finish" id="tabbedPanel1_finish" style="display:none"></hx:commandExButton>
			</f:facet>
			<f:facet name="cancel">
				<hx:commandExButton type="submit" value="Cancel" id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
			</f:facet>
			
		</odc:tabbedPanel>
		
		<%
		if(alerts != null && alerts.length > 0)
		{
		%>
		
		<!-- ----------------------------------------------------- ALERT DATA ----------------------------------------------------------------------------- -->
		<SCRIPT>
		<%
		for(int alertIndex = 0; alertIndex < alerts.length; alertIndex++)
		{
		%>
		alert<%= alertIndex %> = ["<%= alerts[alertIndex].getId() %>", "<%= alerts[alertIndex].getStatusImage() %>", "<%= alerts[alertIndex].getStatusText() %>", "<%= alerts[alertIndex].getTimeStamp() %>", "<%= alerts[alertIndex].getAlertCode() %>", "<%= alerts[alertIndex].getAlertDescription() %>", "<%= alerts[alertIndex].getAlertInstructions() %>", "<%= alerts[alertIndex].getGuiAlertType() %>","<%= alerts[alertIndex].isMasked() %>"]; 
		<%
		}
		%>
		</SCRIPT>
		
		<!-- ----------------------------------------------------- MENU ----------------------------------------------------------------------------- -->		
		<div role="application">
					<DIV id="menuDiv" role="list" onkeydown="doComboNav(event,'menuDiv','comboboxDiv','menuHeaderTableValueSpan');" style="background-color: white; border: 1px black solid; visibility: hidden; position: absolute; z-index: 1000;">
						<TABLE role="presentation" id="menuTable" cellspacing="0">		
						<%
						for(int alertIndex = 0; alertIndex < alerts.length; alertIndex++)
						{
						%>
							<TR>
								<TD valign="middle">
								<div tabindex="-1" class="unselectedMenuItem" role="listitem" onMouseOver="menuItemOnMouseOver(this)" onMouseOut="menuItemOnMouseOut(this)" onClick="menuItemOnMouseClick(this, <%= alertIndex %>)"><SPAN class="dmc_outputText"><IMG style="vertical-align: middle" border="0" src="<%= alerts[alertIndex].getStatusImage() %>" alt="<%= alerts[alertIndex].getStatusText() %>" /> <%= alerts[alertIndex].getAlertCode() %></SPAN></div>
								</TD>
							</TR>
						<%
						}
						%>
						</TABLE>
					</DIV>
		</div>
		<!-- ----------------------------------------------------- HIDDEN REQUEST PARAMETER ----------------------------------------------------------------------------- -->
		<INPUT type="hidden" id="selectedAlertId" name="selectedAlertId" value="<%= alerts[0].getId() %>"/>
		<%
		}
		%>
		<INPUT type="hidden" name="id" value="<%= component.getId() %>"/>
		<span id="comboBoxLabelHiddenMsg" style="display:none"><%=MessageFormatter.formatLabel(GWMSBL.Physical_ViewAlertLabel, new Object[]{"ALERT_STATUS_TEXT","ALERT_CODE"})%></span>
		</h:form>
		</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
