<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/physical/PhysicalResources.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter, com.ibm.scm.gui.rbce.nls.GWMSBL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="com.ibm.scm.gui.rbce.beans.physical.*, javax.faces.context.FacesContext"%>

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />

<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />

<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/physical/PhysicalResources.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/physical/PhysicalLocate.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/stylesheet.css" title="Style" />

<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/PhysicalResources.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/page/rbce/physical/notebookTabbedPanel.css" title="Style" />

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<TITLE>PhysicalResources.jsp</TITLE>
</HEAD>
<f:view>
	<BODY onLoad="stopShellLoading();overlapTables();checkAndDisabledResourceTab();initErrorMessage();innerMessagesInstance.registerEventHandler(innerMessagesInstance.EVENTS.close,function(){overlapTables();stopInformationAreaWait()});">
	<hx:scriptCollector id="scriptCollector" preRender="#{pc_PhysicalResources.onPageLoadBegin}">
	<jsp:include page="/page/rbce/common/InnMessages.jsp">
							<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="PhysicalResourcesShell" />
						</jsp:include>
			<TABLE width="100%" cellspacing="0" cellpadding="0">
				<TBODY>
					<TR>
						<TD valign="top">
							<!--<h:outputFormat id="pageTitle" styleClass="dmc_outputTextTitle" value="#{bundle.Physical_PhysicalView}"></h:outputFormat>--></TD>
						<TD align="right">
							<h:form id="currentDeviceForm">
							<hx:jspPanel id="panel_menu1">
								<h:outputLabel for="menu1" styleClass="dmc_outputText" id="label_menu1">
									<h:outputText id="currentDeviceLabel1" styleClass="dmc_outputText" value="#{bundle.Current_Device}"></h:outputText>
								</h:outputLabel>
								
								<h:selectOneMenu styleClass="dmc_selectOneMenu" id="menu1" valueChangeListener="#{pc_PhysicalResourcesShell.physicalResourcePageBean.changeCurrentChassis}" onchange="this.form.submit()" value="#{pc_PhysicalResourcesShell.physicalResourcePageBean.currentDeviceIdentifier}">
									<f:selectItems value="#{pc_PhysicalResourcesShell.physicalResourcePageBean.chassisItems}" />
								</h:selectOneMenu>
							</hx:jspPanel>
								<BR/>
							</h:form>
							
							<h:outputText styleClass="dmc_outputText" id="manageFabricLastRefresh" value="#{bundle.Last_Refresh}"></h:outputText>
							<h:outputText styleClass="dmc_outputText" id="lastRefreshTimestamp" value="#{bundle.Refreshing_Data}"></h:outputText>
							<h:inputHidden id="hiddenNLSRefreshingData" value="#{bundle.Refreshing_Data}"></h:inputHidden>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			
			<HR/>
	<h:form id="mainForm" target="_parent">
	
	<INPUT type="hidden" name="currentSelectedComponentId" id="currentSelectedComponentId"/>
	
	<%
	FacesContext fc = FacesContext.getCurrentInstance();
						
	PhysicalResourcePageBean prpb = (PhysicalResourcePageBean) fc.getApplication().createValueBinding("#{physicalResourcePageBean}").getValue(fc);				
	
	PhysicalDiskBean[] disks = prpb.getDisks();
	
	PhysicalStorageModuleBean[] storageModules = prpb.getStorageModules();
	PhysicalStorageModuleBean storageModule1 = prpb.getStorageModule(1);
	PhysicalStorageModuleBean storageModule2 = prpb.getStorageModule(2);
	
	PhysicalBBUBean[] batteries = prpb.getBatteries();
	PhysicalBBUBean bbu1 = prpb.getBattery(1);
	PhysicalBBUBean bbu2 = prpb.getBattery(2);
	
	PhysicalSwitchBean[] switches = prpb.getSwitches();
	PhysicalSwitchBean switch3 = prpb.getSwitch(3);
	PhysicalSwitchBean switch4 = prpb.getSwitch(4);
	
	PhysicalControllerBean[] controllers = prpb.getControllers();
	PhysicalControllerBean controller3 = prpb.getController(3);
	PhysicalControllerBean controller4 = prpb.getController(4);
	%>
	
	<!-- --------------------------------------------- HIDDEN BUTTONS -------------------------------------------- -->
	<hx:commandExButton style="display: none" id="switchMenuSASZoningLinkButton" action="#{pc_PhysicalResources.sasZoning}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="switchMenuSASPortsLinkButton" action="#{pc_PhysicalResources.sasPorts}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="switchMenuSetDateAndTimeLinkButton" action="#{pc_PhysicalResources.setSwitchDateAndTime}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="switchMenuAuditLogLinkButton" action="#{pc_PhysicalResources.auditLog}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="switchMenuUpdateFirmwareLinkButton" action="#{pc_PhysicalResources.updateFirmware}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="switchMenuDeviceLogLinkButton" action="#{pc_PhysicalResources.deviceLog}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="switchMenuErrorCountersLinkButton" action="#{pc_PhysicalResources.errorCounters}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="switchMenuUsersLinkButton" action="#{pc_PhysicalResources.users}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="controllerMenuStorageLinkButton" action="#{pc_PhysicalResources.storage}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="controllerMenuSetDateAndTimeLinkButton" action="#{pc_PhysicalResources.setControllerDateAndTime}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="controllerMenuAuditLogLinkButton" action="#{pc_PhysicalResources.auditLog}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="controllerMenuUpdateFirmwareLinkButton" action="#{pc_PhysicalResources.updateFirmware}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="controllerMenuDeviceLogLinkButton" action="#{pc_PhysicalResources.deviceLog}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="controllerMenuUsersLinkButton" action="#{pc_PhysicalResources.users}"></hx:commandExButton>
	<hx:commandExButton style="display: none" id="controllerMenuShutdownAndRecoverLinkButton" action="#{pc_PhysicalResources.shutdownAndRecover}"></hx:commandExButton>
	
	<TABLE cellspacing="0" cellpadding="0" border="0" width="768px">
	<TR>
	<TD width="402px" align="right">
	
	<!-- --------------------------------------------- ACTION MENUs -------------------------------------------- -->
	<DIV id="defaultMenuDIV" style="margin-bottom: 5px; width: 243px">  
	 	<h:panelGrid  styleClass="menuHeaderTable" id="defaultMenuHeader"  width="243px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
	    	<h:outputText id="selectResourceId" styleClass="dmc_outputText" value="#{bundle.Physical_SelectAResource}"></h:outputText>
	        <h:graphicImage id="downImage1" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow_disabled.gif"></h:graphicImage>
		</h:panelGrid>
	</DIV>
	
	<DIV id="loadingMenuDIV" style="display: none; margin-bottom: 5px; width: 243px">  
	 	<h:panelGrid  styleClass="menuHeaderTable" id="loadingMenuHeader"  width="243px" columns="2"  cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
	    	<h:outputText  id="loadingIndicator1" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
	        <h:graphicImage id="downImage22" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow_disabled.gif"></h:graphicImage>
		</h:panelGrid>  
	</DIV>
	
	<!-- --------------------------------------------------- DRIVES MENU -------------------------------------------------------------------------- -->
	<DIV id="diskMenuDIV" style="display: none; margin-bottom: 5px; width: 243px">  	
		<hx:panelMenu id="diskMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
	        <f:facet name="header">
	            <h:panelGrid  styleClass="menuHeaderTable" id="diskMenuHeaderTable" width="243px" columns="2" cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
	            	<h:outputText id="diskMenuHeaderTableLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SelectADiskAction}"></h:outputText>
	            	<h:graphicImage id="diskMenuHeaderTableArrow" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
	            </h:panelGrid>
	        </f:facet>
	        
	        <hx:panelMenu id="diskConfigurationMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
		        <f:facet name="header">
		        	<h:panelGrid id="diskConfigurationGrid" width="240px" columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
			        	<h:outputText id="diskMenuConfigurationLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Configuration}">
						</h:outputText>
						
						<h:graphicImage id="diskConfigurationArrow" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
					</h:panelGrid>		
		        </f:facet>
		        
		        <hx:requestLink id="diskMenuGlobalHotSpareLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_AssignAsGlobalHotSpare}">
				</hx:requestLink>
				
				<hx:requestLink id="diskMenuGlobalHotSpareLink_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_AssignAsGlobalHotSpare}" onclick="return false;">
				</hx:requestLink>

				<hx:requestLink id="diskMenuUnassignGlobalHotSpareLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_UnassignAsGlobalHotSpare}">
				</hx:requestLink>
				
				<hx:requestLink id="diskMenuUnassignGlobalHotSpareLink_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_UnassignAsGlobalHotSpare}" onclick="return false;">
				</hx:requestLink>

				<hx:requestLink id="diskMenuCopyBackLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Copyback_To_Replacement_Drive}">
				</hx:requestLink>
				
				<hx:requestLink id="diskMenuCopyBackLink_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Copyback_To_Replacement_Drive}" onclick="return false;">
				</hx:requestLink>
	        	
	        	<hx:requestLink id="diskMenuAssimilateLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_AssimilateDriveTitle}">
	        	</hx:requestLink>
	        	
	        	<hx:requestLink id="diskMenuAssimilateLink_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_AssimilateDriveTitle}" onclick="return false;">
	        	</hx:requestLink>
	        </hx:panelMenu>
			
			<hx:panelMenu id="diskServiceMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
		        <f:facet name="header">
		        	<h:panelGrid id="diskServiceGrid" width="240px" columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
			        	<h:outputText id="diskMenuServiceLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Service}">
						</h:outputText>
						
						<h:graphicImage id="diskServiceArrow" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
					</h:panelGrid>	
		        </f:facet>
		        
		        <hx:requestLink id="diskMenuLocateLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_LocateHardware}">
				</hx:requestLink>
				<hx:requestLink id="diskMenu_Prepare_For_Replacement_Link" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Prepare_For_Replacement}" onclick="return PrepareReplacementFor(PHYSICAL_TYPE_DISK)">
				</hx:requestLink>
				<hx:requestLink id="diskMenu_Prepare_For_Replacement_Link_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Prepare_For_Replacement}" onclick="return false;">
				</hx:requestLink>
				
				<hx:requestLink id="diskMenu_Bring_On_Link" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Bring_Online}" onclick="return BringOnlineFor(PHYSICAL_TYPE_DISK)">
				</hx:requestLink>
				<hx:requestLink id="diskMenu_Bring_On_Link_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Bring_Online}" onclick="return false;">
				</hx:requestLink>

	        </hx:panelMenu>
		</hx:panelMenu>
	</DIV>
	
	<!-- --------------------------------------------------- BBU MENU -------------------------------------------------------------------------- -->
	<DIV id="bbuMenuDIV" style="display: none; margin-bottom: 5px; width: 243px">  	
		<hx:panelMenu id="bbuMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
	        <f:facet name="header">
	            <h:panelGrid  styleClass="menuHeaderTable" id="bbuMenuHeaderTable" width="243px" columns="2" cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
	            	<h:outputText id="bbuMenuHeaderTableLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SelectABBUAction}"></h:outputText>
	            	<h:graphicImage id="bbuMenuHeaderTableArrow" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
	            </h:panelGrid>
	        </f:facet>
			
			<hx:requestLink id="bbuMenuLocateLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_LocateHardware}">
			</hx:requestLink>
				<hx:requestLink id="bbuMenu_Prepare_For_Replacement_Link" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Prepare_For_Replacement}" onclick="return PrepareReplacementFor(PHYSICAL_TYPE_BBU)">
				</hx:requestLink>
				<hx:requestLink id="bbuMenu_Prepare_For_Replacement_Link_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Prepare_For_Replacement}" onclick="return false;">
				</hx:requestLink>
				
				<hx:requestLink id="bbuMenu_Bring_On_Link" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Bring_Online}" onclick="return BringOnlineFor(PHYSICAL_TYPE_BBU)">
				</hx:requestLink>
				<hx:requestLink id="bbuMenu_Bring_On_Link_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Bring_Online}" onclick="return false;">
				</hx:requestLink>
			
		</hx:panelMenu>
	</DIV>
	
	<!-- --------------------------------------------------- SWITCH MENU -------------------------------------------------------------------------- -->
	<DIV id="switchMenuDIV" style="display: none; margin-bottom: 5px; width: 243px">  	
		<hx:panelMenu id="switchMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
	        <f:facet name="header">
	            <h:panelGrid  styleClass="menuHeaderTable" id="switchMenuHeaderTable" width="243px" columns="2" cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
	            	<h:outputText id="switchMenuHeaderTableLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SelectASwitchAction}"></h:outputText>
	            	<h:graphicImage id="switchMenuHeaderTableArrow" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
	            </h:panelGrid>
	        </f:facet>
	        
	        <hx:panelMenu id="switchConfigurationMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
		        <f:facet name="header">
		        	<h:panelGrid id="switchConfigurationGrid" width="240px" columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
			        	<h:outputText id="switchMenuConfigurationLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Configuration}">
						</h:outputText>
						
						<h:graphicImage id="switchConfigurationArrow" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
					</h:panelGrid>
		        </f:facet>
		        
		        <hx:requestLink id="switchMenuSASZoningLink" styleClass="outputLinkEx dmc_outputText" 
		        value="#{bundle.ViewAllBladeCenter_SwitchZoning}" rendered="#{!pc_PhysicalResources.launchedFromHat}"
		        onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="switchMenuSASPortsLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_SwitchPorts}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="switchMenuSetDateAndTimeLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_SetDateAndTime}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
	        
	        </hx:panelMenu>
			
			<hx:panelMenu id="switchServiceMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
		        <f:facet name="header">
		        	<h:panelGrid id="switchServiceGrid" width="240px" columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
			        	<h:outputText id="switchMenuServiceLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Service}">
						</h:outputText>
						
						<h:graphicImage id="switchServiceArrow" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
					</h:panelGrid>
		        </f:facet>
		        
		        <hx:requestLink id="switchMenuAuditLogLink" rendered="#{!pc_PhysicalResources.launchedFromHat}" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_AuditLog}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink> 
				
				<hx:requestLink id="switchMenuUpdateFirmwareLink" rendered="#{!pc_PhysicalResources.launchedFromHat}" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_UpdateFirmware}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="switchMenuDeviceLogLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_DeviceLog}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="switchMenuErrorCountersLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_ErrorCounters}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="switchMenuLocateLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_LocateHardware}">
				</hx:requestLink>
				
	        </hx:panelMenu>
	        
	        <hx:requestLink id="switchMenuUsersLink" rendered="#{!pc_PhysicalResources.launchedFromHat}" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Users}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
			</hx:requestLink>
	        
		</hx:panelMenu>
	</DIV>
	
	<!-- --------------------------------------------------- CONTROLLER MENU -------------------------------------------------------------------------- -->
	<DIV id="controllerMenuDIV" style="display: none; margin-bottom: 5px; width: 243px">  	
		<hx:panelMenu id="controllerMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
	        <f:facet name="header">
	            <h:panelGrid  styleClass="menuHeaderTable" id="controllerMenuHeaderTable" width="243px" columns="2" cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
	            	<h:outputText id="controllerMenuHeaderTableLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SelectAControllerAction}"></h:outputText>
	            	<h:graphicImage id="controllerMenuHeaderTableArrow" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
	            </h:panelGrid>
	        </f:facet>
	        
	        <hx:panelMenu id="controllerConfigurationMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
		        <f:facet name="header">
		        	<h:panelGrid id="controllerConfigurationGrid" width="240px" columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
			        	<h:outputText id="controllerMenuConfigurationLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Configuration}">
						</h:outputText>
						
						<h:graphicImage id="controllerConfigurationArrow" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
					</h:panelGrid>
		        </f:facet>
		        
		        <hx:requestLink id="controllerMenuStorageLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Storage}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="controllerMenuSetDateAndTimeLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_SetDateAndTime}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
	        </hx:panelMenu>
			
			<hx:panelMenu id="controllerServiceMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
		        <f:facet name="header">
		        	<h:panelGrid id="controllerServiceGrid" width="240px" columns="2" columnClasses="menuLeftCol,menuRightCol" cellpadding="0" cellspacing="0">
			        	<h:outputText id="controllerMenuServiceLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Service}">
						</h:outputText>
						
						<h:graphicImage id="controllerServiceArrow" style="border: 0" styleClass="graphicImageEx" value="/images/common/tree/right_arrow.gif"></h:graphicImage>
					</h:panelGrid>
		        </f:facet>
		        
		        <hx:requestLink id="controllerMenuAuditLogLink" rendered="#{!pc_PhysicalResources.launchedFromHat}" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_AuditLog}" onclick="document.getElementById(namespace_g + 'mainForm:controllerMenuAuditLogLinkButton').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="controllerMenuUpdateFirmwareLink" rendered="#{!pc_PhysicalResources.launchedFromHat}" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_UpdateFirmware}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="controllerMenuDeviceLogLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_DeviceLog}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="controllerMenuShutdownAndRecoverLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_ShutdownAndRecover}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
				</hx:requestLink>
				
				<hx:requestLink id="controllerMenuLocateLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_LocateHardware}">
				</hx:requestLink>
				
	        </hx:panelMenu>
	        
	        <hx:requestLink id="controllerMenuUsersLink" rendered="#{!pc_PhysicalResources.launchedFromHat}" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ViewAllBladeCenter_Users}" onclick="document.getElementById(this.id + 'Button').click(); return false;">
			</hx:requestLink>
	        
		</hx:panelMenu>
	</DIV>
	
	<!-- --------------------------------------------------- STORAGE MODULE MENU -------------------------------------------------------------------------- -->
	<DIV id="storageModuleMenuDIV" style="display: none; margin-bottom: 5px; width: 243px">  	
		<hx:panelMenu id="dsmMenu" flyOpen="false" styleClass="rbcePhysicalMenu">
	        <f:facet name="header">
	            <h:panelGrid  styleClass="menuHeaderTable" id="dsmMenuHeaderTable" width="243px" columns="2" cellpadding="0" cellspacing="0" columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
	            	<h:outputText id="storageModuleMenuHeaderTableLabel" styleClass="dmc_outputText" value="#{bundle.Physical_SelectAStorageModuleAction}"></h:outputText>
	            	<h:graphicImage id="storageModuleMenuHeaderTableArrow" style="border: 0; padding: 0;" styleClass="graphicImageEx" value="/images/common/tree/down_arrow.gif"></h:graphicImage>
	            </h:panelGrid>
	        </f:facet>
				<hx:requestLink id="dsmMenu_Prepare_For_Replacement_Link" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Prepare_For_Replacement}" onclick="return PrepareReplacementFor(PHYSICAL_TYPE_DSM)">
				</hx:requestLink>
				<hx:requestLink id="dsmMenu_Prepare_For_Replacement_Link_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Prepare_For_Replacement}" onclick="return false;">
				</hx:requestLink>
				
				<hx:requestLink id="dsmMenu_Bring_On_Link" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Bring_Online}" onclick="return BringOnlineFor(PHYSICAL_TYPE_DSM)">
				</hx:requestLink>
				<hx:requestLink id="dsmMenu_Bring_On_Link_disabled" style="color: gray" styleClass="outputLinkEx dmc_outputText" value="#{bundle.Physical_Bring_Online}" onclick="return false;">
				</hx:requestLink>
		</hx:panelMenu>
	</DIV>	
	
	
	</TD>
	<TD width="366px" align="right">
		<hx:commandExButton type="button" id="refreshButton" styleClass="dmc_commandExButton" value="#{bundle.Button_Refresh}" onclick="refresh()"></hx:commandExButton>
	</TD>
	</TR>
	</TABLE>

	<!-- --------------------------------------------------- hidden menus(never show) -------------------------------------------------------------------------- -->
	<div id="phyHiddenMenuItems" style="display:none">
		<hx:commandExButton type="button" id="physicalDismountLink">
			<hx:behavior id="show_dismount_behavior_ID" event="onclick" targetAction="dismountComponnetModal" behaviorAction="show;stop;"></hx:behavior>
		</hx:commandExButton>
		<hx:commandExButton type="button" id="physicalMountLink">
			<hx:behavior id="show_mount_behavior_ID" event="onclick" targetAction="mountComponnetModal" behaviorAction="show;stop;"></hx:behavior>
		</hx:commandExButton>
	</div>
	
	<TABLE cellspacing="0" cellpadding="0" border="0" width="768px" height="418px">
		<TR>
			<!-- --------------------------------------------------- RESOURCE AREA -------------------------------------------------------------------------- -->
			<TD width="402px" height="155px" align="right" style="border: 1px solid #7D95B3; border-left-width: 0px; border-top-width: 0px;">
				<odc:tabbedPanel 
					styleClass="scm_tabbedPanel_notebook" 
					variableTabLength="false" 
					showBackNextButton="false"
					showTabs="true" 
					slantActiveRight="4" 
					slantActiveLeft="4"
					slantInactiveRight="4" 
					slantInactiveLeft="4"
					id="resourceAreaTabs" 
					width="243" 
					height="155"
					layout="notebook">
					
					<!-- --------------------------------------------------- DRIVES TAB -------------------------------------------------------------------------- -->
					
					<odc:bfPanel id="drivesTab" name="#{bundle.Physical_Drives}" onenter="return tabClicked()">
						
						<TABLE cellspacing="2" border="0">
						<%
						for(int rows = 0; rows < Math.ceil(disks.length / 4.0); rows++)
						{
						%>
							<TR>
								<%
								for(int columns = 0; columns < 4; columns++)
								{
									int currentIndex = rows * 4 + columns;
									
									// If we do not have a disk in this index,
									// of if we have a null disk 
									// or we dont have a disk present -- skip it
									if(currentIndex >= disks.length || disks[currentIndex] == null || !disks[currentIndex].isPresent())
									{
										continue;
									}
									
									PhysicalDiskBean currentDisk = disks[currentIndex];
									
									String diskType="";
									
									switch(currentDisk.getDiskType())
									{
										case PhysicalDiskBean.NOT_USABLE_DISK_TYPE : diskType = "NOT_USABLE_DISK_TYPE"; break;
										case PhysicalDiskBean.UNCONFIGURED_DISK_TYPE : diskType = "UNCONFIGURED_DISK_TYPE"; break;
										case PhysicalDiskBean.CONFIGURED_DISK_TYPE : diskType = "CONFIGURED_DISK_TYPE"; break;
										case PhysicalDiskBean.GLOBALSPARE_DISK_TYPE : diskType = "GLOBALSPARE_DISK_TYPE"; break;
										case PhysicalDiskBean.DEDICATEDSPARE_DISK_TYPE : diskType = "DEDICATEDSPARE_DISK_TYPE"; break;
									}
																	
								%>
								<TD title="<%= currentDisk.getTitle() %>" id="logicalViewCell:<%= currentDisk.getId() %>" align="center" 
									class="unhighlightedLogicalCell" title_selected="<%= currentDisk.getTitleSelected() %>" title_unselected="<%= currentDisk.getTitle() %>"  >
									<DIV style="position: relative; width: 38px; height: 27px">
									<img src="<%= currentDisk.getLogicalImage() %>" alt="<%= currentDisk.getTitle() %>" title="<%= currentDisk.getTitle() %>" tabindex="0" border="0">
										<%
										// Show the status only if we are supposed to
										if(currentDisk.showLogicalStatusImage())
										{
										%>
										<IMG src="<%= currentDisk.getLogicalStatusImage() %>" title="<%=currentDisk.getLogicalStatusText()%>" alt="<%=currentDisk.getLogicalStatusText()%>" style="position: absolute; top: 13px; left: 24px;" />
										<%
										}
										%>
									</DIV>
									<CENTER>
										<SPAN class="dmc_outputText"><%= currentDisk.getDisplayName() %></SPAN>
										<SPAN id="dedicatedProtectedPoolsDelim_output_<%= currentIndex %>" style="display:none"><%=currentDisk.getDedicatedProtectedPoolsDelim()%></SPAN>
									</CENTER>
									<script lanuage="javascript">
										document.getElementById("logicalViewCell:<%= currentDisk.getId() %>").onmouseOver=function (){logicalComponentMouseOver(this, true);};
										document.getElementById("logicalViewCell:<%= currentDisk.getId() %>").onmouseOut=function (){logicalComponentMouseOut(this, true);};
										document.getElementById("logicalViewCell:<%= currentDisk.getId() %>").onclick=function (){setDiskAssimilate('<%=currentDisk.isRoaming()%>');logicalComponentClicked(this, true, <%= diskType %>);} ;
										document.getElementById("logicalViewCell:<%= currentDisk.getId() %>").onkeyup=function (){if(event.keyCode==13) {logicalComponentClicked(this, true, <%= diskType %>);}};
									</script>
								</TD>
								<%
								}
								%>
							</TR>
						<%
						}
						%>
						</TABLE>
			
					</odc:bfPanel>
					
					<!-- --------------------------------------------------- BBUs TAB -------------------------------------------------------------------------- -->
					
					<odc:bfPanel id="bbusTab" name="#{bundle.Physical_BBUs}" onenter="return tabClicked()">
						<TABLE cellspacing="3" border="0">
							<TR>
								<%
								for(int currentIndex = 0; currentIndex < batteries.length; currentIndex++)
								{
									// If we have a null battery 
									// or we dont have a battery present -- skip it
									if(batteries[currentIndex] == null || !batteries[currentIndex].isPresent())
									{
										continue;
									}
									
									PhysicalBBUBean currentBBU = batteries[currentIndex];
																	
								%>
								<TD title="<%= currentBBU.getTitle() %>" id="logicalViewCell:<%= currentBBU.getId() %>" align="center" class="unhighlightedLogicalCell"
									title_selected="<%= currentBBU.getTitleSelected() %>" title_unselected="<%= currentBBU.getTitle() %>" >
									<DIV style="position: relative; width: 32px; height: 32px">
										<img src="<%= currentBBU.getLogicalImage() %>" alt="<%= currentBBU.getTitle() %>" title="<%= currentBBU.getTitle() %>" tabindex="0" border=0>
										<%
										// Show the status only if we are supposed to
										if(currentBBU.showLogicalStatusImage())
										{
										%>
										<IMG src="<%= currentBBU.getLogicalStatusImage() %>" title="<%=currentBBU.getLogicalStatusText()%>" alt="<%=currentBBU.getLogicalStatusText()%>" style="position: absolute; top: 23px; left: 16px;" />
										<%
										}
										%>
									</DIV>
									<CENTER>
										<SPAN class="dmc_outputText"><%= currentBBU.getDisplayName() %></SPAN>
									</CENTER>
									<script lanuage="javascript">
										document.getElementById("logicalViewCell:<%= currentBBU.getId() %>").onmouseOver=function (){logicalComponentMouseOver(this, true);};
										document.getElementById("logicalViewCell:<%= currentBBU.getId() %>").onmouseOut=function (){logicalComponentMouseOut(this, true);};
										document.getElementById("logicalViewCell:<%= currentBBU.getId() %>").onclick=function (){logicalComponentClicked(this, true, BBU_TYPE);} ;
										document.getElementById("logicalViewCell:<%= currentBBU.getId() %>").onkeyup=function (){if(event.keyCode==13) {logicalComponentClicked(this, true, BBU_TYPE);}};
									</script>
								</TD>
								<%
								}
								%>
							</TR>
						</TABLE>
					</odc:bfPanel>
					
					<!-- --------------------------------------------------- SWITCHES TAB -------------------------------------------------------------------------- -->
					
					<odc:bfPanel id="switchesTab" name="#{bundle.Physical_Switches}" onenter="return tabClicked()">
						<TABLE cellspacing="3" border="0">
							<TR>
								<%
								for(int currentIndex = 0; currentIndex < switches.length; currentIndex++)
								{
									// If we have a null switch 
									// or we dont have a switch present -- skip it
									if(switches[currentIndex] == null || !switches[currentIndex].isPresent())
									{
										continue;
									}
									
									PhysicalSwitchBean currentSwitch = switches[currentIndex];
																	
								%>
								<TD title="<%=currentSwitch.getTitle() %>" id="logicalViewCell:<%= currentSwitch.getId() %>" align="center" class="unhighlightedLogicalCell"
									title_selected="<%= currentSwitch.getTitleSelected() %>" title_unselected="<%= currentSwitch.getTitle() %>">
									<DIV style="position: relative; width: 46px; height: 36px">
										<img src="<%= currentSwitch.getLogicalImage() %>" alt="<%= currentSwitch.getTitle() %>" title="<%= currentSwitch.getTitle() %>" tabindex="0" border=0>
										<%
										// Show the status only if we are supposed to
										if(currentSwitch.showLogicalStatusImage())
										{
										%>
										<IMG src="<%= currentSwitch.getLogicalStatusImage() %>" title="<%=currentSwitch.getLogicalStatusText()%>" alt="<%=currentSwitch.getLogicalStatusText()%>" style="position: absolute; top: 25px; left: 26px;" />
										<%
										}
										%>
									</DIV>
									<CENTER>
										<SPAN class="dmc_outputText"><%= currentSwitch.getDisplayName() %></SPAN>
									</CENTER>
									<script lanuage="javascript">
										document.getElementById("logicalViewCell:<%= currentSwitch.getId() %>").onmouseOver=function (){logicalComponentMouseOver(this, true);};
										document.getElementById("logicalViewCell:<%= currentSwitch.getId() %>").onmouseOut=function (){logicalComponentMouseOut(this, true);};
										document.getElementById("logicalViewCell:<%= currentSwitch.getId() %>").onclick=function (){logicalComponentClicked(this, true, SWITCH_TYPE);} ;
										document.getElementById("logicalViewCell:<%= currentSwitch.getId() %>").onkeyup=function (){if(event.keyCode==13) {logicalComponentClicked(this, true, SWITCH_TYPE);}};
									</script>
								</TD>
								<%
								}
								%>
							</TR>
						</TABLE>
					</odc:bfPanel>
					
					<!-- --------------------------------------------------- CONTROLLERS TAB -------------------------------------------------------------------------- -->
					
					<odc:bfPanel id="controllersTab" name="#{bundle.Physical_Controllers}" onenter="return tabClicked()">
						<TABLE cellspacing="3" border="0">
							<TR>
								<%
								for(int currentIndex = 0; currentIndex < controllers.length; currentIndex++)
								{
									// If we have a null controller 
									// or we dont have a controller present -- skip it
									if(controllers[currentIndex] == null || !controllers[currentIndex].isPresent())
									{
										continue;
									}
									
									PhysicalControllerBean currentController = controllers[currentIndex];
																	
								%>
								<TD title="<%= currentController.getTitle() %>" id="logicalViewCell:<%= currentController.getId() %>" align="center" class="unhighlightedLogicalCell"
									title_selected="<%= currentController.getTitleSelected() %>" title_unselected="<%= currentController.getTitle() %>">
									<DIV style="position: relative; width: 56px; height: 27px">
										<img src="<%= currentController.getLogicalImage() %>" alt="<%= currentController.getTitle() %>" title="<%= currentController.getTitle() %>" tabindex="0" border=0>
										<%
										// Show the status only if we are supposed to
										if(currentController.showLogicalStatusImage())
										{
										%>
										<IMG src="<%= currentController.getLogicalStatusImage() %>" title="<%=currentController.getLogicalStatusText()%>" alt="<%=currentController.getLogicalStatusText()%>" style="position: absolute; top: 11px; left: 33px;" />
										<%
										}
										%>
									</DIV>
									<CENTER>
										<SPAN class="dmc_outputText"><%= currentController.getDisplayName() %></SPAN>
									</CENTER>
									<script lanuage="javascript">
										document.getElementById("logicalViewCell:<%= currentController.getId() %>").onmouseOver=function (){logicalComponentMouseOver(this, true);};
										document.getElementById("logicalViewCell:<%= currentController.getId() %>").onmouseOut=function (){logicalComponentMouseOut(this, true);};
										document.getElementById("logicalViewCell:<%= currentController.getId() %>").onclick=function (){logicalComponentClicked(this, true, CONTROLLER_TYPE, <%= (controllers.length > 1) %>, <%= currentController.isServiceMode() %>);} ;
										document.getElementById("logicalViewCell:<%= currentController.getId() %>").onkeyup=function (){if(event.keyCode==13) {logicalComponentClicked(this, true, CONTROLLER_TYPE, <%= (controllers.length > 1) %>, <%= currentController.isServiceMode() %>);}};
									</script>
								</TD>
								<%
								}
								%>
							</TR>
						</TABLE>
					</odc:bfPanel>
					
					<!-- --------------------------------------------------- STORAGE MODULES TAB -------------------------------------------------------------------------- -->
					
					<odc:bfPanel id="storageModulesTab" name="#{bundle.Physical_StorageModules}" onenter="return tabClicked()">
						<TABLE cellspacing="3" border="0">
							<TR>
								<%
								for(int currentIndex = 0; currentIndex < storageModules.length; currentIndex++)
								{
									// If we have a null switch 
									// or we dont have a switch present -- skip it
									if(storageModules[currentIndex] == null || !storageModules[currentIndex].isPresent())
									{
										continue;
									}
									
									PhysicalStorageModuleBean currentStorageModule = storageModules[currentIndex];
																	
								%>
								<TD title="<%= currentStorageModule.getTitle() %>" id="logicalViewCell:<%= currentStorageModule.getId() %>" align="center" class="unhighlightedLogicalCell" 
									title_selected="<%= currentStorageModule.getTitleSelected() %>" title_unselected="<%= currentStorageModule.getTitle() %>">
									<DIV style="position: relative; width: 30px; height: 56px">
										<img src="<%= currentStorageModule.getLogicalImage() %>" alt="<%= currentStorageModule.getTitle() %>" title="<%= currentStorageModule.getTitle() %>" tabindex="0" border=0>
										<%
										// Show the status only if we are supposed to
										if(currentStorageModule.showLogicalStatusImage())
										{
										%>
										<IMG src="<%= currentStorageModule.getLogicalStatusImage() %>" title="<%=currentStorageModule.getLogicalStatusText()%>" alt="<%=currentStorageModule.getLogicalStatusText()%>" style="position: absolute; top: 42px; left: 17px;" />
										<%
										}
										%>
									</DIV>
									<CENTER>
										<SPAN class="dmc_outputText"><%= currentStorageModule.getDisplayName() %></SPAN>
									</CENTER>
									<script lanuage="javascript">
										document.getElementById("logicalViewCell:<%= currentStorageModule.getId() %>").onmouseOver=function (){logicalComponentMouseOver(this, true);};
										document.getElementById("logicalViewCell:<%= currentStorageModule.getId() %>").onmouseOut=function (){logicalComponentMouseOut(this, true);};
										document.getElementById("logicalViewCell:<%= currentStorageModule.getId() %>").onclick=function (){logicalComponentClicked(this, true, STORAGE_MODULE_TYPE);} ;
										document.getElementById("logicalViewCell:<%= currentStorageModule.getId() %>").onkeyup=function (){if(event.keyCode==13) {logicalComponentClicked(this, true, STORAGE_MODULE_TYPE);}};
									</script>
								</TD>
								<%
								}
								%>
							</TR>
						</TABLE>
					</odc:bfPanel>
			
					<f:facet name="back">
						<hx:commandExButton type="submit" value="Back" id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
					</f:facet>
					<f:facet name="next">
						<hx:commandExButton type="submit" value="Next" id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
					</f:facet>
					<f:facet name="finish">
						<hx:commandExButton type="submit" value="Finish" id="tabbedPanel1_finish" style="display:none"></hx:commandExButton>
					</f:facet>
					<f:facet name="cancel">
						<hx:commandExButton type="submit" value="Cancel" id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
					</f:facet>
				</odc:tabbedPanel>
			</TD>
			<!-- --------------------------------------------------- PHYSICAL GRAPHIC AREA -------------------------------------------------------------------------- -->
			<TD id="physicalGraphicArea" width="366px" height="418px" rowspan="2" align="center" valign="middle" bgcolor="#b2c6d5" style="border: 2px solid #7D95B3; border-left-width: 1px;">
				<!-- --------------------------------------------------- FRONT BOTTOM TABLE -------------------------------------------------------------------------- -->
			
				<TABLE id="frontBottomTable" cellspacing="0" cellpadding="0">
					<TR>
						<TD background="<%=path%>/images/physical/physical_front_splice_01.gif" width="23px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD background="<%=path%>/images/physical/physical_front_splice_02.gif" width="48px" height="17px">
							
									</TD>
								</TR>
								<TR>
									<!-- SM1 -->	
									<TD>
										<TABLE cellspacing="0" cellpadding="0" summary="<%=MessageFormatter.formatLabel(GWMSBL.StorageModule, null)%> 1" border="0">
										<%
											if (storageModule1.getDSMType().equals(PhysicalStorageModuleBean.TYPE_6_DSM) || storageModule1.getDSMType().equals("IBM Disk Storage Module")) {										
										%>
											<TR>
												<%
												for(int diskNumber = 1; diskNumber < 4; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display a different image
													if(storageModule1 == null || storageModule1.getDisk(diskNumber) == null || !storageModule1.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD background="<%= PhysicalDiskBean.NOT_PRESENT_IMAGE %>" width="16px" height="68px" align="center">
														&nbsp;
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule1.getDisk(diskNumber);
														currentDisk.setDSMType(PhysicalStorageModuleBean.TYPE_6_DSM);
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD background="<%= currentDisk.getPhysicalImage() %>" width="16px" height="68px" align="center">
														<%
														// Show the status image only if we are supposed to
														if(currentDisk.showPhysicalStatusImage())
														{
														%>		
															<IMG src="<%= currentDisk.getPhysicalStatusImage() %>" />
														<%
														}
														else
														{
														%>
															&nbsp;
														<%
														}
														%>
													</TD>
												<%
													}
												}
												%>
											</TR>
											<TR>
												<%
												for(int diskNumber = 4; diskNumber < 7; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display a different image
													if(storageModule1 == null || storageModule1.getDisk(diskNumber) == null || !storageModule1.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD background="<%= PhysicalDiskBean.NOT_PRESENT_IMAGE %>" width="16px" height="68px" align="center">
														&nbsp;
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule1.getDisk(diskNumber);
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD background="<%= currentDisk.getPhysicalImage() %>" width="16px" height="68px" align="center">
														<%
														// Show the status image only if we are supposed to
														if(currentDisk.showPhysicalStatusImage())
														{
														%>		
															<IMG src="<%= currentDisk.getPhysicalStatusImage() %>" />
														<%
														}
														else
														{
														%>
															&nbsp;
														<%
														}
														%>
													</TD>
												<%
													}
												}
												%>
											</TR>
										<%
											} else if (storageModule1.getDSMType().equals(PhysicalStorageModuleBean.TYPE_12_DSM)) {
												for (int diskNumber = 1;diskNumber <= 12;diskNumber ++) {
										%>
											<TR>
												<%
													if(storageModule1 == null || storageModule1.getDisk(diskNumber) == null || !storageModule1.getDisk(diskNumber).isPresent())
													{
												%>
												<TD background="<%=PhysicalDiskBean.NOT_PRESENT_IMAGE_FOR_12DISK_DSM%>" width="48" height="11" align="center"></TD>
												<%
													} else {
														PhysicalDiskBean currentDisk = storageModule1.getDisk(diskNumber);
														currentDisk.setDSMType(PhysicalStorageModuleBean.TYPE_12_DSM);
												%>
												<TD background="<%=currentDisk.getPhysicalImage()%>" width="48" height="11" align="center">
													<%
														if (currentDisk.showPhysicalStatusImage()) {
													%>
													<IMG src="<%= currentDisk.getPhysicalStatusImage() %>" />
													<%
														}
													%>
												</TD>
												<%
													}
												%>
											</TR>
												<%
													if (diskNumber == 6) {
												%>
											<TR>
												<TD background="<%=path%>/images/physical/physical_front_splice_03_divider_disabled.jpg" width="48" height="4" align="center"></TD>
											</TR>
										<%
													}
												}
											}
										%>
										</TABLE>
									</TD>
								</TR>
								<TR>	
									<TD background="<%=path%>/images/physical/physical_front_splice_04.gif" width="48px" height="22px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD background="<%=path%>/images/physical/physical_front_splice_05.gif" width="17px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD background="<%=path%>/images/physical/physical_front_splice_06.gif" width="19px" height="17px">
							
									</TD>
								</TR>
								<TR>
									<!-- BBU1 -->
									<%
									// If the battery is not there, or if the battery is null or if the battery is not present
									// have the option to display a different image
									if(bbu1 == null || !bbu1.isPresent())
									{
									%>
									<TD background="<%= PhysicalBBUBean.NOT_PRESENT_IMAGE %>" width="19px" height="65px" align="center">
										&nbsp;
									</TD>
									<%
									}
									else
									{
										// Here we have a valid battery
									%>
										<TD background="<%= bbu1.getPhysicalImage() %>" width="19px" height="65px" align="center">
											<%
											// Show the status image only if we are supposed to
											if(bbu1.showPhysicalStatusImage())
											{
											%>		
												<IMG src="<%= bbu1.getPhysicalStatusImage() %>" />
											<%
											}
											else
											{
											%>
												&nbsp;
											<%
											}
											%>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD background="<%=path%>/images/physical/physical_front_splice_08.gif" width="19px" height="11px">
							
									</TD>
								</TR>
								<TR>
									<!-- BBU2 -->
									<%
									// If the battery is not there, or if the battery is null or if the battery is not present
									// have the option to display a different image
									if(bbu2 == null || !bbu2.isPresent())
									{
									%>
									<TD background="<%= PhysicalBBUBean.NOT_PRESENT_IMAGE %>" width="19px" height="64px" align="center">
										&nbsp;
									</TD>
									<%
									}
									else
									{
										// Here we have a valid battery
									%>
										<TD background="<%= bbu2.getPhysicalImage() %>" width="19px" height="64px" align="center">
											<%
											// Show the status image only if we are supposed to
											if(bbu2.showPhysicalStatusImage())
											{
											%>		
												<IMG src="<%= bbu2.getPhysicalStatusImage() %>" />
											<%
											}
											else
											{
											%>
												&nbsp;
											<%
											}
											%>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD background="<%=path%>/images/physical/physical_front_splice_10.gif" width="19px" height="18px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD background="<%=path%>/images/physical/physical_front_splice_11.gif" width="111px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD background="<%=path%>/images/physical/physical_front_splice_12.gif" width="48px" height="17px">
							
									</TD>
								</TR>
								<TR>	
									<TD>
										<TABLE cellspacing="0" cellpadding="0" summary="<%=MessageFormatter.formatLabel(GWMSBL.StorageModule, null)%> 2" border="0">
										<%
											if (storageModule2.getDSMType().equals(PhysicalStorageModuleBean.TYPE_6_DSM) || storageModule2.getDSMType().equals("IBM Disk Storage Module")) {
										%>
											<TR>
												<%
												for(int diskNumber = 1; diskNumber < 4; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display a different image
													if(storageModule2 == null || storageModule2.getDisk(diskNumber) == null || !storageModule2.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD background="<%= PhysicalDiskBean.NOT_PRESENT_IMAGE %>" width="16px" height="68px" align="center">
														&nbsp;
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule2.getDisk(diskNumber);
														currentDisk.setDSMType(PhysicalStorageModuleBean.TYPE_6_DSM);
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD background="<%= currentDisk.getPhysicalImage() %>" width="16px" height="68px" align="center">
														<%
														// Show the status image only if we are supposed to
														if(currentDisk.showPhysicalStatusImage())
														{
														%>		
															<IMG src="<%= currentDisk.getPhysicalStatusImage() %>" />
														<%
														}
														else
														{
														%>
															&nbsp;
														<%
														}
														%>
													</TD>
												<%
													}
												}
												%>
											</TR>
											<TR>
												<%
												for(int diskNumber = 4; diskNumber < 7; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display a different image
													if(storageModule2 == null || storageModule2.getDisk(diskNumber) == null || !storageModule2.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD background="<%= PhysicalDiskBean.NOT_PRESENT_IMAGE %>" width="16px" height="68px" align="center">
														&nbsp;
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule2.getDisk(diskNumber);
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD background="<%= currentDisk.getPhysicalImage() %>" width="16px" height="68px" align="center">
														<%
														// Show the status image only if we are supposed to
														if(currentDisk.showPhysicalStatusImage())
														{
														%>		
															<IMG src="<%= currentDisk.getPhysicalStatusImage() %>" />
														<%
														}
														else
														{
														%>
															&nbsp;
														<%
														}
														%>
													</TD>
												<%
													}
												}
												%>
											</TR>
										<%
											} else if (storageModule2.getDSMType().equals(PhysicalStorageModuleBean.TYPE_12_DSM)) {
												for (int diskNumber = 1;diskNumber <= 12;diskNumber ++) {
										%>
											<TR>
												<%
													if(storageModule2 == null || storageModule2.getDisk(diskNumber) == null || !storageModule2.getDisk(diskNumber).isPresent()) {
												%>
												<!-- SM2 Disk<%=diskNumber%> -->
												<TD background="<%= PhysicalDiskBean.NOT_PRESENT_IMAGE_FOR_12DISK_DSM %>" width="48" height="11" align="center"></TD>
												<%
													} else {
														PhysicalDiskBean currentDisk = storageModule2.getDisk(diskNumber);
														currentDisk.setDSMType(PhysicalStorageModuleBean.TYPE_12_DSM);
												%>
												<TD background="<%= currentDisk.getPhysicalImage() %>" width="48" height="11" align="center">
													<%
														// Show the status image only if we are supposed to
														if(currentDisk.showPhysicalStatusImage()){
													%>
													<IMG src="<%= currentDisk.getPhysicalStatusImage() %>" />
													<%
														}
													%>
												</TD>
												<%
													}
												%>
											</TR>
												<%
													if (diskNumber == 6) {
												%>
											<TR>
												<TD background="<%=path%>/images/physical/physical_front_splice_03_divider_disabled.jpg" width="48" height="4" align="center"></TD>
											</TR>
										<%
													}
												}
											}
										%>
										</TABLE>
									</TD>
								</TR>
								<TR>	
									<TD background="<%=path%>/images/physical/physical_front_splice_13.gif" width="48px" height="22px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD background="<%=path%>/images/physical/physical_front_splice_14.gif" width="13px" height="175px">
							
						</TD>
					</TR>
				</TABLE>
				
				<!-- --------------------------------------------------- FRONT MIDDLE TABLE -------------------------------------------------------------------------- -->
				
				<TABLE id="frontMiddleTable" cellspacing="0" cellpadding="0" style="position : absolute; z-index: 1">
					<TR>
						<TD width="23px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD width="48px" height="17px">
							
									</TD>
								</TR>
								<TR>
									<!-- SM1 -->	
									<%
									// If the storage module is null or if the storage module is not present
									if(storageModule1 == null || !storageModule1.isPresent())
									{
									%>
										<TD width="48px" height="136px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 44px; height: 132px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
										// Here we have a valid storage module
									%>
										<TD width="48px" height="136px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= storageModule1.getId() %>" class="unhighlightedPhysicalCell">
														<DIV style="width: 44px; height: 132px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>	
									<TD width="48px" height="22px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="17px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD width="19px" height="17px">
							
									</TD>
								</TR>
								<TR>
									<!-- BBU1 -->
									<TD width="19px" height="65px">

									</TD>
								</TR>
								<TR>
									<TD width="19px" height="11px">
							
									</TD>
								</TR>
								<TR>
									<!-- BBU2 -->
									<TD width="19px" height="64px">

									</TD>
								</TR>
								<TR>
									<TD width="19px" height="18px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="111px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD width="48px" height="17px">
							
									</TD>
								</TR>
								<TR>
									<!-- SM2 -->	

									<%
									// If the storage module is null or if the storage module is not present
									if(storageModule2 == null || !storageModule2.isPresent())
									{
									%>
										<TD width="48px" height="136px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 44px; height: 132px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
										// Here we have a valid storage module
									%>
										<TD width="48px" height="136px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= storageModule2.getId() %>" class="unhighlightedPhysicalCell">
														<DIV style="width: 44px; height: 132px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>	
									<TD width="48px" height="22px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="13px" height="175px">
							
						</TD>
					</TR>
				</TABLE>
				
				<!-- --------------------------------------------------- FRONT TOP TABLE -------------------------------------------------------------------------- -->
				
				<TABLE id="frontTopTable" cellspacing="0" cellpadding="0" style="position : absolute; z-index: 2">
					<TR>
						<TD width="23" height="175">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD width="48" height="17">
							
									</TD>
								</TR>
								<TR>
									<!-- SM1 -->	
									<TD>
										<TABLE cellspacing="0" cellpadding="0" id="physicalViewCell:sm1" summary="<%=MessageFormatter.formatLabel(GWMSBL.StorageModule, null)%> 1" border="0" height="136">
										<%
											if (storageModule1.getDSMType().equals(PhysicalStorageModuleBean.TYPE_6_DSM) || storageModule1.getDSMType().equals("IBM Disk Storage Module")) {
										%>
											<TR>
												<%
												for(int diskNumber = 1; diskNumber < 4; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display different interactions
													if(storageModule1 == null || storageModule1.getDisk(diskNumber) == null || !storageModule1.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD class="unhighlightedPhysicalCell">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule1.getDisk(diskNumber);
														
														String diskType="";
									
														switch(currentDisk.getDiskType())
														{
															case PhysicalDiskBean.NOT_USABLE_DISK_TYPE : diskType = "NOT_USABLE_DISK_TYPE"; break;
															case PhysicalDiskBean.UNCONFIGURED_DISK_TYPE : diskType = "UNCONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.CONFIGURED_DISK_TYPE : diskType = "CONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.GLOBALSPARE_DISK_TYPE : diskType = "GLOBALSPARE_DISK_TYPE"; break;
															case PhysicalDiskBean.DEDICATEDSPARE_DISK_TYPE : diskType = "DEDICATEDSPARE_DISK_TYPE"; break;
														}
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD id="physicalViewCell:<%= currentDisk.getId() %>"  title="<%= currentDisk.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="setDiskAssimilate('<%=currentDisk.isRoaming()%>');physicalComponentClicked(this, true, <%= diskType %>)">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
												}
												%>
											</TR>
											<TR>
												<%
												for(int diskNumber = 4; diskNumber < 7; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display different interactions
													if(storageModule1 == null || storageModule1.getDisk(diskNumber) == null || !storageModule1.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD class="unhighlightedPhysicalCell">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule1.getDisk(diskNumber);
														
														String diskType="";
									
														switch(currentDisk.getDiskType())
														{
															case PhysicalDiskBean.NOT_USABLE_DISK_TYPE : diskType = "NOT_USABLE_DISK_TYPE"; break;
															case PhysicalDiskBean.UNCONFIGURED_DISK_TYPE : diskType = "UNCONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.CONFIGURED_DISK_TYPE : diskType = "CONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.GLOBALSPARE_DISK_TYPE : diskType = "GLOBALSPARE_DISK_TYPE"; break;
															case PhysicalDiskBean.DEDICATEDSPARE_DISK_TYPE : diskType = "DEDICATEDSPARE_DISK_TYPE"; break;
														}
												%>
													<!-- SM1 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD id="physicalViewCell:<%= currentDisk.getId() %>"  title="<%= currentDisk.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="setDiskAssimilate('<%=currentDisk.isRoaming()%>');physicalComponentClicked(this, true, <%= diskType %>)">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
												}
												%>
											</TR>
										<%
											} else if (storageModule1.getDSMType().equals(PhysicalStorageModuleBean.TYPE_12_DSM)) {
												for(int diskNumber = 1; diskNumber <= 12;diskNumber ++) {
												%>
												<TR>
													<!-- SM1 Disk<%=diskNumber%> -->
												<%
													if(storageModule1 == null || storageModule1.getDisk(diskNumber) == null || !storageModule1.getDisk(diskNumber).isPresent()) {
												%>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 44px; height: 7px;font-size: 0;">
											
														</DIV>
													</TD>
												<%
													} else {
														PhysicalDiskBean currentDisk = storageModule1.getDisk(diskNumber);
														
														String diskType="";
									
														switch(currentDisk.getDiskType())
														{
															case PhysicalDiskBean.NOT_USABLE_DISK_TYPE : diskType = "NOT_USABLE_DISK_TYPE"; break;
															case PhysicalDiskBean.UNCONFIGURED_DISK_TYPE : diskType = "UNCONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.CONFIGURED_DISK_TYPE : diskType = "CONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.GLOBALSPARE_DISK_TYPE : diskType = "GLOBALSPARE_DISK_TYPE"; break;
															case PhysicalDiskBean.DEDICATEDSPARE_DISK_TYPE : diskType = "DEDICATEDSPARE_DISK_TYPE"; break;
														}
												%>
													<TD id="physicalViewCell:<%= currentDisk.getId() %>"  title="<%= currentDisk.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="setDiskAssimilate('<%=currentDisk.isRoaming()%>');physicalComponentClicked(this, true, <%= diskType %>)">
														<DIV style="width: 44px; height: 7px;font-size: 0;">
											
														</DIV>
													</TD>
												<%
													}
												%>
												</TR>
												<%
													if (diskNumber == 6) {
												%>
												<TR>
													<TD width="48" height="4" align="center"></TD>
												</TR>
										<%
													}
												}
											}
										%>
										</TABLE>
									</TD>
								</TR>
								<TR>	
									<TD width="48px" height="22px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="17px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD width="19px" height="17px">
							
									</TD>
								</TR>
								<TR>
									<!-- BBU1 -->
									<%
									// If the battery is not there, or if the battery is null or if the battery is not present
									// have the option to display a different image
									if(bbu1 == null || !bbu1.isPresent())
									{
									%>
										<TD width="19px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 15px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
										// Here we have a valid battery
									%>
										<TD width="19px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= bbu1.getId() %>"  title="<%= bbu1.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="physicalComponentClicked(this, true, BBU_TYPE)">
														<DIV style="width: 15px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD width="19px" height="11px">
							
									</TD>
								</TR>
								<TR>
									<!-- BBU2 -->
									<%
									// If the battery is not there, or if the battery is null or if the battery is not present
									// have the option to display a different image
									if(bbu2 == null || !bbu2.isPresent())
									{
									%>
										<TD width="19px" height="64px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 15px; height: 60px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
										// Here we have a valid battery
									%>
										<TD width="19px" height="64px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= bbu2.getId() %>"  title="<%= bbu2.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="physicalComponentClicked(this, true, BBU_TYPE)">
														<DIV style="width: 15px; height: 60px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD width="19px" height="18px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="111px" height="175px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0" border="0">
								<TR>
									<TD width="48px" height="17px">
							
									</TD>
								</TR>
								<TR>
									<!-- SM2 -->	
									<TD>
										<TABLE cellspacing="0" cellpadding="0" summary="<%=MessageFormatter.formatLabel(GWMSBL.StorageModule, null)%> 2" border="0" height="136">
										<%
											if (storageModule2.getDSMType().equals(PhysicalStorageModuleBean.TYPE_6_DSM) || storageModule2.getDSMType().equals("IBM Disk Storage Module")) {
										%>
											<TR>
												<%
												for(int diskNumber = 1; diskNumber < 4; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display different interactions
													if(storageModule2 == null || storageModule2.getDisk(diskNumber) == null || !storageModule2.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD class="unhighlightedPhysicalCell">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule2.getDisk(diskNumber);
														
														String diskType="";
									
														switch(currentDisk.getDiskType())
														{
															case PhysicalDiskBean.NOT_USABLE_DISK_TYPE : diskType = "NOT_USABLE_DISK_TYPE"; break;
															case PhysicalDiskBean.UNCONFIGURED_DISK_TYPE : diskType = "UNCONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.CONFIGURED_DISK_TYPE : diskType = "CONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.GLOBALSPARE_DISK_TYPE : diskType = "GLOBALSPARE_DISK_TYPE"; break;
															case PhysicalDiskBean.DEDICATEDSPARE_DISK_TYPE : diskType = "DEDICATEDSPARE_DISK_TYPE"; break;
														}
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD id="physicalViewCell:<%= currentDisk.getId() %>"  title="<%= currentDisk.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="setDiskAssimilate('<%=currentDisk.isRoaming()%>');physicalComponentClicked(this, true, <%= diskType %>)">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
												}
												%>
											</TR>
											<TR>
												<%
												for(int diskNumber = 4; diskNumber < 7; diskNumber++)
												{
													// If the storage module is not there, or if the disk is null or if the disk is not present
													// have the option to display different interactions
													if(storageModule2 == null || storageModule2.getDisk(diskNumber) == null || !storageModule2.getDisk(diskNumber).isPresent())
													{
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD class="unhighlightedPhysicalCell">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
													else
													{
														// Here we have a valid disk
														PhysicalDiskBean currentDisk = storageModule2.getDisk(diskNumber);
														
														String diskType="";
									
														switch(currentDisk.getDiskType())
														{
															case PhysicalDiskBean.NOT_USABLE_DISK_TYPE : diskType = "NOT_USABLE_DISK_TYPE"; break;
															case PhysicalDiskBean.UNCONFIGURED_DISK_TYPE : diskType = "UNCONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.CONFIGURED_DISK_TYPE : diskType = "CONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.GLOBALSPARE_DISK_TYPE : diskType = "GLOBALSPARE_DISK_TYPE"; break;
															case PhysicalDiskBean.DEDICATEDSPARE_DISK_TYPE : diskType = "DEDICATEDSPARE_DISK_TYPE"; break;
														}
												%>
													<!-- SM2 Disk<%=diskNumber%> -->
													<TD width="16px" height="68px">
														<TABLE cellspacing="0" cellpadding="0">
															<TR>
																<TD id="physicalViewCell:<%= currentDisk.getId() %>"  title="<%= currentDisk.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="setDiskAssimilate('<%=currentDisk.isRoaming()%>');physicalComponentClicked(this, true, <%= diskType %>)">
																	<DIV style="width: 12px; height: 64px;">
														
																	</DIV>
																</TD>
															</TR>
														</TABLE>
													</TD>
												<%
													}
												}
												%>
											</TR>
										<%
											} else if (storageModule2.getDSMType().equals(PhysicalStorageModuleBean.TYPE_12_DSM)) {
												for(int diskNumber = 1; diskNumber <= 12;diskNumber ++) {
												%>
											<TR>
												<%
													if(storageModule2 == null || storageModule2.getDisk(diskNumber) == null || !storageModule2.getDisk(diskNumber).isPresent()) {
												%>
												<TD class="unhighlightedPhysicalCell">
													<DIV style="width: 44px; height: 7px;font-size: 0;">
											
														</DIV>
													</TD>
												<%
													} else {
														PhysicalDiskBean currentDisk = storageModule2.getDisk(diskNumber);
														
														String diskType="";
									
														switch(currentDisk.getDiskType())
														{
															case PhysicalDiskBean.NOT_USABLE_DISK_TYPE : diskType = "NOT_USABLE_DISK_TYPE"; break;
															case PhysicalDiskBean.UNCONFIGURED_DISK_TYPE : diskType = "UNCONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.CONFIGURED_DISK_TYPE : diskType = "CONFIGURED_DISK_TYPE"; break;
															case PhysicalDiskBean.GLOBALSPARE_DISK_TYPE : diskType = "GLOBALSPARE_DISK_TYPE"; break;
															case PhysicalDiskBean.DEDICATEDSPARE_DISK_TYPE : diskType = "DEDICATEDSPARE_DISK_TYPE"; break;
														}
												%>
												<TD id="physicalViewCell:<%= currentDisk.getId() %>"  title="<%= currentDisk.getLogicalIdentifier() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="setDiskAssimilate('<%=currentDisk.isRoaming()%>');physicalComponentClicked(this, true, <%= diskType %>)">
													<DIV style="width: 44px; height: 7px;font-size: 0;">
										
													</DIV>
												</TD>
												<%
													}
												%>
											</TR>
												<%
													if (diskNumber == 6) {
												%>
											<TR>
												<TD width="48" height="4" align="center"></TD>
											</TR>
										<%
													}
												}
											}
										%>
										</TABLE>
									</TD>
								</TR>
								<TR>	
									<TD width="48px" height="22px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="13px" height="175px">
							
						</TD>
					</TR>
				</TABLE>
				
				<BR />
				
				<!-- --------------------------------------------------- BACK BOTTOM TABLE -------------------------------------------------------------------------- -->
				
				<TABLE id="backBottomTable" cellspacing="0" cellpadding="0">
					<TR>
						<TD background="<%=path%>/images/physical/physical_back_splice_01.gif" width="187px" height="178px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD background="<%=path%>/images/physical/physical_back_splice_02.gif" width="18px" height="12px">
							
									</TD>
								</TR>
								<TR>
									<!-- I/O Bay 3 -->
									<%
									// If the switch is null or if the switch is not present
									// have the option to display a different image
									//modify by fengtw, when controller or switch in bay 3 is connected, the image should be show on physical view.
									if((switch3 == null || !switch3.isPresent()) && (controller3 == null || !controller3.isPresent()))
									{
									%>
									<TD background="<%= PhysicalSwitchBean.NOT_PRESENT_IMAGE %>" width="18px" height="65px" align="center">
										&nbsp;
									</TD>
									<%
									}
									else
									{
										PhysicalBaseBean bean = null;
										if(switch3!=null && switch3.isPresent())
											bean = switch3;
										else
											bean = controller3;
										// Here we have a valid switch
										
									%>
										<TD background="<%= bean.getPhysicalImage() %>" width="18px" height="65px" align="center">
											<%
											// Show the status image only if we are supposed to
											if(bean.showPhysicalStatusImage())
											{
											%>
												<IMG src="<%= bean.getPhysicalStatusImage() %>" />
											<%
											}
											else
											{
											%>
												&nbsp;
											<%
											}
											%>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD background="<%=path%>/images/physical/physical_back_splice_04.gif" width="18px" height="18px">
							
									</TD>
								</TR>
								<TR>
									<!-- I/O Bay 4 -->
									<%
									// If the switch is null or if the switch is not present
									// have the option to display a different image
									if((switch4 == null || !switch4.isPresent()) && (controller4 == null || !controller4.isPresent()))
									{
									%>
									<TD background="<%= PhysicalSwitchBean.NOT_PRESENT_IMAGE %>" width="18px" height="65px" align="center">
										&nbsp;
									</TD>
									<%
									}
									else
									{
									PhysicalBaseBean bean = null;
									if(switch4!=null && switch4.isPresent())
										bean = switch4;
									else
										bean = controller4;
									
										// Here we have a valid switch
									%>
										<TD background="<%= bean.getPhysicalImage() %>" width="18px" height="65px" align="center">
											<%
											// Show the status image only if we are supposed to
											if(bean.showPhysicalStatusImage())
											{
											%>		
												<IMG src="<%= bean.getPhysicalStatusImage() %>" />
											<%
											}
											else
											{
											%>
												&nbsp;
											<%
											}
											%>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD background="<%=path%>/images/physical/physical_back_splice_06.gif" width="18px" height="18px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD background="<%=path%>/images/physical/physical_back_splice_07.gif" width="75px" height="178px">
							
						</TD>
					</TR>
				</TABLE>
				
				<!-- --------------------------------------------------- BACK MIDDLE TABLE -------------------------------------------------------------------------- -->
				
				<TABLE id="backMiddleTable" cellspacing="0" cellpadding="0" style="position : absolute; z-index: 1">
					<TR>
						<TD width="187px" height="178px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD width="18px" height="12px">
							
									</TD>
								</TR>
								<TR>
									<!-- I/O Bay 3 Controller -->
									<%
									// If the controller is null or if the controller is not present
									if(controller3 == null || !controller3.isPresent())
									{
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
										// Here we have a valid controller
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= controller3.getId() %>" class="unhighlightedPhysicalCell">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD width="18px" height="18px">
							
									</TD>
								</TR>
								<TR>
									<!-- I/O Bay 4 Controller -->
									<%
									// If the controller is null or if the controller is not present
									if(controller4 == null || !controller4.isPresent())
									{
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
										// Here we have a valid controller
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= controller4.getId() %>" class="unhighlightedPhysicalCell">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD width="18px" height="18px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="75px" height="178px">
							
						</TD>
					</TR>
				</TABLE>
				
				<!-- --------------------------------------------------- BACK TOP TABLE -------------------------------------------------------------------------- -->
				
				<TABLE id="backTopTable" cellspacing="0" cellpadding="0" style="position : absolute; z-index: 2">
					<TR>
						<TD width="187px" height="178px">
							
						</TD>
						<TD>
							<TABLE cellspacing="0" cellpadding="0">
								<TR>
									<TD width="18px" height="12px">
							
									</TD>
								</TR>
								<TR>
									<!-- I/O Bay 3 -->
									<%
									// If the switch is null or if the switch is not present
									// have the option to display a different image
									if((switch3 == null || !switch3.isPresent())  && (controller3 == null || !controller3.isPresent()))
									{
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
										PhysicalBaseBean bean = null;
										if(switch3!=null && switch3.isPresent())
											bean = switch3;
										else
											bean = controller3;
									
										// Here we have a valid switch
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= bean.getId() %>"  title="<%= bean.getIOLocation() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="physicalComponentClicked(this, true, SWITCH_TYPE)">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD width="18px" height="18px">
							
									</TD>
								</TR>
								<TR>
									<!-- I/O Bay 4 -->
									<%
									// If the switch is null or if the switch is not present
									// have the option to display a different image
									if((switch4 == null || !switch4.isPresent()) && (controller4 == null || !controller4.isPresent()))
									{
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD class="unhighlightedPhysicalCell">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									else
									{
									PhysicalBaseBean bean = null;
									if(switch4!=null && switch4.isPresent())
										bean = switch4;
									else
										bean = controller4;
										// Here we have a valid switch
									%>
										<TD width="18px" height="65px">
											<TABLE cellspacing="0" cellpadding="0">
												<TR>
													<TD id="physicalViewCell:<%= bean.getId() %>"  title="<%= bean.getIOLocation() %>" class="unhighlightedPhysicalCell" onmouseOver="physicalComponentMouseOver(this, true)" onmouseOut="physicalComponentMouseOut(this, true)" onclick="physicalComponentClicked(this, true, SWITCH_TYPE)">
														<DIV style="width: 14px; height: 61px;">
											
														</DIV>
													</TD>
												</TR>
											</TABLE>
										</TD>
									<%
									}
									%>
								</TR>
								<TR>
									<TD width="18px" height="18px">
							
									</TD>
								</TR>
							</TABLE>
						</TD>
						<TD width="75px" height="178px">
							
						</TD>
					</TR>
				</TABLE>
			</TD>
		</TR>
		<TR>
			<!-- --------------------------------------------------- INFORMATION AREA -------------------------------------------------------------------------- -->
			<TD id="informationAreaCell" width="402px" height="263px" valign="top" style="border: 1px solid #7D95B3; border-left-width: 2px; border-bottom-width: 2px;">	
				
				<DIV id="initialInformationAreaDiv" style="display: block">
					<TABLE>
						<TR>
							<TD>
								<h:outputText id="initialInformationAreaMessage" styleClass="dmc_outputText" value="#{bundle.Physical_InitialInformationAreaText}"></h:outputText>
							</TD>
						</TR>
					</TABLE>
				</DIV>
				
				<DIV id="loadingInformationAreaDiv" style="display: none">
					<TABLE>
						<TR>
							<TD valign="middle">
							<scmc:scmJspPanel id="panel_waiting_image1">
								<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
							</scmc:scmJspPanel>
							</TD>
							<TD valign="middle">
								<h:outputText id="loadingInformationAreaMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
							</TD>							
						</TR>
					</TABLE>
				</DIV>
				
				<!-- So that the cell isnt empty when the first two items are hidden -->
				&nbsp;
				
				<!-- Since the tabbed panel has trouble displaying when the frame is hidden we have to use visibility -->
				<!-- since visiblity is used, we dont want the cell to grow in size as different items are displayed, so we have to set the frame at a higher z-index and absolute position -->
				<scmc:scmJspPanel id="panel_iframe_information_area">
				<DIV id="informationAreaFrameDiv" style="visibility: hidden; position: absolute; z-index: 200">
					<IFRAME id="informationAreaFrame" title="#{bundle.Physical_information_Frame_Title}" onLoad="stopInformationAreaWait()" width="402px" height="260px" frameborder="0" scrolling="no"></IFRAME>
				</DIV>
				</scmc:scmJspPanel>
				
			</TD>
		</TR>	
	</TABLE>
	
	<SCRIPT>
	
	
	// Set up the default selected tab
	if(<%= prpb.getDefaultSelectedResouceTab() == PhysicalResourcePageBean.TYPE_DISK %>)
	{
		selectTab(UNCONFIGURED_DISK_TYPE);
	}
	
	if(<%= prpb.getDefaultSelectedResouceTab() == PhysicalResourcePageBean.TYPE_BBU %>)
	{
		selectTab(BBU_TYPE);
	}
	
	if(<%= prpb.getDefaultSelectedResouceTab() == PhysicalResourcePageBean.TYPE_SWITCH %>)
	{
		selectTab(SWITCH_TYPE);
	}
	
	if(<%= prpb.getDefaultSelectedResouceTab() == PhysicalResourcePageBean.TYPE_CONTROLLER %>)
	{
		selectTab(CONTROLLER_TYPE);
	}
	
	if(<%= prpb.getDefaultSelectedResouceTab() == PhysicalResourcePageBean.TYPE_STORAGEMODULE %>)
	{
		selectTab(STORAGE_MODULE_TYPE);
	}
	ODCRegistry.getClientControl('resourceAreaTabs').Panes[1].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
	ODCRegistry.getClientControl('resourceAreaTabs').Panes[2].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
	ODCRegistry.getClientControl('resourceAreaTabs').Panes[3].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
	ODCRegistry.getClientControl('resourceAreaTabs').Panes[4].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
	ODCRegistry.getClientControl('resourceAreaTabs').Panes[5].tabIcon = document.global_context_path + "/images/status/status_space14.gif";
	ODCRegistry.getClientControl('resourceAreaTabs').redraw();
	
	// Set up the tab icons
	if(<%= prpb.showLogicalStatusImage(PhysicalResourcePageBean.TYPE_DISK) %>)
	{
		ODCRegistry.getClientControl('resourceAreaTabs').Panes[1].tabIcon = "<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_DISK) %>";
		document.getElementById("view:mainForm:resourceAreaTabsscm_tabbedPanel_notebooktablabel_1").innerHTML = "<img style='border: 0px none ;' src='<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_DISK) %>' alt='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_DISK) %>' title='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_DISK) %>'><%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Physical_Drives, null)%>" ;
	}
	
	
	if(<%= prpb.showLogicalStatusImage(PhysicalResourcePageBean.TYPE_BBU) %>)
	{
		ODCRegistry.getClientControl('resourceAreaTabs').Panes[2].tabIcon = "<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_BBU) %>";
		document.getElementById("view:mainForm:resourceAreaTabsscm_tabbedPanel_notebooktablabel_2").innerHTML = "<img style='border: 0px none ;' src='<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_BBU) %>' alt='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_BBU) %>' title='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_BBU) %>'><%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Physical_BBUs, null)%>";
	}
	
	
	if(<%= prpb.showLogicalStatusImage(PhysicalResourcePageBean.TYPE_SWITCH) %>)
	{
		ODCRegistry.getClientControl('resourceAreaTabs').Panes[3].tabIcon = "<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_SWITCH) %>";
		document.getElementById("view:mainForm:resourceAreaTabsscm_tabbedPanel_notebooktablabel_3").innerHTML = "<img style='border: 0px none ;' src='<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_SWITCH) %>' alt='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_SWITCH) %>' title='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_SWITCH) %>'><%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Physical_Switches, null)%>";
	}
	
	
	if(<%= prpb.showLogicalStatusImage(PhysicalResourcePageBean.TYPE_CONTROLLER) %>)
	{
		ODCRegistry.getClientControl('resourceAreaTabs').Panes[4].tabIcon = "<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_CONTROLLER) %>";
		document.getElementById("view:mainForm:resourceAreaTabsscm_tabbedPanel_notebooktablabel_4").innerHTML = "<img style='border: 0px none ;' src='<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_CONTROLLER) %>' alt='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_CONTROLLER) %>' title='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_CONTROLLER) %>'><%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Physical_Controllers, null)%>";
	}
	
	
	if(<%= prpb.showLogicalStatusImage(PhysicalResourcePageBean.TYPE_STORAGEMODULE) %>)
	{
		ODCRegistry.getClientControl('resourceAreaTabs').Panes[5].tabIcon = "<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_STORAGEMODULE) %>";
		document.getElementById("view:mainForm:resourceAreaTabsscm_tabbedPanel_notebooktablabel_5").innerHTML = "<img style='border: 0px none ;' src='<%= prpb.getLogicalStatusImage(PhysicalResourcePageBean.TYPE_STORAGEMODULE) %>' alt='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_STORAGEMODULE) %>' title='<%= prpb.getLogicalStatusText(PhysicalResourcePageBean.TYPE_STORAGEMODULE) %>'><%=com.ibm.scm.gui.rbce.base.util.SCMUtils.formatLabel(com.ibm.scm.gui.rbce.nls.GWMSBL.Physical_StorageModules, null)%>";
	}
	
	
	</SCRIPT>
	
	
	<!-- ------------------------------------------------------- MODALS ------------------------------------------------------------ -->
	
	<!-- ------------------------------------------------------- PREPARE FOR SERVICE ------------------------------------------------------------ -->
	<hx:panelDialog id="prepareForServiceModal" style="width:500px;" showTitleCloseButton="false" styleClass="dmc_panelDialog" for="controllerMenuPrepareForServiceLink" title="#{bundle.Physical_PrepareForService}" onshow="focusDialog(this,event);">
		<DIV style="text-align: left; padding: 8px">
			
			<TABLE width="100%" cellpadding="0" cellspacing="0" border="0">
						<TBODY>
							<TR>
								<TD valign="top" align="left" width="10%">
									<hx:graphicImageEx id="status_img" value="/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
								</TD>
								<TD width="90%">
								<TABLE width="100%">
									<TR>
										<TD colspan="2">

			<h:outputText id="prepareForServiceDeviceList" value="#{bundle.ShutDownRecover_confirmation_prepareService}" styleClass="dmc_outputText" />
			
			<BR />
			<BR />

			<%
			if(controller3 != null)
			{
			%>
			
			<DIV id="prepareForService<%= controller3.getId() %>" style="display: none; margin-left: 20px;">
				<SPAN class="dmc_outputText"><%= controller3.getPrepareForServiceName() %></SPAN>
			</DIV>
			
			<%
			}
			%>
			
			<%
			if(controller4 != null)
			{
			%>
			
			<DIV id="prepareForService<%= controller4.getId() %>" style="display: none; margin-left: 20px;">
				<SPAN class="dmc_outputText"><%= controller4.getAssociatedSwitchPrepareForServiceName() %></SPAN>
				<BR />

				<SPAN class="dmc_outputText"><%= controller4.getPrepareForServiceName() %></SPAN>
			</DIV>
			
			<%
			}
			%>
			
			<BR />
			
			<TABLE>
				<tr>
					<TD colspan="2"><h:outputText id="contr_comfirm_hint_service_title"
						value="#{bundle.Contr_Action_Confirm_Hint_Service_Title}"
						styleClass="dmc_outputText"></h:outputText></TD>
				</tr>
				<tr>
					<TD colspan="2" style="padding-left:15px;">
					<li><h:outputText id="Contr_Action_Confirm_Hint_Service_Li_1"
						value="#{bundle.Contr_Action_Confirm_Hint_Service_Li_1}"
						styleClass="dmc_outputText"></h:outputText></li>
					<li><h:outputText id="Contr_Action_Confirm_Hint_Service_Li_2"
						value="#{bundle.Contr_Action_Confirm_Hint_Service_Li_2}"
						styleClass="dmc_outputText"></h:outputText></li>
					<li><h:outputText id="Contr_Action_Confirm_Hint_Service_Li_3"
						value="#{bundle.Contr_Action_Confirm_Hint_Service_Li_3}"
						styleClass="dmc_outputText"></h:outputText></li>
					</TD>
				</tr>
				<tr>
					<TD colspan="2"><h:outputText id="Contr_Action_Confirm_Hint_Service_suffix"
						value="#{bundle.Contr_Action_Confirm_Hint_Service_suffix}"
						styleClass="dmc_outputText"></h:outputText></TD>
				</tr>
			</TABLE>
			</TD>
</TR>
</TABLE>
</TD>
</TR>
</TBODY>
</TABLE>

			<TABLE>
				<TR>
				<TD>
				<hx:commandExButton id="prepareForServiceModalOK" type="button" action="#{pc_PhysicalResources.prepareForService}" styleClass="dmc_commandExButton" value="#{bundle.OK}" onclick="document.getElementById(namespace_g + 'mainForm:prepareForServiceModalSubmit').click();hideButton((namespace_g + 'mainForm:prepareForServiceModalOK'),(namespace_g + 'mainForm:prepareForServiceModalCancel'));">
				</hx:commandExButton>
				
				<hx:commandExButton id="prepareForServiceModalSubmit" style="display:none" type="submit" action="#{pc_PhysicalResources.prepareForService}" onclick="showProgressIndicator('spinningDiv_prepareForServiceModal');document.getElementById(namespace_g + 'mainForm').target='_self';">
				</hx:commandExButton>	
								
				<hx:commandExButton id="prepareForServiceModalCancel" type="button" styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
					<hx:behavior event="onclick" id="pfsmcBehavior" targetAction="prepareForServiceModal" behaviorAction="HIDE"></hx:behavior>
				</hx:commandExButton></TD>
				<TD>	
				<div id="spinningDiv_prepareForServiceModal" style="visibility:visible"></div>
				</TD>
				</TR>
			</TABLE>				
		</DIV>
	</hx:panelDialog>
	
	<!-- ------------------------------------------------------- LOCATE DISK ------------------------------------------------------------ -->
	<hx:panelDialog
		title="#{bundle.Physical_LocateDiskDrive}" 
		id="diskLocateModal" 
		onshow="startLocate('diskLocateLoadingDiv', 'diskLocateCloseDiv', 'mainForm:hiddenDiskStopLocatingButton','mainForm:diskStopLocatingButton');focusDialog(this,event);"
		style="width:300px;"
		showTitleCloseButton="false" 
		styleClass="dmc_panelDialog"
		for="diskMenuLocateLink">
		
		<DIV style="text-align: left; padding: 8px">
		
		<DIV id="diskLocateLoadingDiv" style="display: block">
			<TABLE>
				<TR>
					<TD valign="middle">
						<hx:graphicImageEx value="/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
					</TD>
					<TD valign="middle">
						<h:outputText id="loadingDiskLocateMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
					</TD>							
				</TR>
			</TABLE>
		</DIV>

		<DIV id="diskLocateCloseDiv" style="display: none">
			<TABLE>
				<TR>
					<TD>
						<hx:graphicImageEx id="diskLocateImage" value="/images/locator/drive_locator.gif"
						title="#{bundle.Image_Drive_Locator}" alt="#{bundle.Image_Drive_Locator}"></hx:graphicImageEx>
					</TD>
					<TD>
						<h:outputText id="diskLocatingMessage" styleClass="dmc_outputText" value="#{bundle.Physical_DriveLocating}"></h:outputText>
					</TD>
				</TR>
			</TABLE>
		</DIV>
		
		<BR />
		
		<hx:commandExButton id="diskStopLocatingButton" type="button" styleClass="dmc_commandExButton" value="#{bundle.Stop}" onclick="stopLocate()"></hx:commandExButton>
		<hx:commandExButton id="hiddenDiskStopLocatingButton" type="button" style="display: none">
			<hx:behavior event="onclick" id="hiddenDiskStopBehaviorId" targetAction="diskLocateModal" behaviorAction="hide;"></hx:behavior>
		</hx:commandExButton>
	
		</DIV>
		
	</hx:panelDialog>
	
	<!-- ------------------------------------------------------- LOCATE BBU ------------------------------------------------------------ -->
	<hx:panelDialog
		title="#{bundle.Physical_LocateBBU}" 
		id="bbuLocateModal" 
		onshow="startLocate('bbuLocateLoadingDiv', 'bbuLocateCloseDiv', 'mainForm:hiddenbbuStopLocatingButton', 'mainForm:bbuStopLocatingButton');focusDialog(this,event);"
		style="width:300px;"
		showTitleCloseButton="false" 
		styleClass="dmc_panelDialog"
		for="bbuMenuLocateLink">
		
		<DIV style="text-align: left; padding: 8px">
		
		<DIV id="bbuLocateLoadingDiv" style="display: block">
			<TABLE>
				<TR>
					<TD valign="middle">
					<scmc:scmJspPanel id="panel_image_waiting3">
						<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
					</scmc:scmJspPanel>
					</TD>
					<TD valign="middle">
						<h:outputText id="loadingbbuLocateMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
					</TD>							
				</TR>
			</TABLE>
		</DIV>

		<DIV id="bbuLocateCloseDiv" style="display: none">
			<TABLE>
				<TR>
					<TD>
						<hx:graphicImageEx id="bbuLocateImage" value="/images/locator/battery_locator.gif" 
						title="#{bundle.Image_BBU_Locator}" alt="#{bundle.Image_BBU_Locator}"></hx:graphicImageEx>
					</TD>
					<TD>
						<h:outputText id="bbuLocatingMessage" styleClass="dmc_outputText" value="#{bundle.Physical_BBULocating}"></h:outputText>
					</TD>
				</TR>
			</TABLE>
		</DIV>
		
		<BR />
		
		<hx:commandExButton id="bbuStopLocatingButton" type="button" styleClass="dmc_commandExButton" value="#{bundle.Stop}" onclick="stopLocate()"></hx:commandExButton>
		<hx:commandExButton id="hiddenbbuStopLocatingButton" type="button" style="display: none">
			<hx:behavior event="onclick" id="hideBBUStopBehavior" targetAction="bbuLocateModal" behaviorAction="hide;"></hx:behavior>
		</hx:commandExButton>
		
		</DIV>
		
	</hx:panelDialog>
	
	
	<!-- ------------------------------------------------------- LOCATE CONTROLLER ------------------------------------------------------------ -->
	<hx:panelDialog
		title="#{bundle.Physical_LocateController}" 
		id="controllerLocateModal" 
		onshow="startLocate('controllerLocateLoadingDiv', 'controllerLocateCloseDiv', 'mainForm:hiddencontrollerStopLocatingButton', 'mainForm:controllerStopLocatingButton');focusDialog(this,event);"
		style="width:300px;"
		showTitleCloseButton="false" 
		styleClass="dmc_panelDialog"
		for="controllerMenuLocateLink">
		
		<DIV style="text-align: left; padding: 8px">
		
		<DIV id="controllerLocateLoadingDiv" style="display: block">
			<TABLE>
				<TR>
					<TD valign="middle">
					<scmc:scmJspPanel id="panel_image_waiting4">
						<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
					</scmc:scmJspPanel>
					</TD>
					<TD valign="middle">
						<h:outputText id="loadingcontrollerLocateMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
					</TD>							
				</TR>
			</TABLE>
		</DIV>

		<DIV id="controllerLocateCloseDiv" style="display: none">
			<TABLE>
				<TR>
					<TD>
						<hx:graphicImageEx id="controllerLocateImage" value="/images/locator/controller_locator.gif"
							title="#{bundle.Image_Controller_Locator}" alt="#{bundle.Image_Controller_Locator}"></hx:graphicImageEx>
					</TD>
					<TD>
						<h:outputText id="controllerLocatingMessage" styleClass="dmc_outputText" value="#{bundle.Physical_ControllerLocating}"></h:outputText>
					</TD>
				</TR>
			</TABLE>
		</DIV>
		
		<BR />
		
		<hx:commandExButton id="controllerStopLocatingButton" type="button" styleClass="dmc_commandExButton" value="#{bundle.Stop}" onclick="stopLocate()"></hx:commandExButton>
		<hx:commandExButton id="hiddencontrollerStopLocatingButton" type="button" style="display: none">
			<hx:behavior event="onclick" id="hidenCtlrStopBehavor" targetAction="controllerLocateModal" behaviorAction="HIDE"></hx:behavior>
		</hx:commandExButton>
		
		</DIV>
		
	</hx:panelDialog>
	
	<!-- ------------------------------------------------------- LOCATE SWITCH ------------------------------------------------------------ -->
	<hx:panelDialog
		title="#{bundle.Physical_LocateSwitch}" 
		id="switchLocateModal" 
		onshow="startLocate('switchLocateLoadingDiv', 'switchLocateCloseDiv', 'mainForm:hiddenswitchStopLocatingButton', 'mainForm:switchStopLocatingButton');focusDialog(this,event);"
		style="width:300px;"
		showTitleCloseButton="false" 
		styleClass="dmc_panelDialog"
		for="switchMenuLocateLink">
		
		<DIV style="text-align: left; padding: 8px">
		
		<DIV id="switchLocateLoadingDiv" style="display: block">
			<TABLE>
				<TR>
					<TD valign="middle">
					<scmc:scmJspPanel id="panel_image_waiting5">
						<IMG src="<%=path%>/images/sort_of_slow_progress_bar.gif" alt="#{bundle.Image_Waiting}"/>
					</scmc:scmJspPanel>
					</TD>
					<TD valign="middle">
						<h:outputText id="loadingswitchLocateMessage" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
					</TD>							
				</TR>
			</TABLE>
		</DIV>

		<DIV id="switchLocateCloseDiv" style="display: none">
			<TABLE>
				<TR>
					<TD>
						<hx:graphicImageEx id="switchLocateImage" value="/images/locator/controller_locator.gif"
							title="#{bundle.Image_Switch_Locator}" alt="#{bundle.Image_Switch_Locator}"></hx:graphicImageEx>
					</TD>
					<TD>
						<h:outputText id="switchLocatingMessage" styleClass="dmc_outputText" value="#{bundle.Physical_SwitchLocating}"></h:outputText>
					</TD>
				</TR>
			</TABLE>
		</DIV>
		
		<BR />
		
		<hx:commandExButton id="switchStopLocatingButton" type="button" styleClass="dmc_commandExButton" value="#{bundle.Stop}" onclick="stopLocate()"></hx:commandExButton>
		<hx:commandExButton id="hiddenswitchStopLocatingButton" type="button" style="display: none">
			<hx:behavior event="onclick" id="hiddenSwitchStopBehavior" targetAction="switchLocateModal" behaviorAction="HIDE"></hx:behavior>
		</hx:commandExButton>
		
		</DIV>
		
	</hx:panelDialog>
	
	<!-- ------------------------------------------------------- ASSIGN GLOBAL SPARE ------------------------------------------------------------ -->
	
	<hx:panelDialog id="assignGlobalHotSpareModal" style="width:400px;" showTitleCloseButton="false" 
		styleClass="dmc_panelDialog" for="diskMenuGlobalHotSpareLink" title="#{bundle.ConfirmationMessage}" onshow="onShowAssignGlobalDialog();focusDialog(this,event);">
		
		<DIV style="text-align: left; padding: 8px">
		
		<TABLE width="95%">
			<TR valign="top">
				<TD valign="top" align="right" colspan="2">
					<A href="#" class="commandLink" id="help_link" target="helpwin" 
						onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_rss_assign_global_spare_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;">
						<h:outputText id="Help_Text_ID" styleClass="dmc_outputText" value="#{bundle.Help}"></h:outputText>
					</A>								
				</TD>
			</TR>
			<TR>
				<TD valign="top">
					<hx:graphicImageEx id="confirm_msg_img" value="/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}"/>					
				</TD>
				<TD>
					<h:outputText id="assignGlobalSpareConfirmMessage" value="#{bundle.Physical_ConfirmAssignGlobalHotSpare}" styleClass="dmc_outputText" />            
				</TD>
			</TR>
			<TR>
				<TD valign="top">
					&nbsp;
				</TD>
				<TD>
					<h:selectBooleanCheckbox value="#{pc_PhysicalResources.copyback}" id="copyBackSelectRadio">
					</h:selectBooleanCheckbox>&nbsp;<h:outputLabel for="copyBackSelectRadio" id="label_copyBackSelectRadio" styleClass="dmc_outputText"><h:outputText id="EnableCopyBackLabel" value="#{bundle.Global_Spare_Copyback_Label}" styleClass="dmc_outputText" /></h:outputLabel>
				</TD>
			</TR>			
		</TABLE>
		
		<BR />
		
		<TABLE>
			<TR>
				<TD>
				<hx:commandExButton id="assignGlobalHotSpareModalOK" type="button" styleClass="dmc_commandExButton" value="#{bundle.OK}" onclick="document.getElementById(namespace_g + 'mainForm:assignGlobalHotSpareModalSubmit').click();hideButton((namespace_g + 'mainForm:assignGlobalHotSpareModalOK'), (namespace_g + 'mainForm:assignGlobalHotSpareModalCancel'));">
				</hx:commandExButton>
				
				<hx:commandExButton id="assignGlobalHotSpareModalSubmit" style="display:none" type="submit" action="#{pc_PhysicalResources.assignGlobalHotSpare}" onclick="showProgressIndicator('spinningDiv_assignGlobalHotSpareModal');document.getElementById(namespace_g + 'mainForm').target='_self';">
				</hx:commandExButton>					
				
				<hx:commandExButton id="assignGlobalHotSpareModalCancel" type="button" styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
					<hx:behavior event="onclick" id="assignGlobalBehavorID" targetAction="assignGlobalHotSpareModal" behaviorAction="HIDE"></hx:behavior>
				</hx:commandExButton></TD>
				<TD>	    
				<div id="spinningDiv_assignGlobalHotSpareModal" style="visibility:visible"></div></TD>
			</TR>
		</TABLE>    
		
		</DIV>	

	</hx:panelDialog>
	
	<!-- ------------------------------------------------------- UNASSIGN GLOBAL SPARE ------------------------------------------------------------ -->
		
	<hx:panelDialog id="unassignGlobalHotSpareModal" style="width:400px;" showTitleCloseButton="false" onshow="onUnassignGlobalConfirmShow();focusDialog(this,event);"
		styleClass="dmc_panelDialog" for="diskMenuUnassignGlobalHotSpareLink" title="#{bundle.ConfirmationMessage}">
		
		<DIV style="text-align: left; padding: 8px">
		
		<TABLE width="95%">
			<TR>
				<TD valign="top">
					<hx:graphicImageEx id="confirm_msg_img2" value="/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
				</TD>
				<TD>
					<h:outputText id="unassignGlobalSpareConfirmMessage" value="#{bundle.DiskTab_Warning_UnassignGlobal_With_Unprotected_Pool}" styleClass="dmc_outputText" />
				</TD>
			</TR>
			<TR >
				<TD >&nbsp;</TD>
				<TD><table><tr><td width="20">&nbsp;</td><td><h:outputText id="warning_unassignGlobal_unprotectPool_txt"
						styleClass="dmc_outputText" /></td></tr></table>
				</TD>
			</TR>
		</TABLE>
		
		<BR />
		
		<TABLE>
			<TR>
				<TD>
				<hx:commandExButton id="unassignGlobalHotSpareModalOK" type="button"  styleClass="dmc_commandExButton" value="#{bundle.OK}" onclick="document.getElementById(namespace_g + 'mainForm:unassignGlobalHotSpareModalSubmit').click();hideButton((namespace_g + 'mainForm:unassignGlobalHotSpareModalOK'),(namespace_g + 'mainForm:unassignGlobalHotSpareModalCancel'));">
				</hx:commandExButton>	
				
				<hx:commandExButton id="unassignGlobalHotSpareModalSubmit" type="submit" action="#{pc_PhysicalResources.unassignGlobalHotSpare}" style="display:none" onclick="showProgressIndicator('spinningDiv_unassignGlobalHotSpareModal');document.getElementById(namespace_g + 'mainForm').target='_self';">
				</hx:commandExButton>	
								
				<hx:commandExButton id="unassignGlobalHotSpareModalCancel" type="button" styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
					<hx:behavior event="onclick" id="unassignGloSpareBehavior" targetAction="unassignGlobalHotSpareModal" behaviorAction="HIDE"></hx:behavior>
				</hx:commandExButton></TD>
				<TD>
				<div id="spinningDiv_unassignGlobalHotSpareModal" style="visibility:visible"></div></TD>
			</TR>
		</TABLE>
		
		</DIV>	    		
		
	</hx:panelDialog>
	
	<!-- ------------------------------------------------------- Copy Back Drive ------------------------------------------------------------ -->
		
	<hx:panelDialog id="CopyBackDriveModal" style="width:650px;height:390" showTitleCloseButton="true" onshow="CopyBackDialogOnShow(this,event);focusDialog(this,event);"
		styleClass="dmc_panelDialog" for="diskMenuCopyBackLink" title="#{bundle.Copyback_To_Replacement_Drive_Dialog_Title}">
		<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" id="templ_waitDiv_utility">
			<TR>
				<TD width="8%">
				<scmc:scmJspPanel id="panel_waitImage">
					<IMG id="waitImage" border="0" src="<%=path%>/images/sort_of_slow_progress_bar.gif" height="38" alt="#{bundle.Image_Waiting}" />
				</scmc:scmJspPanel>
				</TD>	
				<TD id="waitMessageU" width="92%">
					<h:outputText id="Loading_Page_Text_ID" styleClass="dmc_outputText" value="#{bundle.Loading_Page}"></h:outputText>
				<hx:commandExButton id="gotoCopybackPageBtn" type="submit" action="#{pc_PhysicalResources.gotoCopyBack}" style="display:none" onclick="LoadCopyBackPage(this,event)">
				</hx:commandExButton>	
				<hx:commandExButton id="CopyBackDialogCloseBtn" type="button" style="display:none" value="#{bundle.Cancel}">
					<hx:behavior event="onclick" id="copyBackCloseBehavior" targetAction="CopyBackDriveModal" behaviorAction="HIDE"></hx:behavior>
				</hx:commandExButton>
				</TD>
			</TR>
		</table>
		<scmc:scmJspPanel id="panel_dialogFrame">
		<table width="100%" cellpadding="0" cellspacing="0" border="0" id="templ_u_iframe_div" style="visibility:hidden">
			<tr>
				<td colspan="2" width="100%"><iframe id="templ_u_iframe" name="templ_u_iframe" scrolling="no" style="overflow-X:hidden;overflow-Y:hidden" marginheight="5" marginwidth="5" align="left" frameborder="0" src="" title="#{bundle.Utility_Frame_Title}"></iframe></td>
			</tr>
		</TABLE>
		</scmc:scmJspPanel>	    		
	</hx:panelDialog>	
	
	<!-- -------------------------------------------------------  dismount  ------------------------------------------------------------ -->
		
	<hx:panelDialog id="dismountComponnetModal" style="width:600px;" showTitleCloseButton="false" onshow="onDismountConfirmShow();focusDialog(this,event);"
		styleClass="dmc_panelDialog" title="#{bundle.Physical_Prepare_For_Replacement}">
		<DIV style="text-align: left; padding: 8px">
		<TABLE width="95%">
			<TR valign="top">
				<TD valign="top" align="right" colspan="2">
					<A href="#" class="commandLink" id="dismount_help_link" target="helpwin" 
						onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_rss_prepare_replacement_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;">
						<h:outputText id="Dismount_Help_Text_ID" styleClass="dmc_outputText" value="#{bundle.Help}"></h:outputText>
					</A>								
				</TD>
			</TR>
			<TR>
				<TD valign="top">
					<scmc:scmJspPanel id="warning_img_panel_id3">
						<IMG id="confirm_msg_dismount_img" src="<%=path%>/images/status/statusWarning_obj30.gif" title="#{bundle.Image_Warning}" alt="#{bundle.Image_Warning}" />					
					</scmc:scmJspPanel>
				</TD>
				<TD>
					<p>
						<h:outputFormat id="dismount_info_DISK" escape="false" value="#{bundle.Physical_Dismount_DISK_Action_Text}" style="display:none" styleClass="dmc_outputText">
							<f:param name="0" value="<SPAN id='DISKDisplayName'></SPAN>" id="dismount_disk_slot"></f:param>
						</h:outputFormat> 				
						<h:outputFormat id="dismount_info_BBU" escape="false" value="#{bundle.Physical_Dismount_BBU_Action_Text}" style="display:none" styleClass="dmc_outputText">
							<f:param name="0" value="<SPAN id='BBUDisplayName'></SPAN>" id="dismount_bbu_slot"></f:param>
						</h:outputFormat> 				
						<h:outputFormat id="dismount_info_DSM" escape="false" value="#{bundle.Physical_Dismount_DSM_Action_Text}" style="display:none" styleClass="dmc_outputText">
							<f:param name="0" value="<SPAN id='DSMDisplayName'></SPAN>" id="dismount_dsm_slot"></f:param>
						</h:outputFormat>
					</p> 
					<p id="DSM_allowDegradedGroups">
						<h:selectBooleanCheckbox value="#{pc_PhysicalResources.allowDegradedGroups}" id="allowDegradedGroupsSelectRadio">
						</h:selectBooleanCheckbox>&nbsp;<h:outputLabel for="allowDegradedGroupsSelectRadio" id="label_allowDegradedGroupsSelectRadio" styleClass="dmc_outputText"><h:outputText id="allowDegradedGroupsLabel" value="#{bundle.Physical_Dismount_DSM_AllowDegradedGroups}" styleClass="dmc_outputText" /></h:outputLabel>					
					</p>				
					<p>
						<h:outputText id="dismount_Alert_DISK" value="#{bundle.Physical_Dismount_LED_Info_Alert_DISK}" styleClass="dmc_outputText" style="display:none" />
						<h:outputText id="dismount_Alert_BBU" value="#{bundle.Physical_Dismount_LED_Info_Alert_BBU}" styleClass="dmc_outputText" style="display:none" />
						<h:outputText id="dismount_Alert_DSM" value="#{bundle.Physical_Dismount_LDE_Info_Alert_DSM}" styleClass="dmc_outputText" style="display:none" />					
					</p>				
					<p>
						<h:outputText id="dismount_Message_DISK" value="#{bundle.Physical_Dismount_Message_DISK}" styleClass="dmc_outputText" style="display:none" />
						<h:outputText id="dismount_Message_BBU" value="#{bundle.Physical_Dismount_Message_BBU}" styleClass="dmc_outputText" style="display:none" />
						<h:outputText id="dismount_Message_DSM" value="#{bundle.Physical_Dismount_Message_DSM}" styleClass="dmc_outputText" style="display:none" />
					</p>				
				</TD>
			</TR>
		</TABLE>
		
		<BR />
		
		<TABLE>
			<TR>
				<TD>
				<hx:commandExButton id="dismountOK" type="button"  styleClass="dmc_commandExButton" value="#{bundle.OK}" onclick="document.getElementById(namespace_g + 'mainForm:dismountModalSubmit').click();hideButton((namespace_g + 'mainForm:dismountOK'),(namespace_g + 'mainForm:dismountCancel'));">
				</hx:commandExButton>	
				
				<hx:commandExButton id="dismountModalSubmit" type="submit" action="#{pc_PhysicalResources.dismount}" style="display:none" onclick="showProgressIndicator('spinningDiv_dismountModal');document.getElementById(namespace_g + 'mainForm').target='_self';">
				</hx:commandExButton>	
								
				<hx:commandExButton id="dismountCancel" type="button" styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
					<hx:behavior event="onclick" id="DismountBehavior" targetAction="dismountComponnetModal" behaviorAction="HIDE"></hx:behavior>
				</hx:commandExButton></TD>
				<TD>
				<div id="spinningDiv_dismountModal" style="visibility:visible"></div></TD>
			</TR>
		</TABLE>
		</DIV>	    		
	</hx:panelDialog>	
	
	<!-- -------------------------------------------------------  mount  ------------------------------------------------------------ -->
		
	<hx:panelDialog id="mountComponnetModal" style="width:600px;" showTitleCloseButton="false" onshow="onmountConfirmShow();focusDialog(this,event);"
		styleClass="dmc_panelDialog" title="#{bundle.Physical_Bring_Online}">
		<DIV style="text-align: left; padding: 8px">
		<TABLE width="95%">
			<TR>
				<TD valign="top">
					<scmc:scmJspPanel id="panel_mountWaitImage">
					<IMG id="confirm_msg_mount_img" src="<%=path%>/images/sort_of_slow_progress_bar.gif" height="38" alt="#{bundle.Image_Waiting}" title="#{bundle.Image_Waiting}"/>
					</scmc:scmJspPanel>
				</TD>
				<TD>
					<h:outputFormat id="mount_info_DISK" escape="false" value="#{bundle.Physical_Mount_DISK_Action_Text}" style="display:none" styleClass="dmc_outputText">
						<f:param name="0" value="<SPAN id='DISKDisplayName_mount'></SPAN>" id="mount_disk_slot"></f:param>
					</h:outputFormat> 				
					<h:outputFormat id="mount_info_BBU" escape="false" value="#{bundle.Physical_Mount_BBU_Action_Text}" style="display:none" styleClass="dmc_outputText">
						<f:param name="0" value="<SPAN id='BBUDisplayName_mount'></SPAN>" id="mount_bbu_slot"></f:param>
					</h:outputFormat> 				
					<h:outputFormat id="mount_info_DSM" escape="false" value="#{bundle.Physical_Mount_DSM_Action_Text}" style="display:none" styleClass="dmc_outputText">
						<f:param name="0" value="<SPAN id='DSMDisplayName_mount'></SPAN>" id="mount_dsm_slot"></f:param>
					</h:outputFormat> 				
				</TD>
			</TR>
			<TR>
				<TD colspan="2" height="10">&nbsp;
				<hx:commandExButton id="mountModalSubmit" type="submit" action="#{pc_PhysicalResources.mount}" style="display:none" onclick="document.getElementById(namespace_g + 'mainForm').target='_self';">
				</hx:commandExButton>	
				</TD>
			</TR>
			<TR style="display:none" id="Physical_DSM_Mount_Reboot_Notice">
				<TD colspan="">&nbsp;</TD>
				<TD>
					<h:outputText id="mount_Message_DISK" value="#{bundle.Physical_DSM_Mount_Reboot_Notice}" styleClass="dmc_outputText" />
				</TD>
			</TR>
		</TABLE>
		</DIV>	    		
	</hx:panelDialog>
	
	<!-- -------------------------------------------------------  assimilate drive  ------------------------------------------------------------ -->
	
	<hx:panelDialog title="#{bundle.AssimilateDriveTitle}" id="assimilate_dialog" movable="true" initiallyShow="false" onshow="onAssimilateDriveShow();focusDialog(this,event);"
					saveState="false" style="width:320px; height:100px;" type="modal" showTitleCloseButton="false" styleClass="dmc_panelDialog" for="diskMenuAssimilateLink">
		<TABLE width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
			<TR id="assimilate_msg_row" style="display:none">
				<TD align="left" colspan="2" height="40" valign="middle"><h:outputText id="assimilateDescriptionMessage" styleClass="dmc_outputText" value="#{bundle.Physical_Assimilate_Drive_Text}"></h:outputText></TD>
			</TR>
			<TR id="assimilate_progressing_row" style="display:none">
				<TD align="left" width="38" height="40" valign="middle"><hx:graphicImageEx id="assimilate_progressing_img" value="/images/sort_of_slow_progress_bar.gif" align="middle" title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"></hx:graphicImageEx></TD>
				<TD align="left"><h:outputText id="assimilate_progressing_txt" value="#{bundle.Assimilate_Drive_Waiting}" styleClass="dmc_outputText"></h:outputText></TD>
			</TR>
			<TR>
				<TD colspan="2">
					<hx:commandExButton id="confirm_assimilate" type="button" styleClass="dmc_commandExButton" value="#{bundle.OK}" onclick="confirmAssimilate()"></hx:commandExButton>
					<hx:commandExButton id="cancel_assimilate" type="button" styleClass="dmc_commandExButton" value="#{bundle.Cancel}" onclick="cancelAssimilate()"></hx:commandExButton>
					<hx:commandExButton id="hidden_assimilate_drive_submit_button" style="display:none" type="submit" action="#{pc_PhysicalResources.assimilate}" onclick="document.getElementById(namespace_g + 'mainForm').target='_self';" />
					<hx:commandExButton id="hidden_assimilate_drive_cancel_button" style="display:none" type="button">
						<hx:behavior id="hidden_assimilate_drive_cancel_behavior" event="onclick" targetAction="assimilate_dialog" behaviorAction="hide"></hx:behavior>
					</hx:commandExButton>
				</TD>
			</TR>
		</TABLE>
	</hx:panelDialog>
	
	<SCRIPT>
	// Select the default device
	// Has to go after the modals because some selections will set up the modal fields
	selectDefaultDevice('<%= prpb.getDefaultResouceId() %>');

	<% for(int i=0;i<disks.length;i++){%>
		PHYSICAL_RESOURCE_MAP['<%=disks[i].getId()%>'] = new PhysicalObject(PHYSICAL_TYPE_DISK,'<%=disks[i].getId()%>','<%=disks[i].getDisplayName()%>','<%=disks[i].isDismounted()%>','<%=disks[i].isMounted()%>','<%=disks[i].isMissing()%>','<%=disks[i].isConfigured()%>','<%=disks[i].isGlobalSpare()%>');
	<%}%>
	<% for(int i=0;i<storageModules.length;i++){%>
		PHYSICAL_RESOURCE_MAP['<%=storageModules[i].getId()%>'] = new PhysicalObject(PHYSICAL_TYPE_DSM,'<%=storageModules[i].getId()%>','<%=storageModules[i].getDisplayName()%>','<%=storageModules[i].isDismounted()%>','<%=storageModules[i].isMounted()%>','<%=storageModules[i].isMissing()%>');
	<%}%>
	<% for(int i=0;i<batteries.length;i++){%>
		PHYSICAL_RESOURCE_MAP['<%=batteries[i].getId()%>'] = new PhysicalObject(PHYSICAL_TYPE_BBU,'<%=batteries[i].getId()%>','<%=batteries[i].getDisplayName()%>','<%=batteries[i].isDismounted()%>','<%=batteries[i].isMounted()%>','<%=batteries[i].isMissing()%>');
	<%}%>
	<% for(int i=0;i<controllers.length;i++){%>
		PHYSICAL_RESOURCE_MAP['<%=controllers[i].getId()%>'] = new PhysicalObject(PHYSICAL_TYPE_CONTROLLER,'<%=controllers[i].getId()%>','<%=controllers[i].getDisplayName()%>','<%=controllers[i].isDismounted()%>','<%=controllers[i].isMounted()%>','<%=controllers[i].isMissing()%>');
	<%}%>

	</SCRIPT>
	<INPUT type="hidden" id="defaultSelectedAlertID" value="<%=prpb.getDefaultSelectedAlertID()%>"/>
	<INPUT type="hidden" id="isStorageMissing" value="<%=prpb.isStorageMissing()%>"/>
	<INPUT type="hidden" id="isSwitchMissing" value="<%=prpb.isSwitchMissing()%>"/>
	<h:outputText id="unassignGlobalConfirmationWithUnprotectedPool" value="#{bundle.DiskTab_Warning_UnassignGlobal_With_Unprotected_Pool}" style="display:none;"></h:outputText> 	
	<h:outputText id="unassignGlobalConfirmation" value="#{bundle.DiskTab_Warning_UnassignGlobal}" style="display:none;"></h:outputText> 	
	</h:form>
	
	</hx:scriptCollector>
	
	</BODY>
</f:view>
</HTML>
