<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/ports/Ports.js"></SCRIPT>
<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
	<TITLE>BladePortProperties</TITLE>
<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
	<hx:scriptCollector id="collector" preRender="#{pc_BladePortProperties.onPageLoadBegin}">
	<%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
	<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
								
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
						
						<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
					<TABLE width="100%">
						<TBODY>
						<TR>
						<TD>
						<h:outputFormat id="blade_slot_port_properties_title" styleClass="dmc_outputText" style="text-decoration: underline; font-weight: bold;" value="#{bundle.Ports_PortProperties}"></h:outputFormat>
						
						<TABLE width="100%" cellspacing="0" class="dmc_outputText">
							<TBODY>
								<TR>
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_portid_format" styleClass="dmc_outputText" value="#{bundle.Ports_PortID}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPropertiesPortID">
										<h:outputText id="portID" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.selectedBladePort.displayName}"></h:outputText>
									</TD>
									
									<TD rowspan="8" valign="top" align="right">
										<A href="#" onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_nss_view_properties_bsc_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;" target="helpwin">
											<h:outputText id="blade_slot_connection_help_text" styleClass="dmc_outputText" value="#{bundle.Help}"></h:outputText>
										</A>
										<BR/>
										<IMG id="bladeSlotConnectionPropertiesImg" alt="" src="<%=path %>/images/common/components/blade_32.gif" />
									</TD>
									
								</TR>
								<TR>
									<TD colspan="2">
										&nbsp;<!-- Spacing row -->
									</TD>
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_attached_address_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedSASAddress}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPropertiesAddress">
										<h:outputText id="portAddress" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.selectedBladePort.attachedPortAddress}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									
									<TD align="left" width="40%" valign="top">
										<h:outputFormat id="blade_slot_connection_attached_type_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedType}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPropertiesType">
										<h:outputText id="portType" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.selectedBladePort.attachedType}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									<TD colspan="2">
										&nbsp;<!-- Spacing row -->
									</TD>
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_enabled_text" styleClass="dmc_outputText" value="#{bundle.Ports_Enabled}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPropertiesEnabled">
										<h:outputText id="portEnabled" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.selectedBladePort.enabled?bundle.Yes:bundle.No}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_status_text" styleClass="dmc_outputText" value="#{bundle.Ports_Status}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPropertiesStatus">
										<h:outputText id="portStatus" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.selectedPortStatus}" escape="false"></h:outputText>
									</TD>
									
								</TR>			
								
							</TBODY>
						</TABLE>
						
						<BR/>
						
						<h:outputFormat id="blade_slot_connection_phy_properties_title" styleClass="dmc_outputText" style="text-decoration: underline; font-weight: bold;" value="#{bundle.Ports_PHYProperties}"></h:outputFormat>
						
						
						<TABLE width="100%" cellspacing="0" class="dmc_outputText">
							<TBODY>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_phyid_text" styleClass="dmc_outputText" value="#{bundle.Ports_PHYID_LABEL}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPHYPropertiesPHYID">
										<h:outputText id="PHYID" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.phy.displayName}" rendered="#{null != pc_BladePortProperties.bpb.phy}"></h:outputText>
									</TD>
									
								</TR>		
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_LinkRate_Label}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPHYPropertiesLinkRate">
										<h:outputText id="PHYLinkRate" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.phy.linkRate}" rendered="#{null != pc_BladePortProperties.bpb.phy}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_max_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_MaxLinkRate_Label}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPHYPropertiesMaxLinkRate">
										<h:outputText id="PHYMaxLinkRate" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.phy.maximumLinkRate}" rendered="#{null != pc_BladePortProperties.bpb.phy}"></h:outputText>
									</TD>
									
								</TR>
								<TR>
									
									<TD align="left" width="40%">
										<h:outputFormat id="blade_slot_connection_connected_text" styleClass="dmc_outputText" value="#{bundle.Ports_Connected_Label}"></h:outputFormat>
									</TD>
									
									<TD align="left" id="bladeSlotConnectionPHYPropertiesIsConnected">
										<h:outputText id="PHYConnected" styleClass="dmc_outputText" value="#{pc_BladePortProperties.bpb.phy.connected?bundle.Yes:bundle.No}" rendered="#{null != pc_BladePortProperties.bpb.phy}"></h:outputText>
									</TD>
									
								</TR>	
							</TBODY>
						</TABLE>
						
						</TD>
						</TR>
						</TBODY>
					</TABLE>
					<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
				<TD align="left" valign="bottom">
					<hx:commandExButton id="close_Button_ID" value="#{bundle.Close}" styleClass="dmc_commandExButton" type="button" onclick="parent.document.getElementById(parent.namespace_g + 'form1:dialog_closer').click()"></hx:commandExButton>	
				</TD>
				<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
	</hx:scriptCollector>
	<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/ports/BladePortProperties.java" --%><%-- /jsf:pagecode --%>
