var selectedHostCount = 0;
var MAX_HOSTS_NUM = 6;

function disableBtns() {
	selectedHostCount = 0;
	document.getElementById(namespace_g + "myForm:replaceBtn").disabled = true;
	document.getElementById(namespace_g + "myForm:createBtn").disabled = true;
	document.getElementById(namespace_g + "myForm:closeBtn").disabled = true;
	document.getElementById(namespace_g + "myForm:hostName").value = "";
}

function checkFinished(){
	if ("true" == document.getElementById(namespace_g + "myForm:inWizard").innerHTML) {
		document.getElementsByTagName("body")[0].className = "wizardFrameBody";
		if (document.getElementById("wizardTitle")) {
			document.getElementById("wizardTitle").style.display = "";
		}
	} else {
		if (document.getElementById("wizardTitle")) {
			document.getElementById("wizardTitle").style.display = "none";
		}
	}
	
	disableBtns();
	
	var isNewHostFound = document.getElementById(namespace_g + "myForm:showNewHost");
	if (isNewHostFound != null && isNewHostFound.innerHTML == "true") {
		document.getElementById(namespace_g + "myForm:closeBtn").disabled = false;
		return;
	}
	
	var isNoNewHost = document.getElementById(namespace_g + "myForm:showNoNewHost");
	if (isNoNewHost != null && isNoNewHost.innerHTML == "true") {
		document.getElementById(namespace_g + "myForm:closeBtn").disabled = false;
		return;
	}
	
	var isReplaceHost = document.getElementById(namespace_g + "myForm:showReplaceHost");
	if (isReplaceHost != null && isReplaceHost.innerHTML == "true") {
		var treetableobj = document.getElementById("discoverNewHostMainTable");
		var allCheckBoxs = treetableobj.getElementsByTagName("input");
		var hasConflict = false;
		for(var i = 0;allCheckBoxs != null && i < allCheckBoxs.length;i ++) {
			var boxObj = allCheckBoxs[i];
			if (boxObj.type != null && boxObj.type == "checkbox") {
				boxObj.checked = false;
				
				var spanobj = boxObj.nextSibling.nextSibling;
				if (spanobj != null && spanobj.innerHTML == "false") {
					boxObj.disabled = true;
					hasConflict = true;
				}
			}
		}
		document.getElementById(namespace_g + "myForm:closeBtn").disabled = false;
		if (!hasConflict) {
			document.getElementById(namespace_g + "myForm:createBtn").disabled = false;
		}
	}
}

function createHostOnShow(){
	//Add precondition check whether host num will exceed limit.
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	var hostNum = 0;
	if(null != allHostNames){
		allHostNames = trim(allHostNames,",");
		var hostNameArray = allHostNames.split(",");
		hostNum = hostNameArray.length;
	}
	if( hostNum >= MAX_HOSTS_NUM){
		var parentTableObj = document.getElementById("inner_message_div").parentNode;
		while(parentTableObj.tagName.toLowerCase() != "table"){
			parentTableObj = parentTableObj.parentNode;
		}
		parentTableObj.style.height="100%";
		document.getElementById("inner_message_div").style.display = "";
		document.getElementById('request_createHost_div').style.display = "none";
		document.getElementById(namespace_g + "myForm:createHostBtn").disabled = true;
		document.getElementById(namespace_g + "myForm:closeCreateDialog").disabled = false;
		return;
	}else{
		document.getElementById("inner_message_div").style.display = "none";
		document.getElementById('request_createHost_div').style.display = "";
	}
	
	// remove the secound tr in case there's only one port when replace missing host.
	var hostwwn1 = document.getElementById(namespace_g + "myForm:hidden_newhost_wwn1");
	var hostwwn2 = document.getElementById(namespace_g + "myForm:hidden_newhost_wwn2");
	if (hostwwn1 && hostwwn2) {
		document.getElementById(namespace_g + "myForm:portwwn1").value = hostwwn1.innerHTML;
		document.getElementById(namespace_g + "myForm:portwwn2").value = hostwwn2.innerHTML;
		if (hostwwn2.innerHTML == "") {
			document.getElementById("wwnnTR2").style.display = "none";
		}
	}
	
	document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display="none";
	var message1 = document.getElementById(namespace_g + "myForm:message1");
	if(message1)
	 message1.style.display="none";
	// set title
	displayCreateHostContent(true);
}

function displayCreateHostContent(flag){
	document.getElementById(namespace_g + "myForm:createHostBtn").disabled = !flag;
	document.getElementById(namespace_g + "myForm:closeCreateDialog").disabled = !flag;
}

function onCreateFinished(){
	document.getElementById(namespace_g + "myForm:hostName").value = "";
  	document.getElementById(namespace_g + "myForm:closeCreateDialogHidden").click();
  	document.getElementById(namespace_g + "myForm:onloadBehaviorBtn").click();
}

function cancelClick(){
	document.getElementById(namespace_g + "myForm:closeBtn").disabled = true;
	if (isCurrDialogSecLevelDialog()) {
		parent.closeSecLevelUtilDialog();
	} else if (isCurrDialogDiscoverDialog()) {
		parent.closeDiscoverDialog();
	} else {
		parent.closeUtilDialog();
	}
	
	var needRefreshFlag = document.getElementById(namespace_g + "myForm:refreshFlag").innerHTML;
	if(needRefreshFlag == "true"){
		refParentsPages();
	}
}

function isCurrDialogSecLevelDialog(){
	var dialog = document.getElementById(namespace_g + "myForm:util_dialog_sec_level");
	if(!dialog){
		var dialog = parent.document.getElementById(parent.namespace_g + "myForm:util_dialog_sec_level");		
	}	
	if(dialog && dialog.style.display!="none"){
		 return true;
	}
	return false;
}

function isCurrDialogDiscoverDialog(){
	var dialog = document.getElementById(namespace_g + "myForm:discover_dialog");
	if(!dialog){
		var dialog = parent.document.getElementById(parent.namespace_g + "myForm:discover_dialog");		
	}	
	if(dialog && dialog.style.display!="none"){
		 return true;
	}
	return false;
}

//can't find reference to this function, parent.parent may cause problem. change it to parent. qiuhongyan
function refParentsPages(){
	if(isCurrDialogSecLevelDialog()){
		if(parent.document.getElementById('templ_u_iframe').contentWindow){
			parent.document.getElementById('templ_u_iframe').contentWindow.document.getElementById(namespace_g + "myForm:refreshBtn").click();
		}
		else{
			parent.document.getElementById('templ_u_iframe').contentDocument.getElementById(namespace_g + "myForm:refreshBtn").click();
		}
		parent.refreshAllTabs(parent.REFRESH_MASK_VOLUME+parent.REFRESH_MASK_HOST);	
	}else if(isCurrDialogDiscoverDialog()){
		parent.location.reload();
		
	}else{
		parent.refreshAllTabs(parent.REFRESH_MASK_VOLUME+parent.REFRESH_MASK_HOST);	
	}
}

//discover new host part
function onLoad_DiscoverNewHosts(){
	try
	{
		parent.stopWait("discover_dialog");
		}catch(error){
	}
	try
	{
		parent.stopWait("util_dialog_sec_level");
	} catch(error){
	}
	try
	{
		parent.stopWait("util_dialog");
	}catch(error){
	}

	// Call the common function to send the ajax request
	commonPageLoad();
	
	// Adjust the discover_new_hosts_body_area_div height
	if("true"==document.getElementById(namespace_g + "myForm:inWizard").innerHTML)
	{
		document.getElementById("discover_new_hosts_body_area_div").style.height = 370;
		document.getElementById("request_div").style.height = 370;
	} else {
		document.getElementById("discover_new_hosts_body_area_div").style.height = 320;
	}
}

var selectedHostCount = 0;
function highLightingDiscoverHosts(theObj,groupid){
	var rowClass = "dmc_rowClass1";
	if(theObj.checked){
	  	rowClass ="dmc_rowHightLightClass";
		selectedHostCount++;
		document.getElementById(namespace_g + "myForm:replaceBtn").disabled = false;
		unSelectOtherCheckboxs(theObj);
	 }else{
		selectedHostCount--;
		if(selectedHostCount==0){
			document.getElementById(namespace_g + "myForm:replaceBtn").disabled = true;
		}
	 }
	 var stable = document.getElementById(groupid);
	 stable.rows[1].className=rowClass;
  	 for(var j=0;j<5;j++){ 
  	 	var pt = document.getElementById(groupid+"_"+j);
  	 	if(pt){
			pt.rows[1].className=rowClass;
  	 	}
  	 }
}

function unSelectOtherCheckboxs(selectCheckbox){
	var form = selectCheckbox.form;
	for(var i=0;i<form.elements.length;i++){
		var elem = form.elements[i];
		if(elem.type=="checkbox" && elem.checked && elem!=selectCheckbox)
			elem.click();
	}
}

var discoverCreateHeightAdded = false;
function hostCreationForDiscover(){
	// Defect 8442 adjust dialog to initial size
	var currentdialog = document.getElementById(namespace_g + "myForm:creatHost_dialog");	
	var originHeight = getOriginalDialogHeight();
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	var portwwn1 = document.getElementById(namespace_g + "myForm:portwwn1").value;
	var portwwn2 = document.getElementById(namespace_g + "myForm:portwwn2").value;
	if (allHostNames == null)
		allHostNames = "";
	
    var flag = true;
	var hName = document.getElementById(namespace_g + "myForm:hostName").value;
	if(!isDeviceNameValid(hName) || allHostNames.indexOf("," + hName + ",") > -1){
		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display = "";
		
		// Defect 8442 adjust dialog size for validation message
		if (!discoverCreateHeightAdded) {
			if (currentdialog) {
				currentdialog.style.height = originHeight - 0 + 20;
				discoverCreateHeightAdded = true;
			}	
		}
		document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
		return false;
	 } else {
		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display = "none";
	 }
	 
	// Defect 8442 adjust dialog to initial size
	if (discoverCreateHeightAdded) {
		if (currentdialog) {
			currentdialog.style.height = originHeight - 20 - UTILITYDIALOG_IFRAME_DELTA_HEIGHT;
			discoverCreateHeightAdded = false;
		}
	}
	 document.getElementById(namespace_g + "myForm:createHostBtn").disabled = true;
	 
	return true;
}