<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<f:subview id="treeTable">
	<scmc:scmJspPanel id="hostTabDiv_scmPanel_ID">
		<TABLE cellspacing="0" cellpadding="0" width="100%" class="borderGray" summary="#{bundle.Table_Summary_Discover_New_Hosts_Missing} #{bundle.Table_Summary_TreeTable_Navigation}">
			<TBODY>
			<TR height="10">
					<TD width="100%">
					<Div id="headerDiscoverNewHostTableDivId" class="scm_DataTableHeaderDiv">
					<Table width="100%" id="headerTable" cellpadding="0" cellspacing="0" summary="#{bundle.Table_Summary_Discover_New_Hosts_Missing} #{bundle.Table_Summary_TreeTable_Navigation}" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;">
					<colgroup>
						<col width="10%"/>
						<col width="25%"/>
						<col width="20%"/>
						<col width="23%"/>
						<col width="22%"/>
					</colgroup>
					<thead>
					<TR class="scm_flyaway_component">
					<TH>&nbsp;</TH>
					<TH><h:outputText id="hidden_Host_Main_Host_Port_Text_ID" value="#{bundle.Host_Main_Host_Port}"></h:outputText></TH>
					<TH><h:outputText id="hidden_Host_Main_Mapped_GB_Text_ID" value="#{bundle.Host_Main_Mapped_GB}"></h:outputText></TH>
					<TH><h:outputText id="hidden_Host_Main_Mapped_Volumes_Text_ID" value="#{bundle.Host_Main_Mapped_Volumes}"></h:outputText></TH>
					<TH><h:outputText id="hidden_Address_Text_ID" value="#{bundle.Address}"></h:outputText></TH>
					</TR>
					</thead>
					<tbody>
					<TR class="rbceTableHeaderRow">
					<TD align="left" width="10%" class ="dmc_headerClass"><h:outputText id="empty_Text_ID" value=""
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left" width="25%" class ="dmc_headerClass"><h:outputText id="Host_Main_Host_Port_Text_ID" value="#{bundle.Host_Main_Host_Port}"
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left" width="20%" class ="dmc_headerClass"><h:outputText id="Host_Main_Mapped_GB_Text_ID" value="#{bundle.Host_Main_Mapped_GB}"
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left" width="23%" class ="dmc_headerClass"><h:outputText id="Host_Main_Mapped_Volumes_Text_ID" value="#{bundle.Host_Main_Mapped_Volumes}"
						styleClass="dmc_outputText">
					</h:outputText></TD>
					<TD align="left" width="22%" class ="dmc_headerClass"><h:outputText id="Address_Text_ID" value="#{bundle.Address}"
						styleClass="dmc_outputText"></h:outputText></TD>
					</TR>
					</tbody>
					</Table>
					</Div>
					</TD>
				</TR>
				<TR>
					<TD bgcolor="#FFFFFF">
					<div id="hostTabDiv" style="overflow-y:scroll;height:50">
					<table width="100%" id="discoverNewHostMainTable" cellspacing="0" cellpadding="0">
					<TR>
					<TD>
					<scmc:scmJspPanel id="hosts_iterator_panel">
					 <hx:dataIterator id="hosts_iterator_ID"
						value="#{pc_DiscoverNewHosts.discoverHostsPageBean.missingHostBeans}"
						var="hosts">
						<scmc:scmJspPanel id="nextNodeId_scmPanel_ID">
							<TABLE width="100%" id="#{treeTableController.nextNodeId}"  cellspacing="0" cellpadding="1"  border="0" class="rbceTableRow">
								<colgroup>
								<col width="10%"/>
								<col width="25%"/>
								<col width="20%"/>
								<col width="23%"/>
								<col width="22%"/>
								</colgroup>
								<thead>
									<TR class="scm_flyaway_component">
										<TH>&nbsp;</TH>
										<TH><h:outputText id="hidden_Host_Main_Host_Port_Text_ID1" value="#{bundle.Host_Main_Host_Port}"></h:outputText></TH>
										<TH><h:outputText id="hidden_Host_Main_Mapped_GB_Text_ID1" value="#{bundle.Host_Main_Mapped_GB}"></h:outputText></TH>
										<TH><h:outputText id="hidden_Host_Main_Mapped_Volumes_Text_ID1" value="#{bundle.Host_Main_Mapped_Volumes}"></h:outputText></TH>
										<TH><h:outputText id="hidden_Address_Text_ID1" value="#{bundle.Address}"></h:outputText></TH>
									</TR>
								</thead>
								<TBODY>
									<TR>
										<TD align="left" width="10%">
											<h:selectBooleanCheckbox id="rowSelectedStorageSystem"
																 title="#{hosts.name}"
																 value="#{hosts.selected}"
																 onclick="highLightingDiscoverHosts(this,'#{treeTableController.nodeId}')">
											</h:selectBooleanCheckbox>
											<h:outputText id="rowEnabled" style="display:none" value="#{hosts.enabled}" />
											</TD>
										<TD align="left" width="25%"><h:outputText styleClass="dmc_outputText"
											id="assignment" escape="false" value="#{hosts.imageName}"></h:outputText>
										</TD>
										<TD align="left" width="20%"><h:outputText id="mappedCapacityStr_Text_ID"
											styleClass="dmc_outputText" value="#{hosts.mappedCapacity}"></h:outputText>
										</TD>
										<TD align="left" width="23%"><h:outputText id="mappedVolumes_Text_ID"
											styleClass="dmc_outputText" value="#{hosts.mappedVolumes}"></h:outputText>
										</TD>
										<TD  align="left" width="22%"><h:outputText id="empty_Text_ID2"
											styleClass="dmc_outputText" value=""></h:outputText></TD>
									</TR>
								</TBODY>
							</TABLE>
						</scmc:scmJspPanel>
						<scmc:scmJspPanel id="nextNodeId2_scmPanel_ID">
						<DIV id="#{treeTableController.groupId}" name="#{treeTableController.folderName}_DIV">
						<scmc:scmJspPanel id="ports_iterator_panel">
						<hx:dataIterator id="ports_iterator_ID" value="#{hosts.ports}" var="ports">
							<scmc:scmJspPanel id="treeTableController_scmPanel_ID2">
								<TABLE width="100%" id="#{treeTableController.nextNodeId}" class="rbceTableRow" cellspacing="0" cellpadding="1" border="0">
									<colgroup>
									<col width="10%"/>
									<col width="25%"/>
									<col width="20%"/>
									<col width="23%"/>
									<col width="22%"/>
									</colgroup>
									<thead>
										<TR class="scm_flyaway_component">
											<TH>&nbsp;</TH>
											<TH><h:outputText id="hidden_Host_Main_Host_Port_Text_ID2" value="#{bundle.Host_Main_Host_Port}"></h:outputText></TH>
											<TH><h:outputText id="hidden_Host_Main_Mapped_GB_Text_ID2" value="#{bundle.Host_Main_Mapped_GB}"></h:outputText></TH>
											<TH><h:outputText id="hidden_Host_Main_Mapped_Volumes_Text_ID2" value="#{bundle.Host_Main_Mapped_Volumes}"></h:outputText></TH>
											<TH><h:outputText id="hidden_Address_Text_ID2" value="#{bundle.Address}"></h:outputText></TH>
										</TR>
									</thead>
									<TBODY>
										<TR>
											<td  align="left" width="10%">&nbsp;</td>
											<TD  align="left" width="25%">&nbsp;&nbsp;<h:outputText id="portImageName_Text_ID"
												styleClass="dmc_outputText" escape="false"
												value="#{ports.name}"></h:outputText></TD>
											<TD  align="left" width="20%"><h:outputText id="mappedCapacityStr_Text_ID2"
												styleClass="dmc_outputText" value="#{hosts.mappedCapacity}"></h:outputText></TD>
											<TD align="left" width="23%"><h:outputText id="mappedVolumes_Text_ID2"
												styleClass="dmc_outputText" value="#{hosts.mappedVolumes}"></h:outputText></TD>
											<TD  align="left" width="22%"><h:outputText id="wwn_Text_ID"
												styleClass="dmc_outputText" value="#{ports.wwn}"></h:outputText>
											</TD>
										</TR>
									</TBODY>
								</TABLE>
							#{treeTableController.groupEnded}
							</scmc:scmJspPanel>
						</hx:dataIterator>
						</scmc:scmJspPanel>
						</DIV>
						#{treeTableController.groupEnded}	
					</scmc:scmJspPanel>
					</hx:dataIterator>
					</scmc:scmJspPanel>
					</TD>
				</TR>
				</TABLE>
					</div>
					</TD>
				</TR>
			</TBODY>
		</TABLE>
	</scmc:scmJspPanel>
</f:subview>
