<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/MappedHosts.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/treetable.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
	<TITLE>MappedHosts</TITLE>
<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
	<hx:scriptCollector id="collector" preRender="#{pc_MappedHosts.onPageLoadBegin}">
	<jsp:include page="/page/rbce/common/InnMessages.jsp">
		<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="MappedHosts" />
	</jsp:include>
	<%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
		<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">	
			<jsp:param name="ENTER_SUBMIT_ID" value="" />	
		</jsp:include>	
		<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
				<hx:commandExButton type="button" style="display:none" id="onloadBehaviorBtn">
					<hx:behavior id="onloadBehaviorBtn_behavior_ID" event="onclick" behaviorAction="get;stop" targetAction="ajaxpanel" onActionFunction="return true;" />
				</hx:commandExButton> 										
						<hx:panelDialog id="confirm_dialog" movable="true" 
							initiallyShow="false" saveState="false" onshow="initSelectedHost();focusDialog(this,event);"
							style="width:530px;" type="modal" title="#{bundle.ConfirmationMessage}"
							showTitleCloseButton="false" styleClass="dmc_panelDialog">
							
							<TABLE width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-left: 8px;margin-right: 8px" onkeydown="return submitUtilReference.submitHandler(event);">
								<TBODY>
								<TR height="10"><TD></TD></TR>
								<TR>
									<TD valign="top" align="left" width="10%">
										<scmc:scmJspPanel id="confirm_image_panel_id">
											<IMG id="confirm_msg_img" src="<%=path%>/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
										</scmc:scmJspPanel>
									</TD>
									<TD width="90%">
						            	<h:outputText id="controllerIPText" value="#{bundle.UnmapHostHint}" styleClass="dmc_outputText" />
						            	<BR/>
						            	<BR/>
										<DIV id="selectedHostList">									
										</DIV>
									</TD>
								</TR>
								<TR height="10"><TD></TD></TR>
								<TR>
									<TD colspan="2">
									<TABLE><TR>
										<TD>
											<hx:commandExButton
												id="confirm_dialog_left" type="button" 
												onclick="unmapHostCompleteAction();"
												styleClass="dmc_commandExButton" value="#{bundle.OK}">
											</hx:commandExButton>
											<hx:commandExButton type="submit" style="display:none"
												id="unmapHostCompleteButton"
												onclick="showProgressIndicator('spinningDiv');"
												action="#{pc_MappedHosts.UnmapHostAction}"></hx:commandExButton>
												
											<hx:commandExButton
												id="confirm_dialog_right" type="button"
												styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
												<hx:behavior id="confirm_dialog_right_behavior_ID" event="onclick" targetAction="confirm_dialog;"
													behaviorAction="hide;stop;" onActionFunction="return true;"></hx:behavior>
											</hx:commandExButton>								
										</TD>
										<TD>
											<DIV id="spinningDiv" style="visibility:visible">
											</DIV>
										</TD>
									</TR></TABLE></TD>
								</TR>
								</TBODY>
							</TABLE>
														
						</hx:panelDialog>				 										
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
						<TR>
							<TD valign="top" colspan="2">
								<h:outputText id="Volume_Mapped_Hosts_Hint_Text_ID" style="display:none" styleClass="dmc_outputText" value="#{bundle.Volume_Mapped_Hosts_Hint}"></h:outputText>
							</TD>													
						</TR>
						<TR height="5"><TD></TD></TR>
						<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
					<h:panelGroup id="ajaxpanel">
								<hx:ajaxRefreshRequest id="ajaxpanel_request_ID"
									onerror="parent.showErrorMessageStorage();commonAjaxOnError();"
									oncomplete="MappedHosts_ShowDescription();parent.showErrorMessageStorage();alignHeaderTableAndContentTable('headerTableDivId','hostMainTable');beepWhenRefresh();"/>
									<hx:graphicImageEx id="waiting_image"
													rendered="#{!pc_MappedHosts.volumePropertiesPageBean.ajaxed}"
													value="/images/sort_of_slow_progress_bar.gif"
													title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
													align="middle" hspace="10" vspace="10"></hx:graphicImageEx>
										<h:outputText id="waiting_text"
													value="#{bundle.MappedHosts_obtaining_hosts}"
													rendered="#{!pc_MappedHosts.volumePropertiesPageBean.ajaxed}"
													styleClass="dmc_outputText"></h:outputText>
								<h:outputText id="no_hosts"
													value="#{bundle.MapHosts_No_Hosts}"
													rendered="#{pc_MappedHosts.volumePropertiesPageBean.ajaxed && !pc_MappedHosts.volumePropertiesPageBean.showHosts}"
													styleClass="dmc_outputText"></h:outputText>
								<hx:jspPanel id="MappedHostsPanel" rendered = "#{pc_MappedHosts.volumePropertiesPageBean.ajaxed && pc_MappedHosts.volumePropertiesPageBean.showHosts}">	
								<jsp:include page="Treetable.jsp"/>
								</hx:jspPanel>
								<h:outputText style="display:none" id="showHosts" value="#{pc_MappedHosts.volumePropertiesPageBean.showHosts}"></h:outputText>
							</h:panelGroup>
					<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
				<TD align="right" valign="bottom">
						
				</TD>
				<hx:commandExButton type="button" onclick="unmapHostAction();"
						value="#{bundle.Volume_Unmap_Host}"
						style="display:none"
						id="unmapHostSubmitBtn"></hx:commandExButton>				
				<hx:commandExButton type="button" style="display:none" id="unmapHostDialog">
					<hx:behavior id="unmapHostDialog_behavior_ID" event="onclick" targetAction="confirm_dialog"
						behaviorAction="show;stop;" onActionFunction="this.form.target='_self'" />
				</hx:commandExButton>
				<h:outputText style="display:none" id="unmapHost"
								value="#{bundle.Volume_Unmap_Host}"></h:outputText>
				<h:outputText style="display:none" id="parentPoolDismounted"
								value="#{pc_MappedHosts.volumePropertiesPageBean.selectedVolume.volumeParentPoolDismounted}"></h:outputText>
				<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
	</hx:scriptCollector>
	<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>