<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/PoolAssolatedVolumes.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
	<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
		<TITLE>PoolAssolatedVolumes</TITLE>
	<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
			<hx:scriptCollector id="collectorVolume" preRender="#{pc_PoolAssolatedVolumes.onPageLoadBegin}">
			<jsp:include page="/page/rbce/common/InnMessages.jsp">
				<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="PoolAssolatedVolumes" />
			</jsp:include><%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
		<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
								<hx:commandExButton type="button" style="display:none" id="onloadBehaviorBtn">
									<hx:behavior id="onloadBehaviorBtn_behavior_ID" event="onclick" behaviorAction="get;stop" targetAction="ajaxpanel" onActionFunction="return true;" />
								</hx:commandExButton>
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
							<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
							<h:panelGroup id="ajaxpanel">
								<hx:ajaxRefreshRequest id="ajaxpanel_Request_ID"
									onerror="parent.showErrorMessageStorage();commonAjaxOnError();" oncomplete="parent.showErrorMessageStorage();beepWhenRefresh();alignHeaderTableAndContentTable('headerTableDivId','storagePoolTable');" />
								<hx:jspPanel id="auditJspPanel">
									<TABLE border="0" cellpadding="0" cellspacing="0" width="100%" class="borderGray">
										<TR>
											<TD align="left" valign="top" bgcolor="#FFFFFF"><h:outputText
												id="noAvaliablePools" value="#{bundle.PoolNoVolume}"
												styleClass="dmc_outputText"
												rendered="#{!pc_PoolAssolatedVolumes.poolAssolatedVolumes.volumeAvaliable && pc_PoolAssolatedVolumes.poolAssolatedVolumes.ajaxed}">
											</h:outputText> <hx:graphicImageEx id="waiting_image"
												rendered="#{!pc_PoolAssolatedVolumes.poolAssolatedVolumes.ajaxed}"
												value="/images/sort_of_slow_progress_bar.gif" 
												title="#{bundle.Image_Waiting}" alt="#{bundle.Image_Waiting}"
												align="middle" hspace="10" vspace="10"></hx:graphicImageEx>
											<h:outputText id="waiting_text" value="#{bundle.PoolLoadingVolume}"
												rendered="#{!pc_PoolAssolatedVolumes.poolAssolatedVolumes.ajaxed}"
												styleClass="dmc_outputText"></h:outputText></TD>
										</TR>
											<hx:jspPanel id="poolVolumeTablePanel" rendered="#{pc_PoolAssolatedVolumes.poolAssolatedVolumes.ajaxed && pc_PoolAssolatedVolumes.poolAssolatedVolumes.volumeAvaliable}">
										<TR>
											<TD>
											<div id="headerTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv">
											<hx:dataTableEx border="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												cellpadding="0" cellspacing="0"
												headerClass="dmc_headerClass" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												id="storagePoolTableHead" width="100%"
												rendered="#{pc_PoolAssolatedVolumes.poolAssolatedVolumes.ajaxed && pc_PoolAssolatedVolumes.poolAssolatedVolumes.volumeAvaliable}">
												<hx:columnEx id="volumeColHead2" align="left" width="20%">
													<f:facet name="header">
														<h:outputText id="volumeName" styleClass="dmc_outputText"
															value="#{bundle.Name}"></h:outputText>
													</f:facet>
												</hx:columnEx>
												<hx:columnEx id="volumeColHead4" align="left" width="25%">
													<f:facet name="header">
														<h:outputText id="volumeColTitle4"
															styleClass="dmc_outputText" style="white-space:nowrap" value="#{bundle.Volume_Capacity_Table}"></h:outputText>
													</f:facet>
												</hx:columnEx>
												<hx:columnEx id="volumeColHead3" align="left" width="25%">
													<f:facet name="header">
														<h:outputText id="volumeColTitle3"
															styleClass="dmc_outputText" value="#{bundle.Status}"></h:outputText>
													</f:facet>
												</hx:columnEx>
												<hx:columnEx id="volumeColHead6"  align="left" width="30%">
													<f:facet name="header">
														<h:outputText id="volumeColTitle6"
															styleClass="dmc_outputText" value="#{bundle.PoolVolumeMappedHosts}"></h:outputText>
													</f:facet>
												</hx:columnEx>
											</hx:dataTableEx></div>
											</TD>
										</TR>
										<TR>
											<TD>	
											<div style="width:100%;height:200;overflow-y:scroll;" id="contentTableScrollDiv">
											<hx:dataTableEx border="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												cellpadding="0" cellspacing="0"
												headerClass="dmc_headerClass scm_DataTable_Body_Header" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2" summary="#{bundle.Table_Summary_Pool_Properties_Volumes}"
												id="storagePoolTable" width="100%"
												value="#{pc_PoolAssolatedVolumes.poolAssolatedVolumes.volumeBeans}"
												var="varVolumeBean">
												<hx:columnEx id="volumeCol2" align="left" width="20%">
													<f:facet name="header">
														<h:outputText id="volumeName_tableHeader" styleClass="dmc_outputText"
															value="#{bundle.Name}"></h:outputText>
													</f:facet>
													<h:outputText id="poolNameCol"
														value="#{varVolumeBean.name}" styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
												<hx:columnEx id="volumeCol4" align="left" width="25%">
													<f:facet name="header">
														<h:outputText id="volumeColTitle4_tableHeader"
															styleClass="dmc_outputText" style="white-space:nowrap" value="#{bundle.Volume_Capacity_Table}"></h:outputText>
													</f:facet>
													<h:outputText id="poolTotalGB"
														value="#{varVolumeBean.capacityStr}"
														styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
												<hx:columnEx id="volumeCol3" align="left" width="25%">
													<f:facet name="header">
														<h:outputText id="volumeColTitle3_tableHeader"
															styleClass="dmc_outputText" value="#{bundle.Status}"></h:outputText>
													</f:facet>
													<h:outputText id="poolStatus" escape="false"
														value="#{varVolumeBean.status}"
														styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
												<hx:columnEx id="volumeCol6"  align="left" width="30%">
													<f:facet name="header">
														<h:outputText id="volumeColTitle6_tableHeader"
															styleClass="dmc_outputText" value="#{bundle.PoolVolumeMappedHosts}"></h:outputText>
													</f:facet>
													<h:outputText id="poolVolumes"
														value="#{varVolumeBean.mappedHostNumber}"
														styleClass="dmc_outputText">
													</h:outputText>
												</hx:columnEx>
											</hx:dataTableEx></div></TD>
										</TR>
										</hx:jspPanel>
									</TABLE>
								</hx:jspPanel>
							</h:panelGroup>
						<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
						<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
			</hx:scriptCollector>
		<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>
