<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/SpareCoverage.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />

<%@ include file="/page/rbce/common/Header.jsp"%>

<BASE href="<%=basePath%>" />

<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />
<META http-equiv="Content-Style-Type" content="text/css" />

<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />

<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/SpareCoverage.js"></SCRIPT>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META name="GENERATOR" content="IBM Software Development Platform" />

<TITLE>SpareCoverage</TITLE>

</HEAD>

<f:view>
	<BODY class="wizardFrameBody" onload="initErrorMessage();innerMessagesInstance.display();parent.refreshNext();alignHeaderTableAndContentTable('headerTableDivId','disksTable');onLoad_SpareCoverage();">
		<!-- Waiting need -->
			<hx:scriptCollector id="collector" preRender="#{pc_SpareCoverage.onPageLoadBegin}">
					<jsp:include page="/page/rbce/common/InnMessages.jsp">
						<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="SpareCoverage" />
					</jsp:include>
					<h:form id="myForm" onsubmit="submitUtilReference.submitBlocker(event);" onkeydown="submitUtilReference.submitHandler(event);">
					<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
						<jsp:param name="ENTER_SUBMIT_ID" value="clickNextButton" />
					</jsp:include>
					<!-- Title and Description -->
					<table class="rbceTableHeaderRow" width="100%" 
							class="wizardBody">
						<tr>
							<td align="left" valign="top" width="70%">
								<h:outputText styleClass="dmc_outputTextTitle2UL" id="spare_coverage_title"
									value="#{bundle.Spare_Coverage_Title}">
								</h:outputText>
							</td>
						</tr>
						<tr>
							<td>
								<h:outputText styleClass="dmc_outputText" id="spare_coverage_desc"
									value="#{bundle.Spare_Coverage_Description}">
								</h:outputText>
							</td>
						</tr>
					</table>

					<!-- Label -->					
					<p><h:outputText styleClass="dmc_outputText" id="spare_coverage_label_1"
							value="#{bundle.Spare_Coverage_Label_1}">
					</h:outputText></p>
					<p><h:outputText styleClass="dmc_outputText" id="spare_coverage_label_2"
									value="#{bundle.Spare_Coverage_Label_2}">
					</h:outputText></p>
					<!-- Disk Table -->	
					<TABLE width="85%" height="160px" border="0" cellpadding="0" cellspacing="0" class="dmc_dataTable" style="margin-left: 4px">
					    <tr>
					    	<td bgcolor="#FFFFFF" valign="top">
					    		<h:outputText value="#{bundle.Spare_Coverage_No_Available_Disk}" rendered="#{!pc_SpareCoverage.spareCoveragePageBean.hasFreeDisks}" id="text_no_free_disks" styleClass="dmc_outputText"></h:outputText>
					    	</td>
					    </tr>
					    <hx:jspPanel id="disksTable_Panel_ID" rendered="#{pc_SpareCoverage.spareCoveragePageBean.hasFreeDisks}">
						<tr>
							<td bgcolor="#FFFFFF" valign="top">
							<div id="headerTableDivId" bgcolor="#FFFFFF" class="scm_DataTableHeaderDiv">
								<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
												rendered="#{pc_SpareCoverage.spareCoveragePageBean.hasFreeDisks}"
												headerClass="dmc_headerClass" footerClass="dmc_footerClass"
												rowClasses="dmc_rowClass1,dmc_rowClass2"
												id="DataTableHead" width="100%">
									<hx:columnEx id="type_column">
										<f:facet name="header">
											<h:outputText value="#{bundle.Spare_Coverage_Header_Disk_Type}" id="type_header_id" styleClass="dmc_outputText"></h:outputText>
										</f:facet>
										<f:attribute name="width" value="40%"/>
									</hx:columnEx>
									<hx:columnEx id="number_column">
										<f:facet name="header">
											<h:outputText value="#{bundle.Spare_Coverage_Header_Spares_Number}" id="number_header_id" styleClass="dmc_outputText"></h:outputText>
										</f:facet>
										<f:attribute name="width" value="30%"/>
									</hx:columnEx>
									<hx:columnEx id="CopyBack_column">
										<f:facet name="header">
											<h:outputText value="#{bundle.Global_Spare_Copyback_Label}" id="copyBack_header_id" styleClass="dmc_outputText"></h:outputText>
										</f:facet>
										<f:attribute name="width" value="30%"/>
									</hx:columnEx>
								</hx:dataTableEx></div>			
							</td>
						</tr>
						<tr>												
							<td bgcolor="#FFFFFF" valign="top">
									<div style="overflow-y:scroll;height:150px;">
									<hx:dataTableEx border="0" cellpadding="0" cellspacing="0" summary="#{bundle.Table_Summary_Assign_Global_Spare_Drives}"
													rendered="#{pc_SpareCoverage.spareCoveragePageBean.hasFreeDisks}"
													headerClass="dmc_headerClass scm_DataTable_Body_Header" footerClass="dmc_footerClass"
													rowClasses="dmc_rowClass1,dmc_rowClass2"
													id="disksTable" width="100%" style="border-top: 0px; border-bottom: 0px; table-layout: fixed;"
													value="#{pc_SpareCoverage.spareCoveragePageBean.allDiskType}"
													var="diskType">
										<hx:columnEx id="type_column_2">
										<f:facet name="header">
											<h:outputText value="#{bundle.Spare_Coverage_Header_Disk_Type}" id="type_header_id_tableHeader" styleClass="dmc_outputText"></h:outputText>
										</f:facet>
											<h:outputText value="#{diskType.displayName}" styleClass="dmc_outputText" id="type_name_id"></h:outputText>
											<f:attribute name="width" value="40%"/>
											<f:attribute name="align" value="left"/>
										</hx:columnEx>
										<hx:columnEx id="number_column_2">
										<f:facet name="header">
											<h:outputText value="#{bundle.Spare_Coverage_Header_Spares_Number}" id="number_header_id_tableHeader" styleClass="dmc_outputText"></h:outputText>
										</f:facet>
											<h:selectOneMenu id="number_column_2_menu" styleClass="dmc_selectOneMenu" 
												value="#{diskType.spareNumber}">
												<f:selectItems
													value="#{diskType.diskNumbers}" />
											</h:selectOneMenu>
											<f:attribute name="width" value="30%"/>
											<f:attribute name="align" value="left"/>
										</hx:columnEx>
									<hx:columnEx id="CopyBack_column_content">
										<f:facet name="header">
											<h:outputText value="#{bundle.Global_Spare_Copyback_Label}" id="copyBack_header_content_id" styleClass="dmc_outputText"></h:outputText>
										</f:facet>
										<h:selectBooleanCheckbox value="#{diskType.copyBack}" id="copyBackRowSelected" styleClass="dmc_outputText">
										</h:selectBooleanCheckbox>																											
										<f:attribute name="width" value="30%"/>
									</hx:columnEx>
								</hx:dataTableEx>										
									</div>
							</td>
						</tr>
						</hx:jspPanel>				
						</table>
						<hx:commandExButton style="display:none" id="nextStepButton" value="sumbit" type="submit" action="#{pc_SpareCoverage.spareCoveragePageBean.setSpareByDiskType}">
							<hx:behavior id="nextStepButton_behavior_ID" event="onclick" onActionFunction="showProgressIndicator('spinningDiv');document.getElementById(namespace_g + 'myForm').target='_parent'"></hx:behavior>
						</hx:commandExButton>
						
						<input type="hidden" id="view:myForm:isNext" value="true" /></input>
						<input type="hidden" id="NextButtonID" value="myForm:nextStepButton" />
						<!-- ------------ HANDLING FORM SUBMIT (BUTTON)---------------------------------------- -->
						<hx:commandExButton type="button" style="display:none"
							id="clickNextButton" onclick="submitUtilReference.clickNextButtonInwizard();">
						</hx:commandExButton>
						<!-- ------------ End HANDLING -------------------------------------------------------- -->
						<table>
							<tr>
							    <td><div id="spinningDiv" style="visibility:visible"></div></td>
							</tr>
						</table>
					</h:form>
			</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
