<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/rbce/storage/VolumePropertyTabs.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/page/templates/ObjectProperties.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ page import="com.ibm.scm.gui.rbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/rbce/common/Header.jsp"%>
<BASE href="<%=basePath%>" />
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<f:loadBundle basename="com.ibm.scm.gui.rbce.nls.GWMSBL" var="bundle" />
<META http-equiv="Content-Style-Type" content="text/css" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbstyle.css" title="Style" />
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/dmcsbtables.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/templates/template_common.js"></SCRIPT>
<%-- tpl:put name="scriptarea" --%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<LINK rel="stylesheet" type="text/css" href="<%=path%>/css/tabpanel.css" title="Style" />
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/storage/storage.js"></SCRIPT>
<SCRIPT type="text/javascript" src="<%=path%>/page/rbce/common/InnMessages.js"></SCRIPT>
<%-- /tpl:put--%>
<%-- tpl:put name="headarea" --%>
	<TITLE>VolumePropertyTabs</TITLE>
<%-- /tpl:put --%>
</HEAD>
<f:view>
	<BODY onload="customOnLoad();">
	<%-- tpl:put name="scriptcollectorarea"--%>
	<hx:scriptCollector id="collector" preRender="#{pc_VolumePropertyTabs.onPageLoadBegin}">
		<jsp:include page="/page/rbce/common/InnMessages.jsp">
			<jsp:param name="SCM_MSGHOLDERKEY_PARAM" value="VolumePropertyTabs" />
		</jsp:include>
	<%-- /tpl:put --%>
	<h:form id="myForm" styleClass="dmc_outputText" onsubmit="return submitUtilReference.submitBlocker(event);" onkeydown="return submitUtilReference.submitHandler(event);">
	<%-- tpl:put name="submitHandleArea" --%>
	<jsp:include page="/page/rbce/common/SubmitRestrict.jsp">
		<jsp:param name="ENTER_SUBMIT_ID" value="" />
	</jsp:include>
	<%-- /tpl:put --%>
	<TABLE width="100%" border="0" cellpadding="0" cellspacing="0">
		<TBODY>
			<TR>
				<TD valign="top">
					<TABLE width="100%">
						<TR>
							<TD valign="top">
								<%-- tpl:put name="titlearea" --%>
								<%-- /tpl:put --%>
							</TD>
							<TD align="right" valign="top">
								<%-- tpl:put name="titleimagearea" --%>
								<table width="100%">
								<tr>
									<td width="35">
									<hx:graphicImageEx styleClass="graphicImageEx"
										id="imageEx1" value="/images/entity/volume_large.gif" 
										title="#{bundle.Image_Volume}" alt = "#{bundle.Image_Volume}"></hx:graphicImageEx>
									</td>
									<td align="left" >
									
									<table width="75%">
										<tr>
											<td valign="top" align="left" width="30%">
												<h:outputText id="nickname_output" styleClass="dmc_outputText" value="#{bundle.Volume_Name}"></h:outputText></td>
											<td valign="top" align="left" >
												<h:outputText id="nicknametxt" styleClass="dmc_outputText" value="#{pc_VolumePropertyTabs.volumePropertiesPageBean.selectedVolume.nickName}"></h:outputText>
											</td>
										</tr>
										<tr>
											<td align="left">
												<h:outputText id="status_output" styleClass="dmc_outputText" value="#{bundle.SwitchModule_Status}"></h:outputText></td>
											<td>
												<h:outputText id="statustxt" styleClass="dmc_outputText" escape="false" value="#{pc_VolumePropertyTabs.volumePropertiesPageBean.selectedVolume.propertiesStatus}"></h:outputText>
											</td>
										</tr>
									</table>
									
									</td>
									<TD valign="top" colspan="2" align="right">
										<A href="#" class="commandLink" id="help_link" target="helpwin" 
											onclick="window.open('/help/topic/com.ibm.storage.rssm.doc/scm_rss_volume_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;">
											<h:outputText id="Help_Text_ID" styleClass="dmc_outputText" value="#{bundle.Help}"></h:outputText>
										</A>								
									</TD>
								</tr>
							</table>
							<hx:panelDialog id="confirm_dialog" movable="true" initiallyShow="false" saveState="false" style="width:350px;" onshow="focusDialog(this,event);"
								type="modal" showTitleCloseButton="false" styleClass="dmc_panelDialog" title="#{bundle.ConfirmationMessage}">
								
								<TABLE width="95%" cellpadding="0" cellspacing="0" border="0" style="margin-left: 8px;margin-right: 8px" onkeydown="return submitUtilReference.submitHandler(event);">
									<TBODY>
									<TR height="10"><TD></TD></TR>
									<TR>
										<TD valign="top" align="left" width="10%">
											<hx:graphicImageEx id="confirm_msg_img" value="/images/status/statusUnknown_obj30.gif" title="#{bundle.Image_Confirm}" alt="#{bundle.Image_Confirm}" />
										</TD>
										<TD width="90%">
											<h:outputText id="controllerIPText" value="#{bundle.VolumePropertiesCacheHint} "
											styleClass="dmc_outputText" />
											<h:outputText styleClass="dmc_outputText" id="cacheReset" value="" /><h:outputText
											styleClass="dmc_outputText" id="period" value="#{bundle.Period}" />							            
										</TD>
									</TR>
									<TR height="10"><TD></TD></TR>
									<TR>
										<TD colspan="2">
										<TABLE cellpadding="0" cellspacing="0" border="0">
										<TR>
											<TD>
											<hx:commandExButton id="confirm_dialog_left" type="button" styleClass="dmc_commandExButton" value="#{bundle.OK}" onclick="doOK_controller_Button();">
												<hx:behavior id="confirm_dialog_left_behavior_ID" event="onclick" targetAction="myForm:confirm_dialog" behaviorAction="hide;stop;">
												</hx:behavior>
											</hx:commandExButton>
											<hx:commandExButton id="confirm_dialog_right" type="button" styleClass="dmc_commandExButton" value="#{bundle.Cancel}">
												<hx:behavior id="confirm_dialog_right_behavior_ID" event="onclick" targetAction="confirm_dialog;" behaviorAction="hide;stop;" onActionFunction="return true;">
												</hx:behavior>
											</hx:commandExButton>
											</TD>
											<TD></TD>
										</TR>
										</TABLE>									
										</TD>
									</TR>
									</TBODY>
								</TABLE>
								
								</hx:panelDialog>
								<%-- /tpl:put --%>
							</TD>							
						</TR>
						<%-- tpl:put name="description" --%>
						
						<%-- /tpl:put --%>					
					</TABLE>
					<%-- tpl:put name="bodyarea" --%>
					<table cellpadding="0" cellspacing="0" width="95%" border="0" align="center">
						<tr style="display:none">
							<td><h:outputText id="selectedTabName" style="display:none" value="#{pc_VolumePropertyTabs.tabValue}"></h:outputText></td>
						</tr>
						<tr>
							<td><odc:tabbedPanel styleClass="scm_tabbedPanel" width="100%"
									variableTabLength="false" showBackNextButton="false"
									showTabs="true" slantActiveRight="4" slantActiveLeft="4"
									slantInactiveRight="4" slantInactiveLeft="4"
									id="tabbedVolumeProperties" height="280" >
									<odc:bfPanel id="generalTab" name="#{bundle.Volume_Property_General}" showFinishCancelButton="false" >
									    <scmc:scmJspPanel id="generalTab_panel_iframe">
										<iframe id="iframe1" frameborder="0" name="volGenneral" scrolling="no"
											style="width:100%; height:100%"
											src="" title="#{bundle.Volume_Property_Frame_Title}"> </iframe>
										</scmc:scmJspPanel>	
									</odc:bfPanel>
									<odc:bfPanel id="volumeHostsTab" name="#{bundle.Volume_Mapped_Hosts}" showFinishCancelButton="false" onenter="return StorageTabOnEnter(this,event)">
									    <scmc:scmJspPanel id="hostsTab_panel_iframe">
										<iframe id="iframe2" frameborder="0" name="attachedHosts" scrolling="no"
											style="width:100%; height:100%"
											src="" title="#{bundle.Volume_Host_Frame_Title}"> </iframe>
										</scmc:scmJspPanel>	
									</odc:bfPanel>
									<odc:bfPanel id="volumeDisksTab" name="#{bundle.Volume_Disk_Drives}" showFinishCancelButton="false" onenter="return StorageTabOnEnter(this,event)">
									    <scmc:scmJspPanel id="disksTab_panel_iframe">
										<iframe id="iframe3" frameborder="0" name="relatedDisks"
											style="width:100%; height:100%" scrolling="no" src="" title="#{bundle.Volume_Disk_Frame_Title}"> </iframe>
										</scmc:scmJspPanel>	
									</odc:bfPanel>
									
									<f:facet name="back">
										<hx:commandExButton type="submit" value="&lt; Back"
											id="tabbedPanel1_back" style="display:none"></hx:commandExButton>
									</f:facet>
									<f:facet name="next">
										<hx:commandExButton type="submit" value="Next &gt;"
											id="tabbedPanel1_next" style="display:none"></hx:commandExButton>
									</f:facet>
									<f:facet name="finish">
										<hx:commandExButton type="submit" value="Finish"
											id="tabbedPanel1_finish" style="display:none"></hx:commandExButton>
									</f:facet>
									<f:facet name="cancel">
										<hx:commandExButton type="submit" value="Cancel"
											id="tabbedPanel1_cancel" style="display:none"></hx:commandExButton>
									</f:facet>
								</odc:tabbedPanel></td>
						</tr>
					</table>
						<script>
								var tab = document.getElementById(namespace_g + 'myForm:selectedTabName').innerHTML;
								if(tab !=""){
								    tab=namespace_g + "myForm:tabbedVolumeProperties:"+tab;
									eval(ns + 'ODCTabPanelControlVar1').restoreUIState(tab);
									}
							</script>
					
					<%-- /tpl:put --%>					
				</TD>
			</TR>
			<TR>
				<%-- tpl:put name="bodybehaviorarea"--%>
				<TD align="left">
					<TABLE cellspacing="0" cellpadding="0" border="0" width="50%">
						<tr height="5">
							<td colspan="2"></td>
						</tr>
						<tr>
							<td width="15"></td>
							<td><hx:commandExButton id="closeButton" type="button" value="#{bundle.Close}"
									styleClass="dmc_commandExButton" onclick="closeVolumePropertyModal();">
								</hx:commandExButton>
							</td>
						</tr>
						<tr style="display:none">
							<td>&nbsp;</td>
							<td><h:outputText id="editMode" value="false" style="display:none"></h:outputText>
							<h:outputText id="host_Unmapped" value="false" style="display:none"></h:outputText>							
							<hx:commandExButton id="confirm_Button" type="button" style="display:none">
								<hx:behavior id="confirm_Button_behavior_ID" event="onclick" targetAction="myForm:confirm_dialog"
									behaviorAction="show;stop;">
								</hx:behavior>
							</hx:commandExButton>							
							<hx:commandExButton type="submit" id="propertiesUpdater" style="display:none" 
								onclick="showProgressIndicator('spinningDiv');"
								action="#{pc_VolumePropertyTabs.updateVolumeProperties}">
							</hx:commandExButton>
							<input type="hidden" value="" id="myForm:isNext" /></td>
						</tr>
					</TABLE></TD>
				<%-- /tpl:put --%>
			</TR>
		</TBODY>
	</TABLE>
	</h:form>
	<%-- tpl:put name="scriptcollectorareaEnd"--%>
	</hx:scriptCollector>
	<%-- /tpl:put --%>
	</BODY>
</f:view>
</HTML>
<%-- /tpl:insert --%>