//prevent page reload after ajax call
var STOP_ON_LOAD_EVENT = "false";
var UTILITYDIALOG_IFRAME_DELTA_HEIGHT = 10;
//Cached event to use for panelDialog show/hide
var cachedClickEvent = null;

//AJAX set up 
var xmlHttp = null;
var stateChangedFunction = "";

// -- Confirmation dialog setup -- BEGING --
var confirmDialogText = ""; 
var leftButtonText = "";
var rightButtonText = "";
var confirmFunction = "";
// -- Confirmation dialog setup -- END --

//Ajax call set up 
function getXmlHttpObject(){ 
	var objXMLHttp=null;
	if (window.XMLHttpRequest){
		objXMLHttp=new XMLHttpRequest();
	}
	else if (window.ActiveXObject){
		objXMLHttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	return objXMLHttp
} 

//url - URL to make AJAX call to
//onComcpleteFunction - execute onCompleteFunction 
function ajaxCall(url, onComcpleteFunction){	
	onCompleteFunction = stateChangedFunction;
	xmlHttp=getXmlHttpObject();
	xmlHttp.onreadystatechange=stateChanged();
	
	xmlHttp.open("POST",url,true);
	xmlHttp.send(null);	
} 

function ajaxComplete(){ 
	disableConfirmButtons()(false);
	eval(stateChangedFunction);
}



//JavaScript to set up a refresh timestamp on pages
function setLastRefreshStamp(){
	document.getElementById("templ_date").innerHTML = getLocalizedCurrentTimeStamp();
}
//This function will enable or disable refresh button on the page. 
//disable -- true= disable, false = enable
function disableRefreshButton(disable){  

	if (document.getElementById(namespace_g + 'myForm:refreshBtn')) {
	document.getElementById(namespace_g + 'myForm:refreshBtn').disabled = disable;
	
	var hint = document.getElementById(namespace_g + 'myForm:textRefresh_hint').innerHTML;
	
	if(disable){
		document.getElementById("templ_date").innerHTML = hint;
	}
	}
}

//This function will hide the main contents while page is refreshing with refresh button
//flag -- true=display contents; false = hide contents
function displayMainContents(flag){
	if(flag){
		document.getElementById('request_div').style.display = 'block';
		document.getElementById('progress_div').style.display = 'none';
	}
	else{
		document.getElementById('request_div').style.display = 'none';
		document.getElementById('progress_div').style.display = 'block';
	}	
}

//Start displaying "waiting" image while iFrame content is loading 
function startWait(dialogId){
	if (typeof dialogId == "undefined" || dialogId == "util_dialog" || dialogId == null || dialogId == ""){
	   if( document.getElementById('templ_waitDiv_utility')){
		   document.getElementById('templ_waitDiv_utility').style.display = "block";
		} else if (parent.document.getElementById('templ_waitDiv_utility')){
				parent.document.getElementById('templ_waitDiv_utility').style.display = "block";				
	    }
	} else if(dialogId == 'util_dialog_sec_level'){
	   if( document.getElementById('templ_waitDiv_utility_sec_level')){
		   document.getElementById('templ_waitDiv_utility_sec_level').style.display = "block";		 
		}else if(parent.document.getElementById('templ_waitDiv_utility_sec_level')){
				parent.document.getElementById('templ_waitDiv_utility_sec_level').style.display = "block";				
	    }
	} else if (dialogId == 'discover_dialog') {
	   if ( document.getElementById('templ_waitDiv_discover_dialog')) {
			document.getElementById('templ_waitDiv_discover_dialog').style.display = "block";		 
		} else if (parent.document.getElementById('templ_waitDiv_discover_dialog')) {
			parent.document.getElementById('templ_waitDiv_discover_dialog').style.display = "block";				
	    }
	}
}

//Stop displaying "waiting" image once iFrame content is loaded
function stopWait(dialogId){		
	if(typeof dialogId == "undefined" || dialogId == "util_dialog" || dialogId == null || dialogId == ""){
	   if (document.getElementById('templ_waitDiv_utility')) {
			document.getElementById('templ_waitDiv_utility').style.display = "none";
			//document.getElementById('templ_u_iframe_div').style.display = "block";
			document.getElementById('templ_u_iframe_div').style.visibility = "visible";
			adjustIEFrame();
	   } else if (parent.document.getElementById('templ_waitDiv_utility')) {
			parent.document.getElementById('templ_waitDiv_utility').style.display = "none";
			//parent.document.getElementById('templ_u_iframe_div').style.display = "block";
			parent.document.getElementById('templ_u_iframe_div').style.visibility = "visible";
	   }
	} else if (dialogId == 'util_dialog_sec_level') {
	   if (document.getElementById('templ_waitDiv_utility_sec_level')) {
			document.getElementById('templ_waitDiv_utility_sec_level').style.display = "none";
			document.getElementById('templ_u_iframe_div_sec_level').style.visibility = "visible";
			adjustIEFrame();
			
	   } else if (parent.document.getElementById('templ_waitDiv_utility_sec_level')){
			parent.document.getElementById('templ_waitDiv_utility_sec_level').style.display = "none";
			parent.document.getElementById('templ_u_iframe_div_sec_level').style.visibility = "visible";
	   }
	} else if (dialogId == 'discover_dialog') {
		if (document.getElementById('templ_waitDiv_discover_dialog')){
			document.getElementById('templ_waitDiv_discover_dialog').style.display = "none";
			document.getElementById('templ_u_iframe_div_discover_dialog').style.visibility = "visible";
			adjustIEFrame();
			
		} else if (parent.document.getElementById('templ_waitDiv_discover_dialog')){
			parent.document.getElementById('templ_waitDiv_discover_dialog').style.display = "none";
			parent.document.getElementById('templ_u_iframe_div_discover_dialog').style.visibility = "visible";
		}
	}
}

function onDialogHide(thisObj,thisEvent){
	document.getElementById('templ_u_iframe').src='';
	initDialog(thisObj,thisEvent);
}
	
function initDialog(thisObj,thisEvent){
	var width = document.body.clientWidth;
	var height = document.body.clientHeight;
	
	var objWidth = thisObj.clientWidth;
	var objHeight = thisObj.clientHeight;
	
	if(width>objWidth && height>objHeight){
		var top = height/2 - objHeight/2;
		var left = width/2 - objWidth/2;
		thisObj.style.top = top;
		thisObj.style.left = left;	
		
	}else if(width>objWidth && height<objHeight){
		var left = width/2 - objWidth/2;
		thisObj.style.top = 25;
		thisObj.style.left = left;	
	
	}else if(width<objWidth && height>objHeight){
		var top = height/2 - objHeight/2;
		thisObj.style.top = top;
		thisObj.style.left = 25;		
	}else{
		thisObj.style.top = 25;
		thisObj.style.left = 25;	
	}
}

//This method is used to set form target . 
//When pages load in an iFrame target needs to be set to that iFrame instead of main page. 
//Consequently  form target will need to be updated  to page for full page reloads.
//thisevent - a click event will be cached panelDialog show/hide
//target - form submit target
//width, height - allow to set dimensions for panelDialog
function setFormTarget(varwidth, varheight){
	document.getElementById(namespace_g + "myForm").target = "templ_u_iframe";
	adjustDialogSize(varwidth , varheight);
}

function adjustDialogSize(varwidth , varheight) {
	var clientWidth = 0;
	var clientHeight = 0;
	
	var marginWidth = document.getElementById("templ_u_iframe").marginWidth;
	var marginHeight = document.getElementById("templ_u_iframe").marginHeight;
	
	var titleHeight = 18;
	var borderWidth = 2;
	
	if(typeof varwidth == "undefined" || varwidth == null || varwidth == ""){	
		clientWidth  = document.body.offsetWidth*0.80; //set a better pop-up width 
		document.getElementById(namespace_g + "myForm:util_subview:util_dialog").style.width = clientWidth;
	} else {
		clientWidth = varwidth;
		document.getElementById(namespace_g + "myForm:util_subview:util_dialog").style.width = (clientWidth + 2 * marginWidth + 2 * borderWidth);
		document.getElementById("templ_u_iframe").style.width = (clientWidth + 2 * marginWidth);
	}
	
	if(typeof varheight == "undefined" || varheight == null || varheight == ""){
		clientHeight  = window.outerHeight*0.75; //set a better pop-up width 
		document.getElementById(namespace_g + "myForm:util_subview:util_dialog").style.height = clientHeight;
	} else {
		clientHeight = varheight;
		document.getElementById(namespace_g + "myForm:util_subview:util_dialog").style.height = (clientHeight + 2 * marginHeight + titleHeight + 2 * borderWidth);
		document.getElementById("templ_u_iframe").style.height = (clientHeight + 2 * marginHeight);
	}
}

/*
 * Defect 8442 : adjust dialog size for validation message
 */
var _panelIDs = new Array();
_panelIDs[0] = namespace_g + "myForm:util_subview:util_dialog";
_panelIDs[1] = namespace_g + "myForm:util_dialog_sec_level";
_panelIDs[2] = namespace_g + "myForm:discover_dialog";
	
var _frameIDs = new Array();
_frameIDs[0] = "templ_u_iframe";
_frameIDs[1] = "templ_u_iframe_sec_level";
_frameIDs[2] = "templ_u_iframe_discover_dialog";

var _defaultPanelID = _panelIDs[0];
var _defaultFrameID = _frameIDs[0];
	
// flag for pop-up dialog	
var _enabledDialog = false;
var UTILITYDIALOG_IFRAME_DELTA_HEIGHT = 10;

function adjustDialogSizeForValidationMessage(varwidth , varheight){
	// find frame
	var activeFrameID = findCurrentPanel();
	var frameobj = parent.document.getElementById(activeFrameID);

	// find dialog
	var activeDialogID = findMatchDialogID(activeFrameID);
	var dialogobj = parent.document.getElementById(activeDialogID);
	
	var clientWidth = 0;
	var clientHeight = 0;
		
	var titleHeight = 18;
	var borderWidth = 2;
	
	if(dialogobj && frameobj && _enabledDialog){
	    var marginWidth = frameobj.marginWidth;
		var marginHeight = frameobj.marginHeight;
		if(typeof varwidth == "undefined" || varwidth == null || varwidth == ""){	
			clientWidth  = document.body.offsetWidth*0.80; //set a better pop-up width 
			dialogobj.style.width = clientWidth;
		} else {
			clientWidth = varwidth;
			dialogobj.style.width = (clientWidth + 2 * marginWidth + 2 * borderWidth);
			frameobj.style.width = (clientWidth + 2 * marginWidth);
		}
		
		if(typeof varheight == "undefined" || varheight == null || varheight == ""){
			clientHeight  = window.outerHeight*0.75; //set a better pop-up width 
			dialogobj.style.height = clientHeight;
		} else {
			clientHeight = varheight;
			dialogobj.style.height = (clientHeight + 2 * marginHeight + titleHeight + 2 * borderWidth);
			frameobj.style.height = (clientHeight + 2 * marginHeight);
		}	
	}		
}
	
	/////////////////////////////////////////////////////////////////////////////////////////////
	//			Internal  Methods
	/////////////////////////////////////////////////////////////////////////////////////////////		
	function findMatchDialogID(frameid) {
		var len = _frameIDs.length;
		
		for (var i = 0;i < len;i ++) {
			if (frameid == _frameIDs[i]) {
				return _panelIDs[i];
			}
		}
		
		return _defaultPanelID;
	}
	
	function findCurrentPanel() {
		var innerPath = document.location.pathname;
		var len = _frameIDs.length;
		for (var i = 0;i < len;i ++) {
			var frameobj = parent.document.getElementById(_frameIDs[i]);
			if (frameobj) {
				var documentobj = frameobj.contentDocument ? frameobj.contentDocument : frameobj.contentWindow.document;
				if (documentobj != null && documentobj.location != null) {				
					var framePath = documentobj.location.pathname;
					if (innerPath == framePath) {
						_enabledDialog = true;
						return _frameIDs[i];
					}
				}
			}
		}
		
		_enabledDialog = false;
		return _defaultFrameID;
	}	
	
	function getOriginalDialogHeight(){
		// find frame
		var activeFrameID = findCurrentPanel();
		var frameobj = parent.document.getElementById(activeFrameID);
	
		var heightStr =  frameobj.style.height;
		if(heightStr.indexOf("px")>-1){
			heightStr = heightStr.substring(0,heightStr.indexOf("px"));
		}
		return Number(heightStr);
	}
/*
 * Defect 8442 : End
 */
 
 
function setFormTargetFromMap(varwidth, varheight){
	document.getElementById(namespace_g + "myForm").target = "templ_u_iframe_sec_level";
	parent.adjustDialogSizeFromMap(varwidth , varheight);
	parent.document.getElementById(parent.namespace_g + "myForm:util_dialog_sec_level_luncher").click();
}
//map volumes used
function adjustDialogSizeFromMap(varwidth , varheight) {
	var clientWidth = 0;
	var clientHeight = 0;
	
	var marginWidth = document.getElementById("templ_u_iframe_sec_level").marginWidth;
	var marginHeight = document.getElementById("templ_u_iframe_sec_level").marginHeight;
	
	var titleHeight = 18;
	var borderWidth = 2;
	
	if(typeof varwidth == "undefined" || varwidth == null || varwidth == ""){	
		clientWidth  = document.body.offsetWidth*0.80; //set a better pop-up width 
		document.getElementById(namespace_g + "myForm:util_dialog_sec_level").style.width = clientWidth;
	} else {
		clientWidth = varwidth;
		document.getElementById(namespace_g + "myForm:util_dialog_sec_level").style.width = (clientWidth + 2 * marginWidth + 2 * borderWidth);
		document.getElementById("templ_u_iframe_sec_level").style.width = (clientWidth + 2 * marginWidth);
	}
	
	if(typeof varheight == "undefined" || varheight == null || varheight == ""){
		clientHeight  = window.outerHeight*0.75; //set a better pop-up width 
		document.getElementById(namespace_g + "myForm:util_dialog_sec_level").style.height = clientHeight;
	} else {
		clientHeight = varheight;
		document.getElementById(namespace_g + "myForm:util_dialog_sec_level").style.height = (clientHeight + 2 * marginHeight + titleHeight + 2 * borderWidth);
		document.getElementById("templ_u_iframe_sec_level").style.height = (clientHeight + 2 * marginHeight);
	}
}

function adjustDialogSizeFromMapWizard(varwidth , varheight){
	var clientWidth = 0;
	var clientHeight = 0;
	
	var marginWidth = document.getElementById("templ_u_iframe_discover_dialog").marginWidth;
	var marginHeight = document.getElementById("templ_u_iframe_discover_dialog").marginHeight;
	
	var titleHeight = 18;
	var borderWidth = 2;
	
	if(typeof varwidth == "undefined" || varwidth == null || varwidth == ""){	
		clientWidth  = document.body.offsetWidth*0.80; //set a better pop-up width 
		document.getElementById(namespace_g + "myForm:discover_dialog").style.width = clientWidth;
	} else {
		clientWidth = varwidth;
		document.getElementById(namespace_g + "myForm:discover_dialog").style.width = (clientWidth + 2 * marginWidth + 2 * borderWidth);
		document.getElementById("templ_u_iframe_discover_dialog").style.width = (clientWidth + 2 * marginWidth);
	}
	
	if(typeof varheight == "undefined" || varheight == null || varheight == ""){
		clientHeight  = window.outerHeight*0.75; //set a better pop-up width 
		document.getElementById(namespace_g + "myForm:discover_dialog").style.height = clientHeight;
	} else{
		clientHeight = varheight;
		document.getElementById(namespace_g + "myForm:discover_dialog").style.height = (clientHeight + 2 * marginHeight + titleHeight + 2 * borderWidth);
		document.getElementById("templ_u_iframe_discover_dialog").style.height = (clientHeight + 2 * marginHeight);
	}
}

function onDialogHideFromMapStandalone(thisObj,thisEvent){
	document.getElementById('templ_u_iframe_sec_level').src='';
	onDialogHideFromMap(thisObj,thisEvent);
}

function onDialogHideFromMapWizard(thisObj,thisEvent){
	document.getElementById('templ_u_iframe_discover_dialog').src='';
	onDialogHideFromMap(thisObj,thisEvent);
}


function onDialogHideFromMap(thisObj,thisEvent){
	var width = document.body.clientWidth;
	var height = document.body.clientHeight;
	
	var objWidth = thisObj.clientWidth;
	var objHeight = thisObj.clientHeight;
	
	if(width>objWidth && height>objHeight){
		var top = height/2 - objHeight/2;
		var left = width/2 - objWidth/2;
		thisObj.style.top = top;
		thisObj.style.left = left;	
		
	}else if(width>objWidth && height<objHeight){
		var left = width/2 - objWidth/2;
		thisObj.style.top = 25;
		thisObj.style.left = left;	
	
	}else if(width<objWidth && height>objHeight){
		var top = height/2 - objHeight/2;
		thisObj.style.top = top;
		thisObj.style.left = 25;		
	}else{
		thisObj.style.top = 25;
		thisObj.style.left = 25;	
	}
}


function adjustIEFrame() {
	if (document.getElementById(namespace_g + "myForm:util_subview:util_dialog_if")) {
		var additionIFrame = document.getElementById(namespace_g + "myForm:util_subview:util_dialog_if");
		additionIFrame.style.height = document.getElementById("templ_u_iframe").style.height;
	}else if (document.getElementById(namespace_g + "myForm:discover_dialog_if")) {
		var additionIFrame = document.getElementById(namespace_g + "myForm:discover_dialog_if");
		additionIFrame.style.height = document.getElementById("templ_u_iframe_discover_dialog").style.height;
	}else if (document.getElementById(namespace_g + "myForm:util_dialog_sec_level_if")) {
		var additionIFrame = document.getElementById(namespace_g + "myForm:util_dialog_sec_level_if");
		additionIFrame.style.height = document.getElementById("templ_u_iframe_sec_level").style.height;
	}
}
//Dynamically sets the title for utility dialog
function setUtilDialogTitle(titleString){
	document.getElementById(namespace_g + "myForm:util_subview:util_dialog_tb").lastChild.nodeValue = titleString;
	//defect 11351, change the title property for better support accessbility
	document.getElementById("templ_u_iframe").title = titleString;
}

//Close panel dialog (Normally this mathod will be used from a page opened in an iFrame
//dialogName - specifies which dialog to close
//clickEvent - in the case that a click event occured to invoke this method, use that clickEvent. 
//Otherwise if clickEvent = NULL , then use cached event
function closeDialog(dialogName, clickEvent){
	document.getElementById("templ_u_iframe").src="";
	if(dialogName == "util_dialog")
		dialog = hX_5.getComponentById("myForm:util_subview:util_dialog");
	else if(dialogName == "confirm_dialog")
		dialog = hX_5.getComponentById("myForm:confirm_subview:confirm_dialog");
	
	if(dialog != null){
		dialog.redraw();
		if(clickEvent != null)
			dialog.hide(clickEvent)
		else
			dialog.hide(cachedClickEvent);	
	}			
}

function setupConfirmDialog(mainText, confirmAction, leftButton, rightButton){
	confirmDialogText = mainText;
	leftButtonText = leftButton;
	rightButtonText = rightButton;
	confirmFunction = confirmAction;
	
	document.getElementById("confirm_text").innerHTML = confirmDialogText;
	if(leftButton != ""){
		document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_left").style.display = "";
		document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_left").value = leftButtonText;
	}
	if(rightButton !=""){
		document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_right").style.display = "";
		document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_right").value = rightButtonText;
	}
	if(leftButton == null || leftButton == ""){
		document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_left").style.display = "none";
	}
	if(rightButton == null || rightButton == ""){
		document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_right").style.display = "none";
	}
}

function disableConfirmButtons(flag){
	document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_left").disabled = flag;
	document.getElementById(namespace_g + "myForm:confirm_subview:confirm_dialog_right").disabled = flag;
}



//Change current selected device on ViewObjects pages
function changeDevice(){
	document.getElementById("form1").target = "";
	document.getElementById("form1").submit();
}
function changeDeviceList(thisform){
	thisform.target = "";
	thisform.submit();
}
//This function will exectute custom on page load function
//onLoad function must be of the following format:
//	onLoad_PAGETITLE();	


//This function will execute user specified function uppon confirm OK press. 
function doConfirmFunction(){
	disableConfirmButtons(false);
	eval(confirmFunction);
}

function customOnLoad(){	
    if (STOP_ON_LOAD_EVENT == "true"){
    	return;
    }
    STOP_ON_LOAD_EVENT = "true";
   //alert(STOP_ON_LOAD_EVENT);
    
    var title = window.page_name_def || document.title;
    var pageOnLoad = "onLoad_" + title + "()";
    try{
	  eval(pageOnLoad);
    }catch(error){
    };

}

// ------------------------------------ SHELLS --------------------------------

function startShellLoading()
{
	try
	{
	document.getElementById('staticLoadingDiv').style.display='block'; 
	}
	catch(e){}
	document.getElementById('dynamicDiv').style.visibility='hidden';
	
	// Make the dynamic frame very small
	document.getElementById('dynamicFrame').style.height = "1px";

	resizeFrameHeight('staticLoadingFrame', 'staticLoadingFrame'); 
}

function stopShellLoading()
{
	try
	{
		document.getElementById('staticLoadingDiv').style.display='none'; 
	}
	catch(e){}
	document.getElementById('dynamicDiv').style.visibility='visible';
	
	resizeFrameHeight("dynamicFrame", "dynamicFrame");
}

// ------------------------------------ IFRAMES --------------------------------
function resizeFrameHeight(frameID, frameName)
{
	frameObject = document.getElementById(frameID);
	
	if(!frameObject){
		return;
	}
	
	// Reset it to a small value so that the height is always increased
	frameObject.style.height = 1;
	
	frameDocument = window.frames[frameName].document;
	
	frameBody = frameDocument.body;

	// Calculate content height
	oHeight = 0;
	sHeight = 0;
	
	if(frameBody.offsetHeight)
		oHeight = frameBody.offsetHeight;
	
	if(frameBody.scrollHeight)
		sHeight = frameBody.scrollHeight;
		
	// Set the height to the bigger one
	newHeight = Math.max(oHeight, sHeight);
	
	frameObject.style.height = newHeight + 15;
}

function resizeFrameCall(){
	if (typeof(parent.resizeFrameHeight)=='function'){
		parent.resizeFrameHeight('dynamicFrame', 'dynamicFrame');
	}else{
		return;
	}
}

// Show the title bar close button, Should be invoked in storage page context
function showTBCButton(flag){
	var closeButtonLink = document.getElementById(namespace_g + "myForm:util_subview:util_dialog_cb");	
	var closeButtonI = document.getElementById(namespace_g + "myForm:util_subview:util_dialog_cbi");	
	if(closeButtonI){
		if(flag == 'false') {
			closeButtonI.style.display="none";
			closeButtonI.setAttribute("role","presentation");
			closeButtonLink.setAttribute("role","presentation");
		}
		else {
			closeButtonI.style.display="";
			closeButtonI.setAttribute("role","document");
			closeButtonLink.setAttribute("role","document");
		}
	}
}

function adjustPos(thisObj){
	if(document.getElementById("templ_u_iframe_div")){
		document.getElementById("templ_u_iframe_div").style.height = thisObj.style.height;
	}
	var width = document.body.clientWidth;
	var height = document.body.clientHeight;
	
	var objWidth = thisObj.clientWidth;
	var objHeight = thisObj.clientHeight;
	
	if(width>objWidth && height>objHeight){
		var top = height/2 - objHeight/2;
		var left = width/2 - objWidth/2;
		thisObj.style.top = top;
		thisObj.style.left = left;			
	}else if(width>objWidth && height<objHeight){
		var left = width/2 - objWidth/2;
		thisObj.style.top = 25;
		thisObj.style.left = left;	
	}else if(width<objWidth && height>objHeight){
		var top = height/2 - objHeight/2;
		thisObj.style.top = top;
		thisObj.style.left = 25;		
	}else{
		thisObj.style.top = 25;
		thisObj.style.left = 25;	
	}
}